"use strict";
/* jshint ignore:start */

/* jshint ignore:end */

define('pilas-engine-bloques/actividades/actividadAlien', ['exports', 'pilas-engine-bloques/actividades/bloques', 'pilas-engine-bloques/actividades/direccionesCuadricula'], function (exports, bloques, direcciones) {

  'use strict';

  /* globals AlienLevantaTuercas */
  var Accion = bloques['default'].Accion;
  var Sensor = bloques['default'].Sensor;
  var Repetir = bloques['default'].Repetir;
  var Si = bloques['default'].Si;
  var Procedimiento = bloques['default'].Procedimiento;
  var IrDerecha = direcciones['default'].IrDerecha;
  var IrIzquierda = direcciones['default'].IrIzquierda;
  var IrArriba = direcciones['default'].IrArriba;
  var IrAbajo = direcciones['default'].IrAbajo;

  var LevantarTuerca = Accion.extend({
    init: function init() {
      this._super();
      this.set('id', 'LevantaTuerca');
    },

    block_init: function block_init(block) {
      this._super(block);
      block.appendDummyInput().appendField('Levantar ').appendField(this.obtener_icono('../libs/data/tuerca.png'));
    },

    nombre_comportamiento: function nombre_comportamiento() {
      return 'RecogerPorEtiqueta';
    },

    argumentos: function argumentos() {
      return '{\'etiqueta\' : \'TuercaAnimada\',  \'mensajeError\' : \'No hay una tuerca aqui\',  \'pasos\' : \'50\'}';
    }
  });

  var TocandoTuerca = Sensor.extend({
    init: function init() {
      this._super();
      this.set('id', 'tocandoTuerca');
    },

    block_init: function block_init(block) {
      this._super(block);
      block.appendDummyInput().appendField('¿tocando').appendField(this.obtener_icono('../libs/data/tuerca.png')).appendField('?');
    },

    nombre_sensor: function nombre_sensor() {
      return 'tocando(\'TuercaAnimada\')';
    }
  });

  var actividadAlien = {
    nombre: 'El alien y las tuercas',
    enunciado: 'Definí un programa para que el alien junte todas las tuercas.',
    consignaInicial: 'Una buena estrategia de resolución de este desafío es la división del procedimiento en sub tareas.',

    escena: AlienLevantaTuercas,
    puedeComentar: false,
    puedeDesactivar: false,
    puedeDuplicar: false,
    subtareas: [Procedimiento],

    // TODO: aca irian atributos iniciales que se desean para un personaje
    variables: [],

    control: [Repetir, Si],
    expresiones: [],
    acciones: [IrDerecha, IrIzquierda, IrArriba, IrAbajo, LevantarTuerca],
    sensores: [TocandoTuerca]
  };

  exports['default'] = actividadAlien;

});
define('pilas-engine-bloques/actividades/actividadAlienTocaBoton', ['exports', 'pilas-engine-bloques/actividades/bloques', 'pilas-engine-bloques/actividades/direccionesCuadricula'], function (exports, bloques, direcciones) {

  'use strict';

  /*

  siguienteFila(){
   this.robot.hacer_luego(avanzarFilaEnCuadriculaMultiple,{'cuadriculaMultiple':this.cuadricula})
  }*/

  var Accion = bloques['default'].Accion;

  //import comer from 'pilas-engine-bloques/actividades/comer';

  var IrDerecha = direcciones['default'].IrDerecha;

  var ApretarBoton = Accion.extend({
    init: function init() {
      this._super();
      this.set('id', 'ApretarBoton');
    },

    block_init: function block_init(block) {
      this._super(block);
      block.appendDummyInput().appendField('Apretar ').appendField(this.obtener_icono('../libs/data/iconos.botonRojo.png'));
    },

    nombre_comportamiento: function nombre_comportamiento() {
      return 'DesencadenarAnimacionDobleSiColiciona';
    },

    argumentos: function argumentos() {
      return '{\'idAnimacion\':\'prendida\',\'idAnimacionReceptor\':\'apretar\',\'etiqueta\':\'BotonAnimado\',\'mensajeError\': \'No hay un botón aquí\'}';
    }
  });

  var actividadAlienTocaBoton = {
    nombre: 'Alien Toca Botón',
    enunciado: 'Ayudá a nuestro Alien a presionar el botón de su laboratorio. \n' + 'Pistas: Mirá las acciones disponibles. ¡Vas a tener que avanzar varias veces!.',

    consignaInicial: 'Los bloques te permiten formar secuencias de acciones para resolver los desafíos que te proponemos en Pilas Bloques',

    // la escena proviene de ejerciciosPilas
    escena: AlienInicial, // jshint ignore:line
    puedeComentar: false,
    puedeDesactivar: false,
    puedeDuplicar: false,
    subtareas: [],

    // TODO: aca irian atributos iniciales que se desean para un personaje
    variables: [],
    control: [],
    expresiones: [],
    acciones: [IrDerecha, ApretarBoton],
    sensores: []
  };

  exports['default'] = actividadAlienTocaBoton;

});
define('pilas-engine-bloques/actividades/actividadElMonoYLasBananas', ['exports', 'pilas-engine-bloques/actividades/bloques'], function (exports, bloques) {

  'use strict';

  var Accion = bloques['default'].Accion;
  var Sensor = bloques['default'].Sensor;
  var Si = bloques['default'].Si;
  var Procedimiento = bloques['default'].Procedimiento;

  var Avanzar = Accion.extend({
    init: function init() {
      this._super();
      this.set('id', 'Avanzar');
    },

    block_init: function block_init(block) {
      this._super(block);
      block.appendDummyInput().appendField(this.obtener_icono('derecha.png')).appendField('Avanzar');
    },

    nombre_comportamiento: function nombre_comportamiento() {
      return 'MoverACasillaDerecha';
    },

    argumentos: function argumentos() {
      return '{}';
    }
  });

  var ComerBanana = Accion.extend({
    init: function init() {
      this._super();
      this.set('id', 'ComerBanana');
    },

    block_init: function block_init(block) {
      this._super(block);
      block.appendDummyInput().appendField('Comer ').appendField(this.obtener_icono('../libs/data/iconos.banana.png'));
    },

    nombre_comportamiento: function nombre_comportamiento() {
      return 'RecogerPorEtiqueta';
    },

    argumentos: function argumentos() {
      return '{\'etiqueta\' : \'BananaAnimada\',  \'mensajeError\' : \'No hay una banana aqui\' }';
    }
  });

  var TocandoBanana = Sensor.extend({
    init: function init() {
      this._super();
      this.set('id', 'tocandoBanana');
    },

    block_init: function block_init(block) {
      this._super(block);
      block.appendDummyInput().appendField('¿Tocando ').appendField(new Blockly.FieldImage('libs/data/iconos.banana.png', 15, 15, 'banana')).appendField(' ?');
    },

    nombre_sensor: function nombre_sensor() {
      return 'tocando(\'BananaAnimada\')';
    }
  });

  var actividadElMonoYLasBananas = {
    nombre: 'El Mono y las Bananas',
    enunciado: '¿Podés hacer que el mono avance al casillero de enfrente?' + ' Si hay una banana debe comérsela. Sino, es feliz con sólo llegar. \n ' + 'Ejecutá el programa varias veces para asegurarte que siempre funciona. \n' + 'Pista: Mirá la categoría "Sensores" y la categoría "Control".',

    consignaInicial: 'Nuestro procedimiento debe considerar cómo es el escenario del protagonista.  Si no varía, decimos que es un escenario fijo.',

    // la escena proviene de ejerciciosPilas
    escena: ElMonoYLasBananas, // jshint ignore:line
    puedeComentar: false,
    puedeDesactivar: false,
    puedeDuplicar: false,
    subtareas: [Procedimiento],

    // TODO: aca irian atributos iniciales que se desean para un personaje
    variables: [],
    control: [Si],
    expresiones: [],
    acciones: [ComerBanana, Avanzar],
    sensores: [TocandoBanana]
  };

  exports['default'] = actividadElMonoYLasBananas;

});
define('pilas-engine-bloques/actividades/actividadElObreroCopado', ['exports', 'pilas-engine-bloques/actividades/bloques'], function (exports, bloques) {

  'use strict';

  var Accion = bloques['default'].Accion;

  var Avanzar = Accion.extend({

    init: function init() {
      this._super();
      this.set('id', 'avanzar');
    },

    block_init: function block_init(block) {
      this._super(block);
      block.appendDummyInput().appendField(this.obtener_icono('izquierda.png')).appendField('avanzar');
    },

    nombre_comportamiento: function nombre_comportamiento() {
      return 'CaminaIzquierda';
    },

    argumentos: function argumentos() {
      return '{ pasos: 2 }';
    }
  });

  var Retroceder = Accion.extend({

    init: function init() {
      this._super();
      this.set('id', 'retroceder');
    },

    block_init: function block_init(block) {
      this._super(block);
      block.appendDummyInput().appendField(this.obtener_icono('derecha.png')).appendField('retroceder');
    },

    nombre_comportamiento: function nombre_comportamiento() {
      return 'CaminaDerecha';
    },

    argumentos: function argumentos() {
      return '{ pasos: 2 }';
    }
  });

  var Martillar = Accion.extend({

    init: function init() {
      this._super();
      this.set('id', 'martillar');
    },

    block_init: function block_init(block) {
      this._super(block);
      block.appendDummyInput().appendField(this.obtener_icono('martillar.png')).appendField('martillar');
    },

    nombre_comportamiento: function nombre_comportamiento() {
      return 'Martillar';
    },

    argumentos: function argumentos() {
      return '{ veces: 20 }';
    }
  });

  var actividadElObreroCopado = {
    nombre: 'El Obrero Copado',
    enunciado: 'Ayudá a nuestro obrero a martillar un poco por allí.',

    // la escena proviene de ejerciciosPilas
    escena: ElObreroCopado, // jshint ignore:line
    puedeComentar: false,
    puedeDesactivar: false,
    puedeDuplicar: false,
    subtareas: [],

    // TODO: aca irian atributos iniciales que se desean para un personaje
    variables: [],

    control: [],
    expresiones: [],
    acciones: [Avanzar, Retroceder, Martillar],
    sensores: []
  };

  exports['default'] = actividadElObreroCopado;

});
define('pilas-engine-bloques/actividades/actividadElPlanetaDeNano', ['exports', 'pilas-engine-bloques/actividades/bloques', 'pilas-engine-bloques/actividades/direccionesCuadricula'], function (exports, bloques, direcciones) {

  'use strict';

  var Accion = bloques['default'].Accion;
  var Si = bloques['default'].Si;
  var Repetir = bloques['default'].Repetir;
  var Hasta = bloques['default'].Hasta;
  var Procedimiento = bloques['default'].Procedimiento;
  var Funcion = bloques['default'].Funcion;
  var IrDerecha = direcciones['default'].IrDerecha;
  var IrArriba = direcciones['default'].IrArriba;

  var ComerBanana = Accion.extend({
    /*No se puede importar porque hay que reflejar el valor*/
    init: function init() {
      this._super();
      this.set('id', 'ComerBananaReflejando');
    },

    block_init: function block_init(block) {
      this._super(block);
      block.appendDummyInput().appendField('Comer ').appendField(this.obtener_icono('../libs/data/iconos.banana.png'));
    },

    nombre_comportamiento: function nombre_comportamiento() {
      return 'RecogerPorEtiqueta';
    },

    argumentos: function argumentos() {
      return '{\'etiqueta\':\'BananaAnimada\',\'mensajeError\':\'No hay una banana aquí\',\'dondeReflejarValor\':pilas.escena_actual().cantidadBananas}';
    }
  });

  var VolverAlBordeIzquierdo = Accion.extend({

    init: function init() {
      this._super();
      this.set('id', 'VolverAlBordeIzquierdo');
    },

    block_init: function block_init(block) {
      this._super(block);
      block.appendDummyInput().appendField('Volver al borde izquierdo').appendField(this.obtener_icono('izquierda.png'));
    },

    nombre_comportamiento: function nombre_comportamiento() {
      return 'RepetirHasta';
    },

    argumentos: function argumentos() {
      return '{\'secuencia\':pilas.escena_actual().secuenciaCaminata, \'condicion\':pilas.escena_actual().condicion }';
    }
  });

  var actividadElPlanetaDeNano = {
    nombre: 'El planeta de Nano',
    enunciado: 'Ayudá a Nano a recoger todas sus estrellas. ¡Cuidado! No se puede bajar...',

    // la escena proviene de ejerciciosPilas
    escena: ElPlanetaDeNano, // jshint ignore:line
    puedeComentar: false,
    puedeDesactivar: false,
    puedeDuplicar: false,
    subtareas: [Procedimiento],

    // TODO: aca irian atributos iniciales que se desean para un personaje
    variables: [],

    control: [Si, Repetir, Hasta],
    expresiones: [Funcion],
    acciones: [IrDerecha, IrArriba, VolverAlBordeIzquierdo, ComerBanana],
    sensores: []
  };

  exports['default'] = actividadElPlanetaDeNano;

});
define('pilas-engine-bloques/actividades/actividadFutbolRobots', ['exports', 'pilas-engine-bloques/actividades/bloques'], function (exports, bloques) {

  'use strict';

  /*

  siguienteFila(){
   this.robot.hacer_luego(avanzarFilaEnCuadriculaMultiple,{'cuadriculaMultiple':this.cuadricula})
  }*/

  var Accion = bloques['default'].Accion;
  var Sensor = bloques['default'].Sensor;
  var Si = bloques['default'].Si;
  var Repetir = bloques['default'].Repetir;
  var Procedimiento = bloques['default'].Procedimiento;
  var Hasta = bloques['default'].Hasta;

  var Avanzar = Accion.extend({
    init: function init() {
      this._super();
      this.set('id', 'Avanzar');
    },

    block_init: function block_init(block) {
      this._super(block);
      block.appendDummyInput().appendField('avanzar').appendField(this.obtener_icono('derecha.png'));
    },

    nombre_comportamiento: function nombre_comportamiento() {
      return 'MoverACasillaDerecha';
    },

    argumentos: function argumentos() {
      return '{}';
    }
  });

  var Atras = Accion.extend({
    init: function init() {
      this._super();
      this.set('id', 'Atras');
    },

    block_init: function block_init(block) {
      this._super(block);
      block.appendDummyInput().appendField('atrás').appendField(this.obtener_icono('izquierda.png'));
    },

    nombre_comportamiento: function nombre_comportamiento() {
      return 'MoverACasillaIzquierda';
    },

    argumentos: function argumentos() {
      return '{}';
    }
  });

  var SiguienteFila = Accion.extend({
    init: function init() {
      this._super();
      this.set('id', 'SiguienteFila');
    },

    block_init: function block_init(block) {
      this._super(block);
      block.appendDummyInput().appendField('siguiente fila').appendField(this.obtener_icono('abajo.png'));
    },

    nombre_comportamiento: function nombre_comportamiento() {
      return 'avanzarFilaEnCuadriculaMultiple';
    },

    argumentos: function argumentos() {
      return '{}';
    }
  });

  var PatearPelota = Accion.extend({
    init: function init() {
      this._super();
      this.set('id', 'PatearPelota');
    },

    block_init: function block_init(block) {
      this._super(block);
      block.appendDummyInput().appendField('patear').appendField(this.obtener_icono('../libs/data/iconos.pelota.png'));
    },

    nombre_comportamiento: function nombre_comportamiento() {
      return 'DesencadenarHabilidadSiColiciona';
    },

    argumentos: function argumentos() {
      return '{"Habilidad":SerPateado,\'etiqueta\':\'PelotaAnimada\',\'mensajeError\': \'No hay una pelota aquí\',\'argumentosHabilidad\':{\'tiempoEnElAire\':25,\'aceleracion\':0.0025,\'elevacionMaxima\':25,\'gradosDeAumentoStep\':-2}}';
    }
  });

  var TocandoInicio = Sensor.extend({
    init: function init() {
      this._super();
      this.set('id', 'tocandoInicio');
    },

    block_init: function block_init(block) {
      this._super(block);
      block.appendDummyInput().appendField('¿tocando').appendField(this.obtener_icono('../libs/data/iconos.futbolInicio.png')).appendField('?');
    },

    nombre_sensor: function nombre_sensor() {
      return 'tocandoInicio()';
    }
  });

  var TocandoPelota = Sensor.extend({
    init: function init() {
      this._super();
      this.set('id', 'tocandoPelota');
    },

    block_init: function block_init(block) {
      this._super(block);
      block.appendDummyInput().appendField('¿tocando').appendField(this.obtener_icono('../libs/data/iconos.pelota.png')).appendField('?');
    },

    nombre_sensor: function nombre_sensor() {
      return 'tocando(\'PelotaAnimada\')';
    }
  });

  var actividadFutbolRobots = {
    nombre: 'Fútbol de Robots',
    enunciado: 'Ayudá a nuestro robot futbolista a patear todas las pelotas. ' + 'Recordá siempre que una buena división en tareas puede ayudarte a encarar ' + 'mejor el problema.',

    consignaInicial: 'El procedimiento que se defina debe considerar el escenario variable del protagonista y ofrecer una solución con la menor cantidad de bloques posibles. Es importante tener en cuenta que la acción se repite varias veces y que la longitud de las filas varía.',

    // la escena proviene de ejerciciosPilas
    escena: FutbolRobots, // jshint ignore:line
    puedeComentar: false,
    puedeDesactivar: false,
    puedeDuplicar: false,
    subtareas: [Procedimiento],

    // TODO: aca irian atributos iniciales que se desean para un personaje
    variables: [],
    control: [Si, Repetir, Hasta],
    expresiones: [],
    acciones: [Avanzar, Atras, SiguienteFila, PatearPelota],
    sensores: [TocandoInicio, TocandoPelota]
  };

  exports['default'] = actividadFutbolRobots;

});
define('pilas-engine-bloques/actividades/actividadLaEleccionDelMono', ['exports', 'pilas-engine-bloques/actividades/bloques'], function (exports, bloques) {

  'use strict';

  var Accion = bloques['default'].Accion;
  var Sensor = bloques['default'].Sensor;
  var Sino = bloques['default'].Sino;
  var Procedimiento = bloques['default'].Procedimiento;

  var Avanzar = Accion.extend({
    init: function init() {
      this._super();
      this.set('id', 'Avanzar');
    },

    block_init: function block_init(block) {
      this._super(block);
      block.appendDummyInput().appendField('Avanzar').appendField(this.obtener_icono('derecha.png'));
    },

    nombre_comportamiento: function nombre_comportamiento() {
      return 'MoverACasillaDerecha';
    },

    argumentos: function argumentos() {
      return '{}';
    }
  });

  var ComerManzana = Accion.extend({
    init: function init() {
      this._super();
      this.set('id', 'ComerManzana');
    },

    block_init: function block_init(block) {
      this._super(block);
      block.appendDummyInput().appendField('Comer ').appendField(this.obtener_icono('../libs/data/iconos.manzana.png'));
    },

    nombre_comportamiento: function nombre_comportamiento() {
      return 'RecogerPorEtiqueta';
    },

    argumentos: function argumentos() {
      return '{\'etiqueta\' : \'ManzanaAnimada\',  \'mensajeError\' : \'No hay una manzana aqui\' }';
    }
  });

  var ComerBanana = Accion.extend({
    init: function init() {
      this._super();
      this.set('id', 'ComerBanana');
    },

    block_init: function block_init(block) {
      this._super(block);
      block.appendDummyInput().appendField('Comer ').appendField(this.obtener_icono('../libs/data/iconos.banana.png')); //TODO: Hardcodeo feo de dir de icono
    },

    nombre_comportamiento: function nombre_comportamiento() {
      return 'RecogerPorEtiqueta';
    },

    argumentos: function argumentos() {
      return '{\'etiqueta\' : \'BananaAnimada\',  \'mensajeError\' : \'No hay una banana aqui\' }';
    }
  });

  var TocandoManzana = Sensor.extend({
    init: function init() {
      this._super();
      this.set('id', 'tocandoManzana');
    },

    block_init: function block_init(block) {
      this._super(block);
      block.appendDummyInput().appendField('¿Tocando').appendField(this.obtener_icono('../libs/data/iconos.manzana.png')).appendField('?');
    },

    nombre_sensor: function nombre_sensor() {
      return 'tocando(\'ManzanaAnimada\')';
    }
  });

  var TocandoBanana = Sensor.extend({
    init: function init() {
      this._super();
      this.set('id', 'tocandoBanana');
    },

    block_init: function block_init(block) {
      this._super(block);
      block.appendDummyInput().appendField('¿Tocando').appendField(this.obtener_icono('../libs/data/iconos.banana.png')).appendField('?');
    },

    nombre_sensor: function nombre_sensor() {
      return 'tocando(\'BananaAnimada\')';
    }
  });

  var actividadLaEleccionDelMono = {
    nombre: 'La Elección del Mono',
    enunciado: '¿Podés ayudar nuevamente a nuestro mono? Esta vez siempre tiene ' + 'una fruta para comer. ¡Pero no siempre es la misma! \n' + 'Ejecutá el programa varias veces para asegurarte que siempre funciona. \n' + 'Pista: Ésta vez no alcanza con el bloque "Si".',

    consignaInicial: 'Si el escenario del protagonista varía, nuestro procedimiento debe utilizar alternativas condicionales que ajusten las acciones a estos cambios.',

    // la escena proviene de ejerciciosPilas
    escena: LaEleccionDelMono, // jshint ignore:line
    puedeComentar: false,
    puedeDesactivar: false,
    puedeDuplicar: false,
    subtareas: [Procedimiento],

    // TODO: aca irian atributos iniciales que se desean para un personaje
    variables: [],
    control: [Sino],
    expresiones: [],
    acciones: [ComerManzana, ComerBanana, Avanzar],
    sensores: [TocandoManzana, TocandoBanana]
  };

  exports['default'] = actividadLaEleccionDelMono;

});
define('pilas-engine-bloques/actividades/actividadLightbotEnScratch', ['exports', 'pilas-engine-bloques/actividades/bloques', 'pilas-engine-bloques/actividades/direccionesCuadricula'], function (exports, bloques, direcciones) {

  'use strict';

  var Accion = bloques['default'].Accion;
  var Si = bloques['default'].Si;
  var Repetir = bloques['default'].Repetir;
  var Procedimiento = bloques['default'].Procedimiento;
  var IrDerecha = direcciones['default'].IrDerecha;
  var IrIzquierda = direcciones['default'].IrIzquierda;
  var IrArriba = direcciones['default'].IrArriba;
  var IrAbajo = direcciones['default'].IrAbajo;

  var EncenderLuz = Accion.extend({
    init: function init() {
      this._super();
      this.set('id', 'EncenderLuz');
    },

    block_init: function block_init(block) {
      this._super(block);
      block.appendDummyInput().appendField('encender ').appendField(this.obtener_icono('../libs/data/iconos.lamparita.png'));
    },

    nombre_comportamiento: function nombre_comportamiento() {
      return 'EncenderLuz';
    },

    argumentos: function argumentos() {
      return '{}';
    }
  });

  var actividadLightbotEnScratch = {
    nombre: 'Lightbot ahora se llama Tito',
    enunciado: 'Ayudá a Tito a encender todas las luces. \n' + 'Pista: esa diagonal puede ser una gran subtarea.',

    // la escena proviene de ejerciciosPilas
    escena: LightbotScratch, // jshint ignore:line
    puedeComentar: false,
    puedeDesactivar: false,
    puedeDuplicar: false,
    subtareas: [Procedimiento],

    // TODO: aca irian atributos iniciales que se desean para un automata
    variables: [],
    control: [Si, Repetir],
    expresiones: [],
    acciones: [EncenderLuz, IrDerecha, IrArriba, IrAbajo, IrIzquierda],
    sensores: []
  };

  exports['default'] = actividadLightbotEnScratch;

});
define('pilas-engine-bloques/actividades/bloques', ['exports', 'ember'], function (exports, Ember) {

  'use strict';

  var Bloque = Ember['default'].Object.extend({
    init: function init() {
      // espera:
      // + id
      // + categoria
    },

    block_init: function block_init() {
      // abstracta
    },

    /*jshint unused: vars*/
    block_javascript: function block_javascript(block) {
      // abstracta
    },

    registrar_en_blockly: function registrar_en_blockly() {
      var myThis = this;
      Blockly.Blocks[this.get('id')] = {
        init: function init() {
          myThis.block_init(this);
        }
      };

      Blockly.JavaScript[this.get('id')] = function (block) {
        return myThis.block_javascript(block);
      };
    },

    instanciar_para_workspace: function instanciar_para_workspace() {
      this.registrar_en_blockly();

      var block_dom = Blockly.Xml.textToDom('<xml>' + this.build() + '</xml>');

      Blockly.Xml.domToWorkspace(Blockly.getMainWorkspace(), block_dom);
    },

    // reimplementar si se desean parametros ya aplicados
    get_parametros: function get_parametros() {
      return [];
    },

    obtener_icono: function obtener_icono(nombre) {
      return new Blockly.FieldImage('iconos/' + nombre, 16, 16, '<');
    },

    // Escupe el código que va en el toolbox para el bloque
    build: function build() {
      var str_block = '';
      str_block += '<block type="TIPO">'.replace('TIPO', this.get('id'));

      this.get_parametros().forEach(function (item) {
        str_block += item.build();
      });

      str_block += '</block>';
      return str_block;
    }
  });

  /*
   * Pide implementar sólo block_javascript
   * Sirve para pisar el JS que produce blockly
   */
  var CambioDeJSDeBlocky = Bloque.extend({

    registrar_en_blockly: function registrar_en_blockly() {
      var myThis = this;
      Blockly.JavaScript[this.get('id')] = function (block) {
        return myThis.block_javascript(block);
      };
    }
  });

  var VariableGet = CambioDeJSDeBlocky.extend({

    init: function init() {
      this._super();
      this.set('id', 'variables_get');
    },

    block_javascript: function block_javascript(block) {
      // Variable getter.
      var code = Blockly.JavaScript.variableDB_.getName(block.getFieldValue('VAR'), Blockly.Variables.NAME_TYPE);
      return ['receptor.atributo("' + code + '")', Blockly.JavaScript.ORDER_ATOMIC];
    }

  });

  var VariableSet = CambioDeJSDeBlocky.extend({

    init: function init() {
      this._super();
      this.set('id', 'variables_set');
    },

    block_javascript: function block_javascript(block) {
      // Variable setter.
      var argument0 = Blockly.JavaScript.valueToCode(block, 'VALUE', Blockly.JavaScript.ORDER_ASSIGNMENT) || '0';
      var varName = Blockly.JavaScript.variableDB_.getName(block.getFieldValue('VAR'), Blockly.Variables.NAME_TYPE);
      return 'programa.cambio_atributo("' + varName + '", function(){ return ' + argument0 + '; } );\n';
    }

  });

  /* ============================================== */

  var VariableLocalGet = CambioDeJSDeBlocky.extend({

    init: function init() {
      this._super();
      this.set('id', 'local_var_get');
    },

    block_javascript: function block_javascript(block) {
      // Variable getter.
      var code = Blockly.JavaScript.variableDB_.getName(block.getFieldValue('VAR'), Blockly.Variables.NAME_TYPE);
      return ['receptor.variable("' + code + '")', Blockly.JavaScript.ORDER_ATOMIC];
    }

  });

  /* ============================================== */

  var VariableLocalSet = CambioDeJSDeBlocky.extend({

    init: function init() {
      this._super();
      this.set('id', 'local_var_set');
    },

    block_javascript: function block_javascript(block) {
      // Variable setter.
      var argument0 = Blockly.JavaScript.valueToCode(block, 'VALUE', Blockly.JavaScript.ORDER_ASSIGNMENT) || '0';
      var varName = Blockly.JavaScript.variableDB_.getName(block.getFieldValue('VAR'), Blockly.Variables.NAME_TYPE);
      return 'programa.cambio_variable("' + varName + '", function(){ return ' + argument0 + '; } );\n';
    }

  });

  /* ============================================== */

  var Procedimiento = CambioDeJSDeBlocky.extend({

    init: function init() {
      this._super();
      this.set('id', 'procedures_defnoreturn');
    },

    block_javascript: function block_javascript(block) {
      // Define a procedure with a return value.
      var funcName = Blockly.JavaScript.variableDB_.getName(block.getFieldValue('NAME'), Blockly.Procedures.NAME_TYPE);

      var branch = Blockly.JavaScript.statementToCode(block, 'STACK');

      if (Blockly.JavaScript.STATEMENT_PREFIX) {
        branch = Blockly.JavaScript.prefixLines(Blockly.JavaScript.STATEMENT_PREFIX.replace(/%1/g, '\'' + block.id + '\''), Blockly.JavaScript.INDENT) + branch;
      }

      if (Blockly.JavaScript.INFINITE_LOOP_TRAP) {
        branch = Blockly.JavaScript.INFINITE_LOOP_TRAP.replace(/%1/g, '\'' + block.id + '\'') + branch;
      }

      var args = [];
      for (var x = 0; x < block.arguments_.length; x++) {
        args[x] = Blockly.JavaScript.variableDB_.getName(block.arguments_[x], Blockly.Variables.NAME_TYPE);
      }

      //    var code = 'function ' + funcName + '(' + args.join(', ') + ') {\n' +
      //        branch + returnValue + '}';

      var args_string = args.map(function (i) {
        return '"' + i + '"';
      }).join(', ');

      var code = 'programa.empezar_secuencia();\n' + branch + 'programa.def_proc("' + funcName + '", [' + args_string + ']);\n';

      code = Blockly.JavaScript.scrub_(block, code);
      Blockly.JavaScript.definitions_[funcName] = code;
      return null;
    }

  });

  /* ============================================== */

  var Funcion = CambioDeJSDeBlocky.extend({

    init: function init() {
      this._super();
      this.set('id', 'procedures_defreturn');
    },

    registrar_en_blockly: function registrar_en_blockly() {
      // pisado porque provisoriamente se
      // usa el que viene con blockly
    }

  });

  /* ============================================== */

  var CallNoReturn = CambioDeJSDeBlocky.extend({

    init: function init() {
      this._super();
      this.set('id', 'procedures_callnoreturn');
    },

    block_javascript: function block_javascript(block) {
      // Call a procedure with no return value.
      var funcName = Blockly.JavaScript.variableDB_.getName(block.getFieldValue('NAME'), Blockly.Procedures.NAME_TYPE);
      var args = [];
      for (var x = 0; x < block.arguments_.length; x++) {
        args[x] = Blockly.JavaScript.valueToCode(block, 'ARG' + x, Blockly.JavaScript.ORDER_COMMA) || 'null';
        args[x] = 'function(){ return ' + args[x] + '; }';
      }
      function juntar_args() {
        if (args.length > 0) {
          return '[\n' + args.join(', \n') + '\n]';
        } else {
          return '[]';
        }
      }
      // var code = funcName + '(' + args.join(', ') + ');\n';
      var code = 'programa.llamada_proc("' + funcName + '", ' + juntar_args() + ');\n';
      return code;
    }

  });

  /* ============================================== */

  var CallReturn = CambioDeJSDeBlocky.extend({

    init: function init() {
      this._super();
      this.set('id', 'procedures_callreturn');
    },

    block_javascript: function block_javascript(block) {
      // Call a procedure with a return value.
      var funcName = Blockly.JavaScript.variableDB_.getName(block.getFieldValue('NAME'), Blockly.Procedures.NAME_TYPE);
      var args = [];
      for (var x = 0; x < block.arguments_.length; x++) {
        args[x] = Blockly.JavaScript.valueToCode(block, 'ARG' + x, Blockly.JavaScript.ORDER_COMMA) || 'null';
        args[x] = 'function(){ return ' + args[x] + '; }';
      }
      var code = funcName + '(' + args.join(', ') + ')';
      return [code, Blockly.JavaScript.ORDER_FUNCTION_CALL];
    }

  });

  /* ============================================== */

  var ParamGet = CambioDeJSDeBlocky.extend({

    init: function init() {
      this._super();
      this.set('id', 'param_get');
    },

    block_javascript: function block_javascript(block) {
      // Variable getter.
      var code = Blockly.JavaScript.variableDB_.getName(block.getFieldValue('VAR'), Blockly.Variables.NAME_TYPE);

      // agrego parentesis para llamar al closure del parametro
      return ['receptor.parametro("' + code + '")', Blockly.JavaScript.ORDER_ATOMIC];
    }

  });

  /* ============================================== */

  var AlEmpezar = Bloque.extend({

    init: function init() {
      this._super();
      this.set('id', 'al_empezar_a_ejecutar');
    },

    block_init: function block_init(block) {
      block.setColour(Blockly.Blocks.eventos.COLOUR);
      block.appendDummyInput().appendField('Al empezar a ejecutar');
      block.appendStatementInput('program');
      block.setDeletable(false);
      block.setEditable(false);
      block.setMovable(false);
    },

    block_javascript: function block_javascript(block) {
      var statements_program = Blockly.JavaScript.statementToCode(block, 'program');
      var r = 'programa.empezar_secuencia();\n';
      r += statements_program + '\n';
      r += 'programa.ejecutar(receptor);\n';
      return r;
    }

  });

  var Accion = Bloque.extend({

    block_init: function block_init(block) {
      this._super(block);
      block.setColour(Blockly.Blocks.primitivas.COLOUR);
      block.setPreviousStatement(true);
      block.setNextStatement(true);
    },

    block_javascript: function block_javascript(block) {
      return 'programa.hacer(' + this.nombre_comportamiento() + ', ' + this.argumentos() + ')\n';
    }

  });

  var Sensor = Bloque.extend({

    block_init: function block_init(block) {
      this._super(block);
      block.setColour(Blockly.Blocks.sensores.COLOUR);
      block.setInputsInline(true);
      block.setOutput(true);
    },

    block_javascript: function block_javascript(block) {
      return ['receptor.' + this.nombre_sensor() + '\n', Blockly.JavaScript.ORDER_ATOMIC];
    }
  });

  /*
   * Representa un valor mas complejo
   * de un campo de un bloque
   */
  var ParamValor = Ember['default'].Object.extend({
    build: function build() {
      var str_block = '';
      str_block += '<value name="NOMBRE">'.replace('NOMBRE', this.get('nombre_param'));

      str_block += '<block type="TIPO">'.replace('TIPO', this.get('tipo_bloque'));

      str_block += '<field name="TIPO">'.replace('TIPO', this.get('nombre_valor'));
      str_block += this.get('valor');
      str_block += '</field>';

      str_block += '</block>';

      str_block += '</value>';

      return str_block;
    }
  });

  /* ============================================== */

  var EstructuraDeControl = Bloque.extend({

    block_init: function block_init(block) {
      this._super(block);
      block.setColour(Blockly.Blocks.loops.COLOUR);
      block.setInputsInline(true);
      block.setPreviousStatement(true);
      block.setNextStatement(true);
    }

  });

  /* ============================================== */

  var Repetir = EstructuraDeControl.extend({

    init: function init() {
      this._super();
      this.set('id', 'repetir');
    },

    block_init: function block_init(block) {
      this._super(block);
      block.appendValueInput('count').setCheck('Number').appendField('repetir');
      block.appendStatementInput('block');
    },

    block_javascript: function block_javascript(block) {
      var value_count = Blockly.JavaScript.valueToCode(block, 'count', Blockly.JavaScript.ORDER_ATOMIC) || '0';
      var statements_block = Blockly.JavaScript.statementToCode(block, 'block');
      var r = 'programa.empezar_secuencia();\n';
      r += statements_block;
      r += 'programa.repetirN(function(){\nreturn {{n}};\n});\n'.replace('{{n}}', value_count);
      return r;
    },

    get_parametros: function get_parametros() {
      return [ParamValor.create({
        nombre_param: 'count',
        tipo_bloque: 'math_number',
        nombre_valor: 'NUM',
        valor: '10'
      })];
    }

  });

  var Si = EstructuraDeControl.extend({

    init: function init() {
      this._super();
      this.set('id', 'si');
    },

    block_init: function block_init(block) {
      this._super(block);
      block.appendValueInput('condition').setCheck('Boolean').appendField('si');
      block.appendStatementInput('block');
    },

    block_javascript: function block_javascript(block) {
      var value_condition = Blockly.JavaScript.valueToCode(block, 'condition', Blockly.JavaScript.ORDER_ATOMIC) || 'false';
      var statements_block = Blockly.JavaScript.statementToCode(block, 'block');
      var r = 'programa.empezar_secuencia();\n';
      r += statements_block;
      r += 'programa.alternativa_si(function(){\nreturn {{condition}};\n});\n'.replace('{{condition}}', value_condition);
      return r;
    }

  });

  /* ============================================== */

  var Sino = EstructuraDeControl.extend({

    init: function init() {
      this._super();
      this.set('id', 'sino');
    },

    block_init: function block_init(block) {
      this._super(block);
      block.appendValueInput('condition').setCheck('Boolean').appendField('si');
      block.appendStatementInput('block1');
      block.appendDummyInput().appendField('sino');
      block.appendStatementInput('block2');
    },

    block_javascript: function block_javascript(block) {
      var value_condition = Blockly.JavaScript.valueToCode(block, 'condition', Blockly.JavaScript.ORDER_ATOMIC) || 'false';
      var statements_block1 = Blockly.JavaScript.statementToCode(block, 'block1');
      var statements_block2 = Blockly.JavaScript.statementToCode(block, 'block2');
      var r = 'programa.empezar_secuencia();\n';
      r += statements_block1;
      r += 'programa.empezar_secuencia();\n';
      r += statements_block2;
      r += 'programa.alternativa_sino(function(){\nreturn {{condition}};\n});\n'.replace('{{condition}}', value_condition);
      return r;
    }

  });

  var Hasta = EstructuraDeControl.extend({

    init: function init() {
      this._super();
      this.set('id', 'hasta');
    },

    block_init: function block_init(block) {
      this._super(block);
      block.appendValueInput('condition').setCheck('Boolean').appendField('repetir hasta que');
      block.appendStatementInput('block');
    },

    block_javascript: function block_javascript(block) {
      var value_condition = Blockly.JavaScript.valueToCode(block, 'condition', Blockly.JavaScript.ORDER_ATOMIC) || 'true';
      var statements_block = Blockly.JavaScript.statementToCode(block, 'block');
      var r = 'programa.empezar_secuencia();\n';
      r += statements_block;
      r += 'programa.repetir_hasta(function(){\nreturn {{condition}};\n});\n'.replace('{{condition}}', value_condition);
      return r;
    }

  });

  var bloques = { Bloque: Bloque, CambioDeJSDeBlocky: CambioDeJSDeBlocky, VariableGet: VariableGet,
    VariableSet: VariableSet, VariableLocalGet: VariableLocalGet, VariableLocalSet: VariableLocalSet, Procedimiento: Procedimiento,
    Funcion: Funcion, CallNoReturn: CallNoReturn, CallReturn: CallReturn, ParamGet: ParamGet, AlEmpezar: AlEmpezar, Accion: Accion,
    Sensor: Sensor, Repetir: Repetir, Si: Si, Sino: Sino, Hasta: Hasta };

  exports['default'] = bloques;

});
define('pilas-engine-bloques/actividades/comer', ['exports', 'pilas-engine-bloques/actividades/bloques'], function (exports, bloques) {

  'use strict';

  var Accion = bloques['default'].Accion;

  var ComerBanana = Accion.extend({
    init: function init() {
      this._super();
      this.set('id', 'ComerBanana');
    },

    block_init: function block_init(block) {
      this._super(block);
      block.appendDummyInput().appendField('Comer ').appendField(this.obtener_icono('../libs/data/iconos.banana.png'));
    },

    nombre_comportamiento: function nombre_comportamiento() {
      return 'RecogerPorEtiqueta';
    },

    argumentos: function argumentos() {
      return '{\'etiqueta\' : \'BananaAnimada\',  \'mensajeError\' : \'No hay una banana aqui\' }';
    }
  });

  var comer = { ComerBanana: ComerBanana };

  exports['default'] = comer;

});
define('pilas-engine-bloques/actividades/direccionesCuadricula', ['exports', 'pilas-engine-bloques/actividades/bloques'], function (exports, bloques) {

  'use strict';

  var Accion = bloques['default'].Accion;

  var IrDerecha = Accion.extend({

    init: function init() {
      this._super();
      this.set('id', 'MoverACasillaDerecha');
    },

    block_init: function block_init(block) {
      this._super(block);
      block.appendDummyInput().appendField(this.obtener_icono('derecha.png')).appendField('ir derecha');
    },

    nombre_comportamiento: function nombre_comportamiento() {
      return 'MoverACasillaDerecha';
    },

    argumentos: function argumentos() {
      return '{}';
    }

  });

  var IrIzquierda = Accion.extend({

    init: function init() {
      this._super();
      this.set('id', 'MoverACasillaIzquierda');
    },

    block_init: function block_init(block) {
      this._super(block);
      block.appendDummyInput().appendField(this.obtener_icono('izquierda.png')).appendField('ir izquierda');
    },

    nombre_comportamiento: function nombre_comportamiento() {
      return 'MoverACasillaIzquierda';
    },

    argumentos: function argumentos() {
      return '{}';
    }

  });

  var IrArriba = Accion.extend({

    init: function init() {
      this._super();
      this.set('id', 'MoverACasillaArriba');
    },

    block_init: function block_init(block) {
      this._super(block);
      block.appendDummyInput().appendField(this.obtener_icono('arriba.png')).appendField('ir arriba');
    },

    nombre_comportamiento: function nombre_comportamiento() {
      return 'MoverACasillaArriba';
    },

    argumentos: function argumentos() {
      return '{}';
    }

  });

  var IrAbajo = Accion.extend({

    init: function init() {
      this._super();
      this.set('id', 'MoverACasillaAbajo');
    },

    block_init: function block_init(block) {
      this._super(block);
      block.appendDummyInput().appendField(this.obtener_icono('abajo.png')).appendField('ir abajo');
    },

    nombre_comportamiento: function nombre_comportamiento() {
      return 'MoverACasillaAbajo';
    },

    argumentos: function argumentos() {
      return '{}';
    }

  });

  var direcciones = { IrDerecha: IrDerecha, IrIzquierda: IrIzquierda, IrArriba: IrArriba, IrAbajo: IrAbajo };

  exports['default'] = direcciones;

});
define('pilas-engine-bloques/adapters/application', ['exports', 'ember-data'], function (exports, DS) {

  'use strict';

  exports['default'] = DS['default'].LSAdapter.extend({
    namespace: 'pilas-engine-bloques_namespace'
  });

});
define('pilas-engine-bloques/app', ['exports', 'ember', 'ember/resolver', 'ember/load-initializers', 'pilas-engine-bloques/config/environment'], function (exports, Ember, Resolver, loadInitializers, config) {

  'use strict';

  Ember['default'].MODEL_FACTORY_INJECTIONS = true;

  var inflector = Ember['default'].Inflector.inflector;
  inflector.irregular("galeria", "galeria");

  var App = Ember['default'].Application.extend({
    modulePrefix: config['default'].modulePrefix,
    podModulePrefix: config['default'].podModulePrefix,
    Resolver: Resolver['default']
  });

  loadInitializers['default'](App, config['default'].modulePrefix);

  exports['default'] = App;

});
define('pilas-engine-bloques/components/app-version', ['exports', 'ember-cli-app-version/components/app-version', 'pilas-engine-bloques/config/environment'], function (exports, AppVersionComponent, config) {

  'use strict';

  var _config$APP = config['default'].APP;
  var name = _config$APP.name;
  var version = _config$APP.version;

  exports['default'] = AppVersionComponent['default'].extend({
    version: version,
    name: name
  });

});
define('pilas-engine-bloques/components/em-button', ['exports', 'ember-idx-button/button'], function (exports, ButtonComponent) {

	'use strict';

	exports['default'] = ButtonComponent['default'];

});
define('pilas-engine-bloques/components/em-checkbox', ['exports', 'ember', 'ember-idx-forms/checkbox'], function (exports, Ember, CheckboxComponent) {

	'use strict';

	exports['default'] = CheckboxComponent['default'];

});
define('pilas-engine-bloques/components/em-form-control-help', ['exports', 'ember', 'ember-idx-forms/control_help'], function (exports, Ember, FormControlHelperComponent) {

	'use strict';

	exports['default'] = FormControlHelperComponent['default'];

});
define('pilas-engine-bloques/components/em-form-group', ['exports', 'ember', 'ember-idx-forms/group'], function (exports, Ember, FormGroupComponent) {

	'use strict';

	exports['default'] = FormGroupComponent['default'];

});
define('pilas-engine-bloques/components/em-form-label', ['exports', 'ember', 'ember-idx-forms/label'], function (exports, Ember, FormLabelComponent) {

	'use strict';

	exports['default'] = FormLabelComponent['default'];

});
define('pilas-engine-bloques/components/em-form-submit', ['exports', 'ember', 'ember-idx-forms/submit_button'], function (exports, Ember, SubmitButtonComponent) {

	'use strict';

	exports['default'] = SubmitButtonComponent['default'];

});
define('pilas-engine-bloques/components/em-form', ['exports', 'ember', 'ember-idx-forms/form'], function (exports, Ember, FormComponent) {

	'use strict';

	exports['default'] = FormComponent['default'];

});
define('pilas-engine-bloques/components/em-input', ['exports', 'ember', 'ember-idx-forms/input'], function (exports, Ember, InputComponent) {

	'use strict';

	exports['default'] = InputComponent['default'];

});
define('pilas-engine-bloques/components/em-modal-body', ['exports', 'ember-idx-modal/modal-body'], function (exports, BodyComponent) {

	'use strict';

	exports['default'] = BodyComponent['default'];

});
define('pilas-engine-bloques/components/em-modal-confirm-with-reason', ['exports', 'ember-idx-modal/modal-confirm-with-reason'], function (exports, ConfirmWithReasonModal) {

	'use strict';

	exports['default'] = ConfirmWithReasonModal['default'];

});
define('pilas-engine-bloques/components/em-modal-confirm', ['exports', 'ember-idx-modal/modal-confirm'], function (exports, ModalConfirm) {

	'use strict';

	exports['default'] = ModalConfirm['default'];

});
define('pilas-engine-bloques/components/em-modal-emform', ['exports', 'ember-idx-modal/modal-emform'], function (exports, ModalEmFormComponent) {

	'use strict';

	exports['default'] = ModalEmFormComponent['default'];

});
define('pilas-engine-bloques/components/em-modal-footer', ['exports', 'ember-idx-modal/modal-footer'], function (exports, FooterComponent) {

	'use strict';

	exports['default'] = FooterComponent['default'];

});
define('pilas-engine-bloques/components/em-modal-form', ['exports', 'ember-idx-modal/modal-form'], function (exports, ModalFormComponent) {

	'use strict';

	exports['default'] = ModalFormComponent['default'];

});
define('pilas-engine-bloques/components/em-modal-title', ['exports', 'ember-idx-modal/modal-title'], function (exports, TitleComponent) {

	'use strict';

	exports['default'] = TitleComponent['default'];

});
define('pilas-engine-bloques/components/em-modal-toggler', ['exports', 'ember-idx-modal/modal-toggler'], function (exports, TogglerComponent) {

	'use strict';

	exports['default'] = TogglerComponent['default'];

});
define('pilas-engine-bloques/components/em-modal', ['exports', 'ember-idx-modal/modal'], function (exports, ModalComponent) {

	'use strict';

	exports['default'] = ModalComponent['default'];

});
define('pilas-engine-bloques/components/em-select', ['exports', 'ember', 'ember-idx-forms/select'], function (exports, Ember, SelectComponent) {

	'use strict';

	exports['default'] = SelectComponent['default'];

});
define('pilas-engine-bloques/components/em-text', ['exports', 'ember', 'ember-idx-forms/text'], function (exports, Ember, TextComponent) {

	'use strict';

	exports['default'] = TextComponent['default'];

});
define('pilas-engine-bloques/components/nw-zoom', ['exports', 'ember'], function (exports, Ember) {

  'use strict';

  exports['default'] = Ember['default'].Component.extend({
    tagName: 'div',
    classNames: ['nw-zoom'],
    zoomValue: 100,
    zoom: Ember['default'].inject.service(),

    canZoomIn: Ember['default'].computed('zoomValue', function () {
      return this.get('zoomValue') < 120;
    }),

    canZoomOut: Ember['default'].computed('zoomValue', function () {
      return this.get('zoomValue') > 80;
    }),

    cambiarZoom: Ember['default'].observer('zoomValue', function () {
      var gui = window.requireNode('nw.gui');
      var win = gui.Window.get();
      this.get('zoom').setValue(this.get('zoomValue'));

      win.zoomLevel = (this.get('zoomValue') - 100) / 10;
    }),

    onStart: Ember['default'].on('init', function () {
      this.set('zoomValue', this.get('zoom').getValue());
      this.cambiarZoom();
    }),

    actions: {
      zoomIn: function zoomIn() {
        this.set('zoomValue', this.get('zoomValue') + 10);
      },
      zoomOut: function zoomOut() {
        this.set('zoomValue', this.get('zoomValue') - 10);
      },
      zoomRestore: function zoomRestore() {
        this.set('zoomValue', 100);
      }
    }

  });

});
define('pilas-engine-bloques/components/pilas-automatic-update', ['exports', 'ember'], function (exports, Ember) {

  'use strict';

  exports['default'] = Ember['default'].Component.extend({
    classNames: ['pilas-automatic-update'],
    version: Ember['default'].inject.service(),
    mostrarLinkActualizacion: false,

    didInsertElement: function didInsertElement() {
      var _this = this;

      this.get('version').obtener_estado_de_version().then(function (data) {
        var comparacion = data.comparacion;

        if (comparacion === 1) {
          _this.set("mostrarLinkActualizacion", true);
        }
      });
    },

    actions: {
      verSitioActualizacion: function verSitioActualizacion() {
        var gui = window.requireNode('nw.gui');
        gui.Shell.openExternal("http://hugoruscitti.github.io/huayra-tips/#/actualizar/pilas-engine-bloques");
      }
    }
  });

});
define('pilas-engine-bloques/components/pilas-blockly', ['exports', 'ember'], function (exports, Ember) {

  'use strict';

  exports['default'] = Ember['default'].Component.extend({
    ejecutando: false,
    cola_deshacer: [],
    data_observar_blockly: false,
    actividad: null,
    environment: Ember['default'].inject.service(),
    abrirConsignaInicial: false,

    twitter: Ember['default'].inject.service(),
    previewData: null, // representa la imagen previsualización del dialogo para twittear.
    mensajeCompartir: 'Comparto mi solución de Pilas Bloques',
    compartirEnCurso: false,
    browser: Ember['default'].inject.service(),

    inyectarRedimensionado: Ember['default'].on('init', function () {
      var _this = this;

      window.anterior_altura = 0;
      window.anterior_ancho = 0;
      var ancho_canvas = 445;

      function redimensionar() {
        var panel = document.getElementById('panel-derecho');
        var contenedorEditor = document.getElementById('contenedor-editor');
        var panelPilas = document.getElementById('panel-pilas');
        var e = document.getElementById('contenedor-blockly');

        if (!panel) {
          return null;
        }

        var altura = panel.getClientRects()[0].height;
        var ancho_total = contenedorEditor.getClientRects()[0].width;

        if (window.anterior_altura !== altura || window.anterior_ancho !== ancho_total) {

          e.style.width = ancho_total - ancho_canvas + 'px';
          e.style.height = altura - 50 + 'px';
          panelPilas.style.width = ancho_canvas - 20 + 'px';

          window.anterior_altura = altura;
          window.anterior_ancho = ancho_total;

          Blockly.fireUiEvent(window, 'resize');
        }
      }

      function forzar_redimensionado() {
        window.anterior_altura += 1;
        redimensionar();
      }

      window.onresize = redimensionar;
      window.forzar_redimensionado = forzar_redimensionado;

      // Muestra el dialogo inicial si está definida la consigna inicial.
      if (this.get('actividad.actividad.consignaInicial')) {
        Ember['default'].run.later(function () {
          _this.set('abrirConsignaInicial', true);
        });
      }
    }),

    iniciarBlockly: Ember['default'].on('didInsertElement', function () {
      //var contenedor = this.$().find('#contenedor-blockly')[0];
      this.set('cola_deshacer', []);
      //this.cargar_codigo_desde_el_modelo();
      //this.observarCambiosEnBlocky();
    }),

    /**
     * Se conecta a los eventos y cambios de estado de blockly para implementar
     * la funcionalidad de 'deshacer'.
     */
    observarCambiosEnBlocky: function observarCambiosEnBlocky() {
      var f = this.almacenar_cambio.bind(this);
      var d = Blockly.addChangeListener(f);
      this.set('data_observar_blockly', d);
    },

    noMirarCambiosEnBlockly: function noMirarCambiosEnBlockly() {
      if (this.get('data_observar_blockly')) {
        Blockly.removeChangeListener(this.get('data_observar_blockly'));
      }
    },

    almacenar_cambio: function almacenar_cambio() {
      this.get('cola_deshacer').pushObject(this.obtener_codigo_en_texto());
      console.log("guardar");
    },

    restaurar_codigo: function restaurar_codigo(codigo) {
      var xml = Blockly.Xml.textToDom(codigo);
      Blockly.mainWorkspace.clear();
      Blockly.Xml.domToWorkspace(Blockly.getMainWorkspace(), xml);
    },

    obtener_codigo_en_texto: function obtener_codigo_en_texto() {
      var xml = Blockly.Xml.workspaceToDom(Blockly.getMainWorkspace());
      return Blockly.Xml.domToText(xml);
    },

    cargar_codigo_desde_el_modelo: function cargar_codigo_desde_el_modelo() {
      if (this.get('model')) {
        var modelo = this.get('model');
        var codigo = modelo.get('codigo');
        this.restaurar_codigo(codigo);
      }
      this.sendAction('registrarPrimerCodigo');
    },

    actions: {
      ejecutar: function ejecutar() {
        window.LoopTrap = 1000;
        //this.sendAction('reiniciar');
        Blockly.JavaScript.INFINITE_LOOP_TRAP = 'if (--window.LoopTrap == 0) throw "Infinite loop.";\n';

        var code = this.get('actividad').generarCodigo();
        Blockly.JavaScript.INFINITE_LOOP_TRAP = null;

        try {
          this.set('ejecutando', true);
          eval(code);
          this.sendAction('parar');
        } catch (e) {
          console.error(e.stack);
          alert(e);
        }
      },
      reiniciar: function reiniciar() {
        this.set('ejecutando', false);
        this.sendAction('reiniciar');
      },
      guardar: function guardar() {
        this.sendAction('guardar');
      },
      alternar: function alternar() {
        //this.sendAction('redimensionar');
        console.log(this.controllerFor('application'));
        //.sendAction('redimensionar');
      },
      ver_codigo: function ver_codigo() {
        Blockly.JavaScript.INFINITE_LOOP_TRAP = null;
        var code = this.get('actividad').generarCodigoXML();
        var codigo_como_string = null;

        function xml2string(node) {
          if (typeof XMLSerializer !== 'undefined') {
            var serializer = new XMLSerializer();
            return serializer.serializeToString(node);
          } else if (node.xml) {
            return node.xml;
          }
        }

        codigo_como_string = xml2string(code);
        console.log(codigo_como_string);
        alert(codigo_como_string);
      },
      deshacer_cambio: function deshacer_cambio() {
        this.noMirarCambiosEnBlockly();
        this.get('cola_deshacer').popObject();
        var c = this.get('cola_deshacer').popObject();
        if (c) {
          console.log("deshacer");
          this.restaurar_codigo(c);
        }
        this.observarCambiosEnBlocky();
      },

      compartir: function compartir() {
        this.set('abrirDialogoCompartir', true);
        var data = window['canvas'].toDataURL('image/png');
        this.set('previewData', data);
      },

      abrirMensajePublicado: function abrirMensajePublicado() {
        var url = this.get('mensajePublicadoURL');
        this.get('browser').openLink(url);
      },

      enviarMensaje: function enviarMensaje() {
        var _this2 = this;

        this.set('envioEnCurso', true);

        var mensaje = this.get('mensajeCompartir');
        var imagen = this.get('previewData');

        this.get('twitter').compartir(mensaje, imagen).then(function (data) {
          _this2.set('envioEnCurso', false);
          _this2.set('mensajePublicadoURL', data.url);
        })['catch'](function (err) {
          alert(err);
          _this2.set('envioEnCurso', false);
        });
      }

    }

  });

});
define('pilas-engine-bloques/components/pilas-canvas', ['exports', 'ember'], function (exports, Ember) {

  'use strict';

  exports['default'] = Ember['default'].Component.extend({
    actividad: null,

    iniciarPilas: Ember['default'].on('didInsertElement', function () {
      var canvas_element = this.$().find('canvas')[0];

      window.pilas = pilasengine.iniciar({
        ancho: 420,
        alto: 480,
        canvas: canvas_element,
        data_path: 'libs/data',

        imagenesExtra: ['fondos.estrellas.png', 'fondos.obrero.png', 'fondos.nubes.png', 'fondo.elPlanetaDeNano.png', 'casilla.elPlanetaDeNano.png', 'casillaLightbot.png', 'perro_cohete.png', 'hueso.png', 'mock_llave.png', 'mock_caballero.png', 'mock_cofre.png', 'mock_heroe.png', 'mock_mago.png', 'mock_unicornio.png', 'casillaArriba.png', 'casillaAbajo.png', 'casillaDerecha.png', 'casillaIzquierda.png', 'banana.png', 'nano.png', 'casilla_base.png', 'robot.png', 'casilla_con_luz.png', 'invisible.png', 'sin_imagen.png', 'maria.png', 'sandia.png', 'compu_animada.png', 'globoAnimado.png', 'cangrejo.png', 'buzo.png', 'fondos.mar.png', 'pez1.png', 'pez2.png', 'pez3.png', 'alimento_pez.png', 'ratonAnimado.png', 'quesoAnimado.png', 'naveAnimada.png', 'robotAnimado.png', 'manzana.png', 'pelotaAnimada.png', 'fondos.biblioteca.png', 'fondos.reparandoLaNave.png', 'casilla.reparandoNave.png', 'marcianoVerdeAnimado.png', 'carbon_animado.png', 'hierro_animado.png', 'monoAnimado.png', 'casillas.violeta.png', 'fondos.selva.png', 'banana-1.png', 'manzana-v2.png', 'fondos.futbolRobots.png', 'casilla.futbolRobots1.png', 'casilla.futbolRobots2.png', 'fondos.elPlanetaDeNano.png', 'casillas.elPlanetaDeNano.png', 'fondos.alien-inicial.png', 'casillas.alien_inicial.png', 'botonAnimado.png', 'camino-alien-boton.png', 'iconos.botonRojo.png', 'casilla.grisoscuro.png']
      });

      window.pilas.onready = (function () {
        this.get('actividad').iniciarEscena();

        var contenedor = document.getElementById('contenedor-blockly');
        this.get('actividad').iniciarBlockly(contenedor);
      }).bind(this);

      window.pilas.ejecutar();
    })

  });

});
define('pilas-engine-bloques/components/pilas-desafio', ['exports', 'ember'], function (exports, Ember) {

  'use strict';

  exports['default'] = Ember['default'].Component.extend({
    classNames: ['desafio'],
    nombre: null,
    deshabilitada: false,

    actions: {
      abrir: function abrir() {
        this.sendAction('onSelect', this.get('nombre'));
      }
    }
  });

});
define('pilas-engine-bloques/components/pilas-update', ['exports', 'ember'], function (exports, Ember) {

  'use strict';

  exports['default'] = Ember['default'].Component.extend({
    classNames: ['pilas-update'],
    buscando: false,
    version: Ember['default'].inject.service(),
    mensaje: "",

    definirMensajeDiferido: function definirMensajeDiferido(mensaje) {
      var _this = this;

      setTimeout(function () {
        _this.set('mensaje', mensaje);
        _this.set('buscando', false);
      }, 2000);
    },

    actions: {
      buscar: function buscar() {
        var _this2 = this;

        this.set('buscando', true);
        this.set('mensaje', '');

        this.get('version').obtener_estado_de_version().then(function (data) {
          var comparacion = data.comparacion;
          var version_del_servidor = data.version_del_servidor;

          switch (comparacion) {
            case 0:
              _this2.definirMensajeDiferido("Tu versión está actualizada.");
              break;

            case -1:
              _this2.definirMensajeDiferido('Tu versión es más reciente que la del servidor: ' + version_del_servidor + '.');
              break;

            case 1:
              _this2.definirMensajeDiferido('Existe una actualización, la versión ' + version_del_servidor + '.');
              _this2.get('version').descargarActualizacion(version_del_servidor);
              break;
          }
        }, function (error) {

          console.error(error);
          _this2.definirMensajeDiferido("No se pudo consultar la versión desde Internet.");
        });
      }
    }
  });

});
define('pilas-engine-bloques/controllers/acercade', ['exports', 'ember'], function (exports, Ember) {

  'use strict';

  exports['default'] = Ember['default'].Controller.extend({
    version: Ember['default'].inject.service(),

    currentVersion: Ember['default'].computed('version', function () {
      return this.get('version').getVersion();
    }),

    actions: {
      visitWebsite: function visitWebsite() {
        var gui = window.requireNode('nw.gui');
        gui.Shell.openExternal("http://bloques.pilas-engine.com.ar");
      }
    }
  });

});
define('pilas-engine-bloques/controllers/application', ['exports', 'ember'], function (exports, Ember) {

  'use strict';

  exports['default'] = Ember['default'].Controller.extend({
    url: '',
    queryParams: ['layout'],
    layout: true,
    environment: Ember['default'].inject.service(),

    mostrar_url: Ember['default'].on('init', function () {
      this.set('layout', this.get('environment').get('showLayout'));
    }),

    myModalButtons: [Ember['default'].Object.create({ title: 'Cerrar', dismiss: 'modal' })],

    actions: {
      mostrar_devtools: function mostrar_devtools() {
        window.requireNode('nw.gui').Window.get().showDevTools();
      },
      actualizar: function actualizar() {
        location.reload(true);
      },
      redimensionar: function redimensionar() {
        alert("tengo que redimensionar!");
      },

      abrirPreferencias: function abrirPreferencias() {
        this.set('mostrarDialogoOpciones', true);
      },

      abrirAyuda: function abrirAyuda() {
        this.set('mostrarDialogoAyuda', true);
      },

      ocultar_boton_codigo: function ocultar_boton_codigo() {
        this.set('environment.debeMostrarBotonCodigoXML', false);
      },

      mostrar_boton_codigo: function mostrar_boton_codigo() {
        this.set('environment.debeMostrarBotonCodigoXML', true);
      }
    }

  });

});
define('pilas-engine-bloques/controllers/array', ['exports', 'ember'], function (exports, Ember) {

	'use strict';

	exports['default'] = Ember['default'].Controller;

});
define('pilas-engine-bloques/controllers/desafios/index', ['exports', 'ember'], function (exports, Ember) {

  'use strict';

  exports['default'] = Ember['default'].Controller.extend({
    actions: {
      onSelect: function onSelect(name) {
        this.transitionToRoute('desafios.nombre', name);
      }
    }
  });

});
define('pilas-engine-bloques/controllers/editor', ['exports', 'ember'], function (exports, Ember) {

  'use strict';

  exports['default'] = Ember['default'].Controller.extend({
    //actividad: Actividades.Alien,
    nombre_al_guardar: 'mi actividad',
    tmp_codigo_xml: '',

    debeGuardar: function debeGuardar() {
      var codigo_xml = this.get('actividad').obtener_codigo_en_texto();
      return codigo_xml !== this.get('tmp_codigo_xml');
    },

    inyectarRedimensionado: Ember['default'].on('init', function () {

      window.anterior_altura = 0;
      window.anterior_ancho = 0;
      var ancho_canvas = 445;

      function redimensionar() {
        var panel = document.getElementById('panel-derecho');
        var contenedorEditor = document.getElementById('contenedor-editor');
        var panelPilas = document.getElementById('panel-pilas');
        var e = document.getElementById('contenedor-blockly');

        if (!panel) {
          return null;
        }

        var altura = panel.getClientRects()[0].height;
        var ancho_total = contenedorEditor.getClientRects()[0].width;

        if (window.anterior_altura !== altura || window.anterior_ancho !== ancho_total) {

          e.style.width = ancho_total - ancho_canvas + 'px';
          e.style.height = altura - 50 + 'px';
          panelPilas.style.width = ancho_canvas - 20 + 'px';

          window.anterior_altura = altura;
          window.anterior_ancho = ancho_total;

          Blockly.fireUiEvent(window, 'resize');
        }
      }

      function forzar_redimensionado() {
        window.anterior_altura += 1;
        redimensionar();
      }

      window.onresize = redimensionar;
      window.forzar_redimensionado = forzar_redimensionado;
    }),

    'botones-modal-guardar': [Ember['default'].Object.create({ title: 'Guardar y ver en la galería', clicked: 'guardarEnGaleriaYRedireccionar' }), Ember['default'].Object.create({ title: 'Guardar y continuar', clicked: 'guardarEnGaleria', dismiss: 'modal' }), Ember['default'].Object.create({ title: 'Cerrar', dismiss: 'modal' })],

    actions: {
      registrarPrimerCodigo: function registrarPrimerCodigo() {
        var codigo_xml = this.get('actividad').obtener_codigo_en_texto();
        this.set('tmp_codigo_xml', codigo_xml);
        if (this.get('model')) {
          this.set('nombre_al_guardar', this.get('model').get('nombre'));
        }
      },

      guardar: function guardar() {
        var codigo_xml = this.get('actividad').obtener_codigo_en_texto();
        this.set('tmp_codigo_xml', codigo_xml);
        return Bootstrap.ModalManager.show('modal-guardar');
      },

      guardarEnGaleriaYRedireccionar: function guardarEnGaleriaYRedireccionar() {
        this.send('guardarEnGaleria');
        this.transitionToRoute('galeria');
      },

      guardarEnGaleria: function guardarEnGaleria() {
        //alert("test");
        var imagen = document.getElementById('canvas');
        var imagen_data = imagen.toDataURL('image/png');

        var juego = this.get('model');

        if (juego) {
          juego.set('nombre', this.get('nombre_al_guardar'));
          juego.set('imagen', imagen_data);
          juego.set('codigo', this.get('tmp_codigo_xml'));
        } else {
          juego = this.store.createRecord('galeria', {
            nombre: this.get('nombre_al_guardar'),
            imagen: imagen_data,
            codigo: this.get('tmp_codigo_xml')
          });
        }

        juego.save();
      },

      reiniciar: function reiniciar() {
        this.get('actividad').iniciarEscena();
      }
    }
  });

});
define('pilas-engine-bloques/controllers/galeria', ['exports', 'ember'], function (exports, Ember) {

  'use strict';

  exports['default'] = Ember['default'].ArrayController.extend({
    actions: {
      eliminar: function eliminar(record) {
        record.destroyRecord();
      },

      abrir: function abrir(record) {
        this.transitionToRoute('editor', record);
      }
    }
  });

});
define('pilas-engine-bloques/controllers/iframe', ['exports', 'ember', 'pilas-engine-bloques/actividades'], function (exports, Ember, Actividades) {

  'use strict';

  exports['default'] = Ember['default'].Controller.extend({
    queryParams: ['layout'],
    layout: true,
    actividad: Actividades['default'].Alien,
    nombre_al_guardar: 'mi actividad',
    tmp_codigo_xml: '',

    debeGuardar: function debeGuardar() {
      var codigo_xml = this.get('actividad').obtener_codigo_en_texto();
      return codigo_xml !== this.get('tmp_codigo_xml');
    },

    inyectarRedimensionado: Ember['default'].on('init', function () {

      window.anterior_altura = 0;
      window.anterior_ancho = 0;
      var ancho_canvas = 445;

      function redimensionar() {
        var panel = document.getElementById('panel-derecho');
        var contenedorEditor = document.getElementById('contenedor-editor');
        var panelPilas = document.getElementById('panel-pilas');
        var e = document.getElementById('contenedor-blockly');

        if (!panel) {
          return null;
        }

        var altura = panel.getClientRects()[0].height;
        var ancho_total = contenedorEditor.getClientRects()[0].width;

        if (window.anterior_altura !== altura || window.anterior_ancho !== ancho_total) {

          e.style.width = ancho_total - ancho_canvas + 'px';
          e.style.height = altura - 50 + 'px';
          panelPilas.style.width = ancho_canvas - 20 + 'px';

          window.anterior_altura = altura;
          window.anterior_ancho = ancho_total;

          Blockly.fireUiEvent(window, 'resize');
        }
      }

      function forzar_redimensionado() {
        window.anterior_altura += 1;
        redimensionar();
      }

      window.onresize = redimensionar;
      window.forzar_redimensionado = forzar_redimensionado;
    }),

    'botones-modal-guardar': [Ember['default'].Object.create({ title: 'Guardar y ver en la galería', clicked: 'guardarEnGaleriaYRedireccionar' }), Ember['default'].Object.create({ title: 'Guardar y continuar', clicked: 'guardarEnGaleria', dismiss: 'modal' }), Ember['default'].Object.create({ title: 'Cerrar', dismiss: 'modal' })],

    actions: {
      registrarPrimerCodigo: function registrarPrimerCodigo() {
        var codigo_xml = this.get('actividad').obtener_codigo_en_texto();
        this.set('tmp_codigo_xml', codigo_xml);
        if (this.get('model')) {
          this.set('nombre_al_guardar', this.get('model').get('nombre'));
        }
      },

      guardar: function guardar() {
        var codigo_xml = this.get('actividad').obtener_codigo_en_texto();
        this.set('tmp_codigo_xml', codigo_xml);
        return Bootstrap.ModalManager.show('modal-guardar');
      },

      guardarEnGaleriaYRedireccionar: function guardarEnGaleriaYRedireccionar() {
        this.send('guardarEnGaleria');
        this.transitionToRoute('galeria');
      },

      guardarEnGaleria: function guardarEnGaleria() {
        var imagen = document.getElementById('canvas');
        var imagen_data = imagen.toDataURL('image/png');

        var juego = this.get('model');

        if (juego) {
          juego.set('nombre', this.get('nombre_al_guardar'));
          juego.set('imagen', imagen_data);
          juego.set('codigo', this.get('tmp_codigo_xml'));
        } else {
          juego = this.store.createRecord('galeria', {
            nombre: this.get('nombre_al_guardar'),
            imagen: imagen_data,
            codigo: this.get('tmp_codigo_xml')
          });
        }

        juego.save();
      },

      reiniciar: function reiniciar() {
        this.get('actividad').iniciarEscena();
      }
    }
  });

});
define('pilas-engine-bloques/controllers/object', ['exports', 'ember'], function (exports, Ember) {

	'use strict';

	exports['default'] = Ember['default'].Controller;

});
define('pilas-engine-bloques/controllers/preferencia', ['exports', 'ember'], function (exports, Ember) {

  'use strict';

  exports['default'] = Ember['default'].Controller.extend({
    edicion: false,
    actions: {
      guardar: function guardar() {
        var record = this.store.find('preferencium', { tipo: 'principal' });
        record.save();

        model.save().then(function () {
          this.set('edicion', false);
        });
      },
      editar: function editar() {
        this.set('edicion', true);
      }
    }
  });

});
define('pilas-engine-bloques/helpers/fa-icon', ['exports', 'ember'], function (exports, Ember) {

  'use strict';

  var FA_PREFIX = /^fa\-.+/;

  var warn = Ember['default'].Logger.warn;

  /**
   * Handlebars helper for generating HTML that renders a FontAwesome icon.
   *
   * @param  {String} name    The icon name. Note that the `fa-` prefix is optional.
   *                          For example, you can pass in either `fa-camera` or just `camera`.
   * @param  {Object} options Options passed to helper.
   * @return {Ember.Handlebars.SafeString} The HTML markup.
   */
  var faIcon = function faIcon(name, options) {
    if (Ember['default'].typeOf(name) !== 'string') {
      var message = "fa-icon: no icon specified";
      warn(message);
      return Ember['default'].String.htmlSafe(message);
    }

    var params = options.hash,
        classNames = [],
        html = "";

    classNames.push("fa");
    if (!name.match(FA_PREFIX)) {
      name = "fa-" + name;
    }
    classNames.push(name);
    if (params.spin) {
      classNames.push("fa-spin");
    }
    if (params.flip) {
      classNames.push("fa-flip-" + params.flip);
    }
    if (params.rotate) {
      classNames.push("fa-rotate-" + params.rotate);
    }
    if (params.lg) {
      warn("fa-icon: the 'lg' parameter is deprecated. Use 'size' instead. I.e. {{fa-icon size=\"lg\"}}");
      classNames.push("fa-lg");
    }
    if (params.x) {
      warn("fa-icon: the 'x' parameter is deprecated. Use 'size' instead. I.e. {{fa-icon size=\"" + params.x + "\"}}");
      classNames.push("fa-" + params.x + "x");
    }
    if (params.size) {
      if (Ember['default'].typeOf(params.size) === "string" && params.size.match(/\d+/)) {
        params.size = Number(params.size);
      }
      if (Ember['default'].typeOf(params.size) === "number") {
        classNames.push("fa-" + params.size + "x");
      } else {
        classNames.push("fa-" + params.size);
      }
    }
    if (params.fixedWidth) {
      classNames.push("fa-fw");
    }
    if (params.listItem) {
      classNames.push("fa-li");
    }
    if (params.pull) {
      classNames.push("pull-" + params.pull);
    }
    if (params.border) {
      classNames.push("fa-border");
    }
    if (params.classNames && !Ember['default'].isArray(params.classNames)) {
      params.classNames = [params.classNames];
    }
    if (!Ember['default'].isEmpty(params.classNames)) {
      Array.prototype.push.apply(classNames, params.classNames);
    }

    html += "<";
    var tagName = params.tagName || 'i';
    html += tagName;
    html += " class='" + classNames.join(" ") + "'";
    if (params.title) {
      html += " title='" + params.title + "'";
    }
    if (params.ariaHidden === undefined || params.ariaHidden) {
      html += " aria-hidden=\"true\"";
    }
    html += "></" + tagName + ">";
    return Ember['default'].String.htmlSafe(html);
  };

  exports['default'] = Ember['default'].Handlebars.makeBoundHelper(faIcon);

  exports.faIcon = faIcon;

});
define('pilas-engine-bloques/initialize', ['exports', 'ember', 'ember-idx-utils/config'], function (exports, Em, IdxConfig) {

  'use strict';

  exports['default'] = {
    name: 'ember-idx-utils',
    initialize: function initialize() {
      if (!Em['default'].IdxConfig) {
        Em['default'].IdxConfig = IdxConfig['default'].create();
      }
    }
  };

});
define('pilas-engine-bloques/initializers/app-version', ['exports', 'ember-cli-app-version/initializer-factory', 'pilas-engine-bloques/config/environment'], function (exports, initializerFactory, config) {

  'use strict';

  var _config$APP = config['default'].APP;
  var name = _config$APP.name;
  var version = _config$APP.version;

  exports['default'] = {
    name: 'App Version',
    initialize: initializerFactory['default'](name, version)
  };

});
define('pilas-engine-bloques/initializers/ember-idx-modal', ['exports', 'ember', 'ember-idx-utils/config'], function (exports, Em, IdxConfig) {

    'use strict';

    exports['default'] = {
        name: 'ember-idx-modal',
        initialize: function initialize() {
            var Config = Em['default'].IdxConfig = Em['default'].IdxConfig ? Em['default'].IdxConfig : IdxConfig['default'].create();

            var defaultConfig = Config.getConfig('bs');
            if (!defaultConfig) {
                Config.addConfig('bs');
                defaultConfig = Config.getConfig('bs');
            }

            defaultConfig['modal'] = {
                classes: ['em-modal', 'modal', 'fade'],
                bodyClasses: ['modal-body'],
                titleClasses: ['modal-header'],
                footerClasses: ['modal-footer']
            };
        }
    };

});
define('pilas-engine-bloques/initializers/export-application-global', ['exports', 'ember', 'pilas-engine-bloques/config/environment'], function (exports, Ember, config) {

  'use strict';

  exports.initialize = initialize;

  function initialize() {
    var application = arguments[1] || arguments[0];
    if (config['default'].exportApplicationGlobal !== false) {
      var value = config['default'].exportApplicationGlobal;
      var globalName;

      if (typeof value === 'string') {
        globalName = value;
      } else {
        globalName = Ember['default'].String.classify(config['default'].modulePrefix);
      }

      if (!window[globalName]) {
        window[globalName] = application;

        application.reopen({
          willDestroy: function willDestroy() {
            this._super.apply(this, arguments);
            delete window[globalName];
          }
        });
      }
    }
  }

  ;

  exports['default'] = {
    name: 'export-application-global',

    initialize: initialize
  };

});
define('pilas-engine-bloques/models/galeria', ['exports', 'ember-data'], function (exports, DS) {

  'use strict';

  exports['default'] = DS['default'].Model.extend({
    nombre: DS['default'].attr('string'),
    codigo: DS['default'].attr('string'),
    imagen: DS['default'].attr('string')
  });

});
define('pilas-engine-bloques/models/preferencium', ['exports', 'ember-data'], function (exports, DS) {

  'use strict';

  exports['default'] = DS['default'].Model.extend({
    nombre: DS['default'].attr('string'),
    tipo: DS['default'].attr('string')
  });

});
define('pilas-engine-bloques/router', ['exports', 'ember', 'pilas-engine-bloques/config/environment'], function (exports, Ember, config) {

  'use strict';

  var Router = Ember['default'].Router.extend({
    location: config['default'].locationType
  });

  Router.map(function () {
    this.route('about');
    this.route('preferencia');
    this.route('editor', {
      path: '/editor/:galeria_id',
      resetNamespace: true
    });
    this.route('galeria');
    this.route('iframe');
    this.route('test');
    this.route('desafios', {
      resetNamespace: true
    }, function () {
      this.route('nombre', { path: ':nombre' });
    });
    this.route('acercade');
  });

  exports['default'] = Router;

});
define('pilas-engine-bloques/routes/acercade', ['exports', 'ember'], function (exports, Ember) {

	'use strict';

	exports['default'] = Ember['default'].Route.extend({});

});
define('pilas-engine-bloques/routes/desafios/nombre', ['exports', 'ember'], function (exports, Ember) {

  'use strict';

  exports['default'] = Ember['default'].Route.extend({
    actividades: Ember['default'].inject.service(),
    actividadActual: null,

    model: function model(param) {
      var _this = this;

      return new Ember['default'].RSVP.Promise(function (resolve, reject) {
        var actividad = _this.get('actividades').obtenerPorNombre(param.nombre);
        _this.set('actividadActual', actividad);

        if (!actividad) {
          var msg = "ERROR: no existe un desafio con ese nombre";
          return reject(msg);
        }

        return resolve({ actividad: actividad });
      });
    },

    actions: {
      reiniciar: function reiniciar() {
        this.get('actividadActual').iniciarEscena();
      }
    }
  });

});
define('pilas-engine-bloques/routes/desafios', ['exports', 'ember'], function (exports, Ember) {

	'use strict';

	exports['default'] = Ember['default'].Route.extend({});

});
define('pilas-engine-bloques/routes/editor', ['exports', 'ember'], function (exports, Ember) {

  'use strict';

  exports['default'] = Ember['default'].Route.extend({
    model: function model(params) {
      if (params.galeria_id !== 'new') {
        return this.store.find('galeria', params.galeria_id);
      } else {
        return null;
      }
    },
    actions: {
      willTransition: function willTransition(transition) {
        var b = this.controllerFor('editor').debeGuardar();
        if (b) {
          transition.abort();
          this.controllerFor('editor').send('guardar');
        } else {
          // Bubble the `willTransition` action so that
          // parent routes can decide whether or not to abort.
          return true;
        }
      }
    }

  });

});
define('pilas-engine-bloques/routes/galeria', ['exports', 'ember'], function (exports, Ember) {

  'use strict';

  exports['default'] = Ember['default'].Route.extend({
    model: function model() {
      return this.store.find('galeria');
    }
  });

});
define('pilas-engine-bloques/routes/iframe', ['exports', 'ember'], function (exports, Ember) {

  'use strict';

  exports['default'] = Ember['default'].Route.extend({
    model: function model() {
      return null;
    }
  });

});
define('pilas-engine-bloques/routes/index', ['exports', 'ember'], function (exports, Ember) {

	'use strict';

	exports['default'] = Ember['default'].Route.extend({});

});
define('pilas-engine-bloques/routes/preferencia', ['exports', 'ember'], function (exports, Ember) {

  'use strict';

  exports['default'] = Ember['default'].Route.extend({
    model: function model() {
      var record = this.store.find('preferencium', { tipo: 'principal' });
      var controller = this;

      record.then(function (data) {
        return data;
      })['catch'](function (err) {
        return controller.store.createRecord('preferencium', {
          tipo: 'principal',
          nombre: 'nombre sin definir'
        }).save();
      });
    }
  });

});
define('pilas-engine-bloques/routes/test', ['exports', 'ember'], function (exports, Ember) {

  'use strict';

  exports['default'] = Ember['default'].Route.extend({
    actividades: Ember['default'].inject.service(),

    model: function model() {
      var actividad = this.get('actividades').obtenerPorNombre('alien');

      return { actividad: actividad };
    }
  });

});
define('pilas-engine-bloques/routes/tips', ['exports', 'ember'], function (exports, Ember) {

	'use strict';

	exports['default'] = Ember['default'].Route.extend({});

});
define('pilas-engine-bloques/serializers/application', ['exports', 'ember-data'], function (exports, DS) {

	'use strict';

	exports['default'] = DS['default'].LSSerializer.extend();

});
define('pilas-engine-bloques/services/actividades', ['exports', 'ember', 'pilas-engine-bloques/actividades/bloques', 'pilas-engine-bloques/actividades/actividadAlien', 'pilas-engine-bloques/actividades/actividadLaEleccionDelMono', 'pilas-engine-bloques/actividades/actividadElMonoYLasBananas', 'pilas-engine-bloques/actividades/actividadLightbotEnScratch', 'pilas-engine-bloques/actividades/actividadFutbolRobots', 'pilas-engine-bloques/actividades/actividadElPlanetaDeNano', 'pilas-engine-bloques/actividades/actividadAlienTocaBoton'], function (exports, Ember, bloques, actividadAlien, actividadLaEleccionDelMono, actividadElMonoYLasBananas, actividadLightbotEnScratch, actividadFutbolRobots, actividadElPlanetaDeNano, actividadAlienTocaBoton) {

  'use strict';

  /*jshint unused:false*/

  Blockly.Blocks.primitivas = { COLOUR: '#4a6cd4' };
  Blockly.Blocks.sensores = { COLOUR: '#4a6cd4' };
  Blockly.Blocks.eventos = { COLOUR: '#4a6cd4' };

  /* ============================================== */

  var Bloque = bloques['default'].Bloque;
  var CambioDeJSDeBlocky = bloques['default'].CambioDeJSDeBlocky;
  var VariableGet = bloques['default'].VariableGet;
  var VariableSet = bloques['default'].VariableSet;
  var VariableLocalGet = bloques['default'].VariableLocalGet;
  var VariableLocalSet = bloques['default'].VariableLocalSet;
  var Procedimiento = bloques['default'].Procedimiento;
  var Funcion = bloques['default'].Funcion;
  var CallNoReturn = bloques['default'].CallNoReturn;
  var CallReturn = bloques['default'].CallReturn;
  var ParamGet = bloques['default'].ParamGet;
  var AlEmpezar = bloques['default'].AlEmpezar;
  var Accion = bloques['default'].Accion;
  var Sensor = bloques['default'].Sensor;

  /* ============================================== */

  var EstructuraDeControl = Bloque.extend({

    block_init: function block_init(block) {
      this._super(block);
      block.setColour(Blockly.Blocks.loops.COLOUR);
      block.setInputsInline(true);
      block.setPreviousStatement(true);
      block.setNextStatement(true);
    }

  });

  /* ============================================== */

  var Repetir = EstructuraDeControl.extend({

    init: function init() {
      this._super();
      this.set('id', 'repetir');
    },

    block_init: function block_init(block) {
      this._super(block);
      block.appendValueInput('count').setCheck('Number').appendField('repetir');
      block.appendStatementInput('block');
    },

    block_javascript: function block_javascript(block) {
      var value_count = Blockly.JavaScript.valueToCode(block, 'count', Blockly.JavaScript.ORDER_ATOMIC) || '0';
      var statements_block = Blockly.JavaScript.statementToCode(block, 'block');
      var r = 'programa.empezar_secuencia();\n';
      r += statements_block;
      r += 'programa.repetirN(function(){\nreturn {{n}};\n});\n'.replace('{{n}}', value_count);
      return r;
    },

    get_parametros: function get_parametros() {
      return [ParamValor.create({
        nombre_param: 'count',
        tipo_bloque: 'math_number',
        nombre_valor: 'NUM',
        valor: '10'
      })];
    }

  });

  /* ============================================== */

  var Si = EstructuraDeControl.extend({

    init: function init() {
      this._super();
      this.set('id', 'si');
    },

    block_init: function block_init(block) {
      this._super(block);
      block.appendValueInput('condition').setCheck('Boolean').appendField('si');
      block.appendStatementInput('block');
    },

    block_javascript: function block_javascript(block) {
      var value_condition = Blockly.JavaScript.valueToCode(block, 'condition', Blockly.JavaScript.ORDER_ATOMIC) || 'false';
      var statements_block = Blockly.JavaScript.statementToCode(block, 'block');
      var r = 'programa.empezar_secuencia();\n';
      r += statements_block;
      r += 'programa.alternativa_si(function(){\nreturn {{condition}};\n});\n'.replace('{{condition}}', value_condition);
      return r;
    }

  });

  /* ============================================== */

  var Sino = EstructuraDeControl.extend({

    init: function init() {
      this._super();
      this.set('id', 'sino');
    },

    block_init: function block_init(block) {
      this._super(block);
      block.appendValueInput('condition').setCheck('Boolean').appendField('si');
      block.appendStatementInput('block1');
      block.appendDummyInput().appendField('sino');
      block.appendStatementInput('block2');
    },

    block_javascript: function block_javascript(block) {
      var value_condition = Blockly.JavaScript.valueToCode(block, 'condition', Blockly.JavaScript.ORDER_ATOMIC) || 'false';
      var statements_block1 = Blockly.JavaScript.statementToCode(block, 'block1');
      var statements_block2 = Blockly.JavaScript.statementToCode(block, 'block2');
      var r = 'programa.empezar_secuencia();\n';
      r += statements_block1;
      r += 'programa.empezar_secuencia();\n';
      r += statements_block2;
      r += 'programa.alternativa_sino(function(){\nreturn {{condition}};\n});\n'.replace('{{condition}}', value_condition);
      return r;
    }

  });

  /* ============================================== */

  var Hasta = EstructuraDeControl.extend({

    init: function init() {
      this._super();
      this.set('id', 'hasta');
    },

    block_init: function block_init(block) {
      this._super(block);
      block.appendValueInput('condition').setCheck('Boolean').appendField('repetir hasta que');
      block.appendStatementInput('block');
    },

    block_javascript: function block_javascript(block) {
      var value_condition = Blockly.JavaScript.valueToCode(block, 'condition', Blockly.JavaScript.ORDER_ATOMIC) || 'true';
      var statements_block = Blockly.JavaScript.statementToCode(block, 'block');
      var r = 'programa.empezar_secuencia();\n';
      r += statements_block;
      r += 'programa.repetir_hasta(function(){\nreturn {{condition}};\n});\n'.replace('{{condition}}', value_condition);
      return r;
    }

  });

  var ExpresionDeBlockly = Bloque.extend({

    registrar_en_blockly: function registrar_en_blockly() {
      // pisado porque ya viene con blockly
      // ni tampoco quiero modificar el javascript
    }

  });

  var Numero = ExpresionDeBlockly.extend({
    init: function init() {
      this._super();
      this.set('id', 'math_number');
    }
  });

  var OpAritmetica = ExpresionDeBlockly.extend({
    init: function init() {
      this._super();
      this.set('id', 'math_arithmetic');
    }
  });

  var Booleano = ExpresionDeBlockly.extend({
    init: function init() {
      this._super();
      this.set('id', 'logic_boolean');
    }
  });

  var OpComparacion = ExpresionDeBlockly.extend({
    init: function init() {
      this._super();
      this.set('id', 'logic_compare');
    }
  });

  var OpLogica = ExpresionDeBlockly.extend({
    init: function init() {
      this._super();
      this.set('id', 'logic_operation');
    }
  });

  var OpNegacion = ExpresionDeBlockly.extend({
    init: function init() {
      this._super();
      this.set('id', 'logic_negate');
    }
  });

  /* ============================================== */

  /*
   * Representa el valor
   * de un campo string de un bloque
   */
  /*exported ParamCampo*/
  var ParamCampo = Ember['default'].Object.extend({
    build: function build() {
      var str_block = '';
      str_block += '<field name="NOMBRE">'.replace('NOMBRE', this.get('nombre_valor'));
      str_block += this.get('valor');
      str_block += '</field>';
      return str_block;
    }
  });

  /* ============================================== */

  /*
   * Representa un valor mas complejo
   * de un campo de un bloque
   */
  var ParamValor = Ember['default'].Object.extend({
    build: function build() {
      var str_block = '';
      str_block += '<value name="NOMBRE">'.replace('NOMBRE', this.get('nombre_param'));

      str_block += '<block type="TIPO">'.replace('TIPO', this.get('tipo_bloque'));

      str_block += '<field name="TIPO">'.replace('TIPO', this.get('nombre_valor'));
      str_block += this.get('valor');
      str_block += '</field>';

      str_block += '</block>';

      str_block += '</value>';

      return str_block;
    }
  });

  /* ============================================== */

  /*
   * Representa el lenguaje que podra utilizarse
   * en una actividad
   */
  var Lenguaje = Ember['default'].Object.extend({

    init: function init() {
      this.set('categorias', []);
      this.set('bloques', {});
    },

    agregar: function agregar(c, bs) {
      if (bs !== undefined) {
        this.categoria(c);
        bs.forEach((function (b) {
          this.bloque(c, b);
        }).bind(this));
      }
    },

    categoria: function categoria(c) {
      this.get('categorias').pushObject(c);
      var bs = this.get('bloques');
      bs[c] = [];
      this.set('bloques', bs);
    },

    bloque: function bloque(c, b) {
      var block = this.definir_bloque(b);
      this.get('bloques')[c].pushObject(block);
    },

    definir_bloque: function definir_bloque(b) {
      var block = b.create();
      block.registrar_en_blockly();
      return block;
    },

    build: function build() {
      var str_toolbox = '';

      str_toolbox += '<xml>';

      this.get('categorias').forEach((function (item) {
        if (item === 'Variables') {
          str_toolbox += this._build_variables();
        } else if (item === 'Subtareas') {
          str_toolbox += this._build_procedures();
        } else {
          str_toolbox += this._build_categoria(item);
        }
      }).bind(this));

      str_toolbox += '</xml>';

      return str_toolbox;
    },

    _build_categoria: function _build_categoria(categoria) {
      var str_category = '';

      str_category += '<category name="x">\n'.replace('x', categoria);

      this.get('bloques')[categoria].forEach(function (b) {
        str_category += b.build();
      });

      str_category += '</category>\n';

      return str_category;
    },

    _build_procedures: function _build_procedures() {
      return '<category name="Subtareas" custom="PROCEDURE"></category>';
    },

    _build_variables: function _build_variables() {
      return '<category name="Variables" custom="VARIABLE"></category>';
    }

  });

  /* ============================================== */

  /**
    Modelo de actividad
  **/
  var Actividad = Ember['default'].Object.extend({
    init: function init() {
      var actividad = this.get('actividad');
      this.set('nombre', actividad.nombre);
      this.set('enunciado', actividad.enunciado);
      this.set('escena', actividad.escena);
      this.set('puedeComentar', actividad.puedeComentar);
      this.set('puedeDesactivar', actividad.puedeDesactivar);
      this.set('puedeDuplicar', actividad.puedeDuplicar);
      this.setColours();
      this.pisar_bloques_blockly();
    },

    iniciarEscena: function iniciarEscena() {
      var Esc = this.get('escena');
      var esc_instance = new Esc();
      this.set('escena_instanciada', esc_instance);
      pilas.mundo.gestor_escenas.cambiar_escena(esc_instance);
    },

    obtenerLenguaje: function obtenerLenguaje() {
      var act = this.get('actividad');
      var leng = Lenguaje.create();

      var bloques_para_toolbox = {
        Acciones: 'acciones',
        Sensores: 'sensores',
        Control: 'control',
        Expresiones: 'expresiones',
        Variables: 'variables',
        Subtareas: 'subtareas'
      };

      // Itera por todos los bloques y los agrega al toolbox solamente
      // si tienen piezas para mostrar.
      for (var key in bloques_para_toolbox) {
        var propiedad = bloques_para_toolbox[key];

        if (act[propiedad].length > 0) {
          leng.agregar(key, act[propiedad]);
        }
      }

      return leng.build();
    },

    bloques_iniciales: function bloques_iniciales() {
      return [AlEmpezar];
    },

    crear_bloques_iniciales: function crear_bloques_iniciales() {
      this.bloques_iniciales().forEach(function (b) {
        b.create().instanciar_para_workspace();
      });
    },

    pisar_bloques_blockly: function pisar_bloques_blockly() {
      CallReturn.create().registrar_en_blockly();
      CallNoReturn.create().registrar_en_blockly();
      ParamGet.create().registrar_en_blockly();
      VariableGet.create().registrar_en_blockly();
      VariableSet.create().registrar_en_blockly();
      VariableLocalGet.create().registrar_en_blockly();
      VariableLocalSet.create().registrar_en_blockly();
    },

    usa_procedimientos: function usa_procedimientos() {
      return this.get('actividad').subtareas.indexOf(Procedimiento) > -1;
    },

    usa_funciones: function usa_funciones() {
      return this.get('actividad').subtareas.indexOf(Funcion) > -1;
    },

    iniciarBlockly: function iniciarBlockly(contenedor) {
      var actividad = this;

      Blockly.inject(contenedor, {
        collapse: false,
        duplicate: actividad.get('puedeDuplicar'),
        trashOnlyDelete: true,
        disable: actividad.get('puedeDesactivar'),
        comments: actividad.get('puedeComentar'),
        rgbColours: true,
        defsOnly: true,
        def_procedures: actividad.usa_procedimientos(),
        def_functions: actividad.usa_funciones(),
        globalVariables: false,
        oneReturnOnly: true,
        defsNames: ['al_empezar_a_ejecutar', 'procedures_defnoreturn', 'procedures_defreturn'],
        path: './libs/blockly/',
        toolbox: Blockly.Xml.textToDom(actividad.obtenerLenguaje())
      });

      this.crear_bloques_iniciales();
    },

    generarCodigo: function generarCodigo() {
      // variable global con la que se accede al receptor del programa
      window.receptor = this.get('escena_instanciada').automata;
      var comienzo = 'var programa = new pilas.comportamientos.ConstructorDePrograma();\n\n';
      var code = Blockly.JavaScript.workspaceToCode();
      return comienzo + code;
    },

    generarCodigoXML: function generarCodigoXML() {
      var code = Blockly.Xml.workspaceToDom(Blockly.mainWorkspace);
      return code;
    },

    // Scratch style colours
    setColours: function setColours() {
      Blockly.Blocks.primitivas.COLOUR = '#4a6cd4';
      Blockly.Blocks.sensores.COLOUR = '#2ca5e2';
      Blockly.Blocks.eventos.COLOUR = '#00a65a'; // == boton ejecutar
      Blockly.Blocks.math.COLOUR = '#49930e';
      Blockly.Blocks.logic.COLOUR = '#5cb712';
      Blockly.Blocks.loops.COLOUR = '#ee7d16';

      Blockly.Blocks.procedures.COLOUR = '#6C52EB';
      //Blockly.Blocks.procedures.vars.COLOUR = '#8a55d7';
      //Blockly.Blocks.procedures.params.COLOUR = '#6C52EB';

      Blockly.Blocks.variables.COLOUR = '#cc5b22';

      Blockly.Blocks.texts.COLOUR = '#4a6cd4';
      Blockly.Blocks.lists.COLOUR = '#cc5b22';
      Blockly.Blocks.colour.COLOUR = '#4a6cd4';

      // IN SCRATCH THE COLOURS ARE
      // 4a6cd4 MOTION
      // 8a55d7 LOOKS
      // bb42c3 SOUND
      // 0e9a6c PEN
      // ee7d16 DATA Variables
      // cc5b22 DATA Lists
      // c88330 EVENTS
      // e1a91a CONTROL
      // 2ca5e2 SENSING
      // 5cb712 OPERATORS
      // 49930e OPERATORS dark
      // 632d99 MORE BLOCKS
      // 5e4db3 PARAMS
    },

    obtener_codigo_en_texto: function obtener_codigo_en_texto() {
      var xml = Blockly.Xml.workspaceToDom(Blockly.getMainWorkspace());
      return Blockly.Xml.domToText(xml);
    }

  });

  exports['default'] = Ember['default'].Service.extend({
    obtenerPorNombre: function obtenerPorNombre(nombreActividad) {

      var actividades = {
        alien: actividadAlien['default'],
        AlienTocaBoton: actividadAlienTocaBoton['default'],
        LaEleccionDelMono: actividadLaEleccionDelMono['default'],
        ElMonoYLasBananas: actividadElMonoYLasBananas['default'],
        LightbotEnScratch: actividadLightbotEnScratch['default'],
        FutbolRobots: actividadFutbolRobots['default'],
        ElPlanetaDeNano: actividadElPlanetaDeNano['default']
      };

      var actividad = actividades[nombreActividad];

      if (!actividad) {
        return null;
      }

      return Actividad.create({ actividad: actividad });
    }
  });

});
define('pilas-engine-bloques/services/browser', ['exports', 'ember'], function (exports, Ember) {

  'use strict';

  var isNode = typeof process !== "undefined" && typeof require !== "undefined";
  var isNodeWebkit = false;

  //Is this Node.js?
  if (isNode) {
    //If so, test for Node-Webkit
    try {
      isNodeWebkit = typeof require('nw.gui') !== "undefined";
    } catch (e) {
      isNodeWebkit = false;
    }
  }

  exports['default'] = Ember['default'].Service.extend({
    openLink: function openLink(url) {
      if (isNodeWebkit) {
        var gui = window.requireNode('nw.gui');
        gui.Shell.openExternal(url);
      } else {
        window.open(url);
      }
    }
  });

});
define('pilas-engine-bloques/services/environment', ['exports', 'ember'], function (exports, Ember) {

  'use strict';

  exports['default'] = Ember['default'].Service.extend({
    env: null,
    showLayout: null,
    debeMostrarBotonCodigoXML: false,

    loadProperties: Ember['default'].on('init', function () {
      this.set('env', this.container.lookupFactory('config:environment'));
      this.set('showLayout', this.get('env').showLayout);
    }),

    getENV: function getENV() {
      return this.get('env');
    }
  });

});
define('pilas-engine-bloques/services/twitter', ['exports', 'ember'], function (exports, Ember) {

  'use strict';

  var URL_SEND_MESSAGE = "http://104.131.245.133:9914/sendMessage";

  exports['default'] = Ember['default'].Service.extend({
    compartir: function compartir(mensaje, imagen) {
      return new Ember['default'].RSVP.Promise(function (resolve, reject) {
        $.ajax({
          url: URL_SEND_MESSAGE,
          type: 'POST',
          dataType: 'json',
          contentType: "application/json",
          data: JSON.stringify({
            message: mensaje,
            media: imagen
          }),
          success: function success(res) {
            resolve(res);
          },
          error: function error(xhr) {
            console.error(xhr.responseText);
            reject(xhr.responseText);
          }
        });
      });
    }
  });

});
define('pilas-engine-bloques/services/validations', ['exports', 'ember'], function (exports, Ember) {

  'use strict';

  var set = Ember['default'].set;

  exports['default'] = Ember['default'].Service.extend({
    init: function init() {
      set(this, 'cache', {});
    }
  });

});
define('pilas-engine-bloques/services/version', ['exports', 'ember', 'pilas-engine-bloques/config/environment'], function (exports, Ember, ENV) {

  'use strict';

  exports['default'] = Ember['default'].Service.extend({

    getVersion: function getVersion() {
      return "0.8.7";
    },

    obtener_version_del_servidor: function obtener_version_del_servidor() {
      return new Ember['default'].RSVP.Promise(function (resolve, reject) {

        function on_success(response) {
          resolve(response.currentVersion);
        }

        function on_error(error) {
          var url = ENV['default'].versionURL;
          var msg = "imposible la última versión desde: " + url;

          console.error(msg, error);
          reject(msg);
        }

        $.getJSON(ENV['default'].versionURL, on_success).fail(on_error);
      });
    },

    obtener_estado_de_version: function obtener_estado_de_version() {
      var _this = this;

      return new Ember['default'].RSVP.Promise(function (resolve, reject) {

        _this.obtener_version_del_servidor().then(function (version_del_servidor) {
          var compareVersion = window.requireNode('compare-version');
          var version_local = _this.getVersion();
          var comparacion = compareVersion(version_del_servidor, version_local);

          resolve({ comparacion: comparacion, version_del_servidor: version_del_servidor });
        })["catch"](function (error) {
          reject(error);
        });
      });
    },

    descargarActualizacion: function descargarActualizacion(version) {
      var url = ENV['default'].downloadURL.replace(/VERSION/gi, version);
      var http = window.requireNode('http');

      function download(url) {
        return new Ember['default'].RSVP.Promise(function (success, reject) {

          var request = http.get(url, function (response) {
            response.setEncoding('utf-8');

            var len = parseInt(response.headers['content-length'], 10);
            var body = "";
            var cur = 0;
            var total = len / 1048576; //1048576 - bytes in  1Megabyte

            response.on("data", function (chunk) {
              body += chunk;
              cur += chunk.length;
              console.log("Descargando " + (100.0 * cur / len).toFixed(2) + "% " + (cur / 1048576).toFixed(2) + " mb (total size: " + total.toFixed(2) + " mb)");
            });

            response.on("end", function () {
              console.log("Descarga completa");
              success();
            });

            request.on("error", function (e) {
              console.error("Error: " + e.message);
              reject(e.message);
            });
          });
        });
      }

      download(url).then(function () {
        alert("SUCCESS");
      })["catch"](function (error) {
        console.error(error);
      });
    }
  });

});
define('pilas-engine-bloques/services/zoom', ['exports', 'ember'], function (exports, Ember) {

  'use strict';

  exports['default'] = Ember['default'].Service.extend({
    zoom: 100,

    getValue: function getValue() {
      return this.get('zoom');
    },

    setValue: function setValue(zoomValue) {
      this.set('zoom', zoomValue);
    }
  });

});
define('pilas-engine-bloques/templates/-compartir', ['exports'], function (exports) {

  'use strict';

  exports['default'] = Ember.HTMLBars.template((function() {
    var child0 = (function() {
      var child0 = (function() {
        var child0 = (function() {
          return {
            meta: {
              "revision": "Ember@1.13.7",
              "loc": {
                "source": null,
                "start": {
                  "line": 5,
                  "column": 6
                },
                "end": {
                  "line": 5,
                  "column": 42
                }
              },
              "moduleName": "pilas-engine-bloques/templates/-compartir.hbs"
            },
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("×");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes() { return []; },
            statements: [

            ],
            locals: [],
            templates: []
          };
        }());
        return {
          meta: {
            "revision": "Ember@1.13.7",
            "loc": {
              "source": null,
              "start": {
                "line": 4,
                "column": 2
              },
              "end": {
                "line": 7,
                "column": 2
              }
            },
            "moduleName": "pilas-engine-bloques/templates/-compartir.hbs"
          },
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("      ");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n      ");
            dom.appendChild(el0, el1);
            var el1 = dom.createElement("h4");
            dom.setAttribute(el1,"class","modal-title");
            var el2 = dom.createTextNode("Compartir en twitter");
            dom.appendChild(el1, el2);
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(fragment,1,1,contextualElement);
            return morphs;
          },
          statements: [
            ["block","em-modal-toggler",[],["class","close"],0,null,["loc",[null,[5,6],[5,63]]]]
          ],
          locals: [],
          templates: [child0]
        };
      }());
      var child1 = (function() {
        var child0 = (function() {
          return {
            meta: {
              "revision": "Ember@1.13.7",
              "loc": {
                "source": null,
                "start": {
                  "line": 22,
                  "column": 8
                },
                "end": {
                  "line": 24,
                  "column": 8
                }
              },
              "moduleName": "pilas-engine-bloques/templates/-compartir.hbs"
            },
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("          ");
              dom.appendChild(el0, el1);
              var el1 = dom.createElement("button");
              dom.setAttribute(el1,"class","btn btn-info");
              dom.setAttribute(el1,"disabled","");
              var el2 = dom.createElement("i");
              dom.setAttribute(el2,"class","fa fa-twitter");
              dom.appendChild(el1, el2);
              var el2 = dom.createTextNode(" Compartiendo ...");
              dom.appendChild(el1, el2);
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes() { return []; },
            statements: [

            ],
            locals: [],
            templates: []
          };
        }());
        var child1 = (function() {
          return {
            meta: {
              "revision": "Ember@1.13.7",
              "loc": {
                "source": null,
                "start": {
                  "line": 24,
                  "column": 8
                },
                "end": {
                  "line": 26,
                  "column": 8
                }
              },
              "moduleName": "pilas-engine-bloques/templates/-compartir.hbs"
            },
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("          ");
              dom.appendChild(el0, el1);
              var el1 = dom.createElement("button");
              dom.setAttribute(el1,"class","btn btn-info");
              var el2 = dom.createElement("i");
              dom.setAttribute(el2,"class","fa fa-twitter");
              dom.appendChild(el1, el2);
              var el2 = dom.createTextNode(" Compartir");
              dom.appendChild(el1, el2);
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var element1 = dom.childAt(fragment, [1]);
              var morphs = new Array(1);
              morphs[0] = dom.createElementMorph(element1);
              return morphs;
            },
            statements: [
              ["element","action",["enviarMensaje"],[],["loc",[null,[25,39],[25,65]]]]
            ],
            locals: [],
            templates: []
          };
        }());
        var child2 = (function() {
          return {
            meta: {
              "revision": "Ember@1.13.7",
              "loc": {
                "source": null,
                "start": {
                  "line": 29,
                  "column": 6
                },
                "end": {
                  "line": 34,
                  "column": 6
                }
              },
              "moduleName": "pilas-engine-bloques/templates/-compartir.hbs"
            },
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("        ");
              dom.appendChild(el0, el1);
              var el1 = dom.createElement("div");
              dom.setAttribute(el1,"class","compartir-mensaje");
              var el2 = dom.createTextNode("\n          Listo, tu mensaje fué publicado en twitter,\n          ");
              dom.appendChild(el1, el2);
              var el2 = dom.createElement("a");
              dom.setAttribute(el2,"href","");
              var el3 = dom.createTextNode("¿querés abrirlo?");
              dom.appendChild(el2, el3);
              dom.appendChild(el1, el2);
              var el2 = dom.createTextNode(".\n        ");
              dom.appendChild(el1, el2);
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var element0 = dom.childAt(fragment, [1, 1]);
              var morphs = new Array(1);
              morphs[0] = dom.createElementMorph(element0);
              return morphs;
            },
            statements: [
              ["element","action",["abrirMensajePublicado"],[],["loc",[null,[32,21],[32,55]]]]
            ],
            locals: [],
            templates: []
          };
        }());
        return {
          meta: {
            "revision": "Ember@1.13.7",
            "loc": {
              "source": null,
              "start": {
                "line": 9,
                "column": 2
              },
              "end": {
                "line": 39,
                "column": 2
              }
            },
            "moduleName": "pilas-engine-bloques/templates/-compartir.hbs"
          },
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("\n    ");
            dom.appendChild(el0, el1);
            var el1 = dom.createElement("div");
            dom.setAttribute(el1,"class","modal-inline-block  float-left");
            var el2 = dom.createTextNode("\n      ");
            dom.appendChild(el1, el2);
            var el2 = dom.createElement("img");
            dom.setAttribute(el2,"id","preview");
            dom.setAttribute(el2,"width","210");
            dom.setAttribute(el2,"height","240");
            dom.appendChild(el1, el2);
            var el2 = dom.createTextNode("\n    ");
            dom.appendChild(el1, el2);
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n\n    ");
            dom.appendChild(el0, el1);
            var el1 = dom.createElement("div");
            dom.setAttribute(el1,"class","modal-inline-block");
            var el2 = dom.createTextNode("\n\n      ");
            dom.appendChild(el1, el2);
            var el2 = dom.createElement("div");
            dom.setAttribute(el2,"class","fila-opcion");
            var el3 = dom.createTextNode("\n        Mensaje: ");
            dom.appendChild(el2, el3);
            var el3 = dom.createComment("");
            dom.appendChild(el2, el3);
            var el3 = dom.createTextNode("\n      ");
            dom.appendChild(el2, el3);
            dom.appendChild(el1, el2);
            var el2 = dom.createTextNode("\n\n      ");
            dom.appendChild(el1, el2);
            var el2 = dom.createElement("div");
            dom.setAttribute(el2,"class","fila-opcion");
            var el3 = dom.createTextNode("\n");
            dom.appendChild(el2, el3);
            var el3 = dom.createComment("");
            dom.appendChild(el2, el3);
            var el3 = dom.createTextNode("      ");
            dom.appendChild(el2, el3);
            dom.appendChild(el1, el2);
            var el2 = dom.createTextNode("\n\n");
            dom.appendChild(el1, el2);
            var el2 = dom.createComment("");
            dom.appendChild(el1, el2);
            var el2 = dom.createTextNode("\n    ");
            dom.appendChild(el1, el2);
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n\n\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var element2 = dom.childAt(fragment, [1, 1]);
            var element3 = dom.childAt(fragment, [3]);
            var morphs = new Array(4);
            morphs[0] = dom.createAttrMorph(element2, 'src');
            morphs[1] = dom.createMorphAt(dom.childAt(element3, [1]),1,1);
            morphs[2] = dom.createMorphAt(dom.childAt(element3, [3]),1,1);
            morphs[3] = dom.createMorphAt(element3,5,5);
            return morphs;
          },
          statements: [
            ["attribute","src",["get","previewData",["loc",[null,[12,30],[12,41]]]]],
            ["inline","textarea",[],["class","modal-mensaje-compartir","rows",3,"value",["subexpr","@mut",[["get","mensajeCompartir",["loc",[null,[18,73],[18,89]]]]],[],[]]],["loc",[null,[18,17],[18,91]]]],
            ["block","if",[["get","envioEnCurso",["loc",[null,[22,14],[22,26]]]]],[],0,1,["loc",[null,[22,8],[26,15]]]],
            ["block","if",[["get","mensajePublicadoURL",["loc",[null,[29,12],[29,31]]]]],[],2,null,["loc",[null,[29,6],[34,13]]]]
          ],
          locals: [],
          templates: [child0, child1, child2]
        };
      }());
      var child2 = (function() {
        var child0 = (function() {
          return {
            meta: {
              "revision": "Ember@1.13.7",
              "loc": {
                "source": null,
                "start": {
                  "line": 42,
                  "column": 6
                },
                "end": {
                  "line": 42,
                  "column": 57
                }
              },
              "moduleName": "pilas-engine-bloques/templates/-compartir.hbs"
            },
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("Cerrar");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes() { return []; },
            statements: [

            ],
            locals: [],
            templates: []
          };
        }());
        return {
          meta: {
            "revision": "Ember@1.13.7",
            "loc": {
              "source": null,
              "start": {
                "line": 41,
                "column": 2
              },
              "end": {
                "line": 43,
                "column": 2
              }
            },
            "moduleName": "pilas-engine-bloques/templates/-compartir.hbs"
          },
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("      ");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(fragment,1,1,contextualElement);
            return morphs;
          },
          statements: [
            ["block","em-modal-toggler",[],["class","btn btn-default"],0,null,["loc",[null,[42,6],[42,78]]]]
          ],
          locals: [],
          templates: [child0]
        };
      }());
      return {
        meta: {
          "revision": "Ember@1.13.7",
          "loc": {
            "source": null,
            "start": {
              "line": 2,
              "column": 0
            },
            "end": {
              "line": 45,
              "column": 0
            }
          },
          "moduleName": "pilas-engine-bloques/templates/-compartir.hbs"
        },
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(3);
          morphs[0] = dom.createMorphAt(fragment,1,1,contextualElement);
          morphs[1] = dom.createMorphAt(fragment,3,3,contextualElement);
          morphs[2] = dom.createMorphAt(fragment,5,5,contextualElement);
          return morphs;
        },
        statements: [
          ["block","em-modal-title",[],[],0,null,["loc",[null,[4,2],[7,21]]]],
          ["block","em-modal-body",[],[],1,null,["loc",[null,[9,2],[39,20]]]],
          ["block","em-modal-footer",[],["style","clear:both"],2,null,["loc",[null,[41,2],[43,22]]]]
        ],
        locals: [],
        templates: [child0, child1, child2]
      };
    }());
    return {
      meta: {
        "revision": "Ember@1.13.7",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 46,
            "column": 0
          }
        },
        "moduleName": "pilas-engine-bloques/templates/-compartir.hbs"
      },
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("id is important, so we can reference it on the toggler component");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment,2,2,contextualElement);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [
        ["block","em-modal",[],["configName","bs","open-if",["subexpr","@mut",[["get","abrirDialogoCompartir",["loc",[null,[2,36],[2,57]]]]],[],[]]],0,null,["loc",[null,[2,0],[45,13]]]]
      ],
      locals: [],
      templates: [child0]
    };
  }()));

});
define('pilas-engine-bloques/templates/-consigna', ['exports'], function (exports) {

  'use strict';

  exports['default'] = Ember.HTMLBars.template((function() {
    return {
      meta: {
        "revision": "Ember@1.13.7",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 2,
            "column": 0
          }
        },
        "moduleName": "pilas-engine-bloques/templates/-consigna.hbs"
      },
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("id is important, so we can reference it on the toggler component");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes() { return []; },
      statements: [

      ],
      locals: [],
      templates: []
    };
  }()));

});
define('pilas-engine-bloques/templates/-modal-ayuda', ['exports'], function (exports) {

  'use strict';

  exports['default'] = Ember.HTMLBars.template((function() {
    var child0 = (function() {
      var child0 = (function() {
        var child0 = (function() {
          return {
            meta: {
              "revision": "Ember@1.13.7",
              "loc": {
                "source": null,
                "start": {
                  "line": 5,
                  "column": 6
                },
                "end": {
                  "line": 5,
                  "column": 42
                }
              },
              "moduleName": "pilas-engine-bloques/templates/-modal-ayuda.hbs"
            },
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("×");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes() { return []; },
            statements: [

            ],
            locals: [],
            templates: []
          };
        }());
        return {
          meta: {
            "revision": "Ember@1.13.7",
            "loc": {
              "source": null,
              "start": {
                "line": 4,
                "column": 2
              },
              "end": {
                "line": 7,
                "column": 2
              }
            },
            "moduleName": "pilas-engine-bloques/templates/-modal-ayuda.hbs"
          },
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("      ");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n      ");
            dom.appendChild(el0, el1);
            var el1 = dom.createElement("h4");
            dom.setAttribute(el1,"class","modal-title");
            var el2 = dom.createTextNode("Ayuda");
            dom.appendChild(el1, el2);
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(fragment,1,1,contextualElement);
            return morphs;
          },
          statements: [
            ["block","em-modal-toggler",[],["class","close"],0,null,["loc",[null,[5,6],[5,63]]]]
          ],
          locals: [],
          templates: [child0]
        };
      }());
      var child1 = (function() {
        return {
          meta: {
            "revision": "Ember@1.13.7",
            "loc": {
              "source": null,
              "start": {
                "line": 9,
                "column": 2
              },
              "end": {
                "line": 40,
                "column": 2
              }
            },
            "moduleName": "pilas-engine-bloques/templates/-modal-ayuda.hbs"
          },
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("\n    ");
            dom.appendChild(el0, el1);
            var el1 = dom.createElement("div");
            var el2 = dom.createTextNode("\n\n      ");
            dom.appendChild(el1, el2);
            var el2 = dom.createElement("p");
            var el3 = dom.createTextNode("Esta aplicación te presentará varios desafíos que se pueden\n        resolver conectando bloques.");
            dom.appendChild(el2, el3);
            dom.appendChild(el1, el2);
            var el2 = dom.createTextNode("\n\n      ");
            dom.appendChild(el1, el2);
            var el2 = dom.createElement("p");
            var el3 = dom.createTextNode("El primer paso es abrir la sección de Desafíos:");
            dom.appendChild(el2, el3);
            dom.appendChild(el1, el2);
            var el2 = dom.createTextNode("\n\n      ");
            dom.appendChild(el1, el2);
            var el2 = dom.createElement("img");
            dom.setAttribute(el2,"src","imagenes/ayuda/seleccionar.gif");
            dom.setAttribute(el2,"class","img-border");
            dom.appendChild(el1, el2);
            var el2 = dom.createTextNode("\n\n      ");
            dom.appendChild(el1, el2);
            var el2 = dom.createElement("p");
            var el3 = dom.createTextNode("Los bloques están agrupados en categorías, usá la barra lateral\n        para desplegar los bloques.");
            dom.appendChild(el2, el3);
            dom.appendChild(el1, el2);
            var el2 = dom.createTextNode("\n\n      ");
            dom.appendChild(el1, el2);
            var el2 = dom.createElement("p");
            var el3 = dom.createTextNode("Luego podés arrastrar y soltar los bloques sobre el area\n        de trabajo.");
            dom.appendChild(el2, el3);
            dom.appendChild(el1, el2);
            var el2 = dom.createTextNode("\n\n      ");
            dom.appendChild(el1, el2);
            var el2 = dom.createElement("img");
            dom.setAttribute(el2,"src","imagenes/ayuda/arrastrar.gif");
            dom.setAttribute(el2,"class","img-border");
            dom.appendChild(el1, el2);
            var el2 = dom.createTextNode("\n\n      ");
            dom.appendChild(el1, el2);
            var el2 = dom.createElement("p");
            var el3 = dom.createTextNode("Una vez que tengas tu programa listo pulsá el botón ejecutar\n        continuar.");
            dom.appendChild(el2, el3);
            dom.appendChild(el1, el2);
            var el2 = dom.createTextNode("\n\n      ");
            dom.appendChild(el1, el2);
            var el2 = dom.createElement("img");
            dom.setAttribute(el2,"src","imagenes/ayuda/ejecutar.gif");
            dom.setAttribute(el2,"class","img-border");
            dom.appendChild(el1, el2);
            var el2 = dom.createTextNode("\n\n      ");
            dom.appendChild(el1, el2);
            var el2 = dom.createElement("p");
            var el3 = dom.createTextNode("Ah, y los bloques se pueden borrar arrastrándolos a la papelera.");
            dom.appendChild(el2, el3);
            dom.appendChild(el1, el2);
            var el2 = dom.createTextNode("\n\n      ");
            dom.appendChild(el1, el2);
            var el2 = dom.createElement("img");
            dom.setAttribute(el2,"src","imagenes/ayuda/borrar.gif");
            dom.setAttribute(el2,"class","img-border");
            dom.appendChild(el1, el2);
            var el2 = dom.createTextNode("\n\n\n    ");
            dom.appendChild(el1, el2);
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes() { return []; },
          statements: [

          ],
          locals: [],
          templates: []
        };
      }());
      var child2 = (function() {
        var child0 = (function() {
          return {
            meta: {
              "revision": "Ember@1.13.7",
              "loc": {
                "source": null,
                "start": {
                  "line": 43,
                  "column": 6
                },
                "end": {
                  "line": 43,
                  "column": 57
                }
              },
              "moduleName": "pilas-engine-bloques/templates/-modal-ayuda.hbs"
            },
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("Cerrar");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes() { return []; },
            statements: [

            ],
            locals: [],
            templates: []
          };
        }());
        return {
          meta: {
            "revision": "Ember@1.13.7",
            "loc": {
              "source": null,
              "start": {
                "line": 42,
                "column": 2
              },
              "end": {
                "line": 44,
                "column": 2
              }
            },
            "moduleName": "pilas-engine-bloques/templates/-modal-ayuda.hbs"
          },
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("      ");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(fragment,1,1,contextualElement);
            return morphs;
          },
          statements: [
            ["block","em-modal-toggler",[],["class","btn btn-default"],0,null,["loc",[null,[43,6],[43,78]]]]
          ],
          locals: [],
          templates: [child0]
        };
      }());
      return {
        meta: {
          "revision": "Ember@1.13.7",
          "loc": {
            "source": null,
            "start": {
              "line": 2,
              "column": 0
            },
            "end": {
              "line": 45,
              "column": 0
            }
          },
          "moduleName": "pilas-engine-bloques/templates/-modal-ayuda.hbs"
        },
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(3);
          morphs[0] = dom.createMorphAt(fragment,1,1,contextualElement);
          morphs[1] = dom.createMorphAt(fragment,3,3,contextualElement);
          morphs[2] = dom.createMorphAt(fragment,5,5,contextualElement);
          dom.insertBoundary(fragment, null);
          return morphs;
        },
        statements: [
          ["block","em-modal-title",[],[],0,null,["loc",[null,[4,2],[7,21]]]],
          ["block","em-modal-body",[],[],1,null,["loc",[null,[9,2],[40,20]]]],
          ["block","em-modal-footer",[],[],2,null,["loc",[null,[42,2],[44,22]]]]
        ],
        locals: [],
        templates: [child0, child1, child2]
      };
    }());
    return {
      meta: {
        "revision": "Ember@1.13.7",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 46,
            "column": 0
          }
        },
        "moduleName": "pilas-engine-bloques/templates/-modal-ayuda.hbs"
      },
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("id is important, so we can reference it on the toggler component");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment,2,2,contextualElement);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [
        ["block","em-modal",[],["configName","bs","open-if",["subexpr","@mut",[["get","mostrarDialogoAyuda",["loc",[null,[2,36],[2,55]]]]],[],[]]],0,null,["loc",[null,[2,0],[45,13]]]]
      ],
      locals: [],
      templates: [child0]
    };
  }()));

});
define('pilas-engine-bloques/templates/-modal-preferencias', ['exports'], function (exports) {

  'use strict';

  exports['default'] = Ember.HTMLBars.template((function() {
    var child0 = (function() {
      var child0 = (function() {
        var child0 = (function() {
          return {
            meta: {
              "revision": "Ember@1.13.7",
              "loc": {
                "source": null,
                "start": {
                  "line": 5,
                  "column": 6
                },
                "end": {
                  "line": 5,
                  "column": 42
                }
              },
              "moduleName": "pilas-engine-bloques/templates/-modal-preferencias.hbs"
            },
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("×");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes() { return []; },
            statements: [

            ],
            locals: [],
            templates: []
          };
        }());
        return {
          meta: {
            "revision": "Ember@1.13.7",
            "loc": {
              "source": null,
              "start": {
                "line": 4,
                "column": 2
              },
              "end": {
                "line": 7,
                "column": 2
              }
            },
            "moduleName": "pilas-engine-bloques/templates/-modal-preferencias.hbs"
          },
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("      ");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n      ");
            dom.appendChild(el0, el1);
            var el1 = dom.createElement("h4");
            dom.setAttribute(el1,"class","modal-title");
            var el2 = dom.createTextNode("Opciones");
            dom.appendChild(el1, el2);
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(fragment,1,1,contextualElement);
            return morphs;
          },
          statements: [
            ["block","em-modal-toggler",[],["class","close"],0,null,["loc",[null,[5,6],[5,63]]]]
          ],
          locals: [],
          templates: [child0]
        };
      }());
      var child1 = (function() {
        var child0 = (function() {
          return {
            meta: {
              "revision": "Ember@1.13.7",
              "loc": {
                "source": null,
                "start": {
                  "line": 19,
                  "column": 12
                },
                "end": {
                  "line": 21,
                  "column": 12
                }
              },
              "moduleName": "pilas-engine-bloques/templates/-modal-preferencias.hbs"
            },
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("              ");
              dom.appendChild(el0, el1);
              var el1 = dom.createElement("button");
              dom.setAttribute(el1,"class","btn btn-info btn-sm margin");
              var el2 = dom.createElement("i");
              dom.setAttribute(el2,"class","glyphicon glyphicon-file");
              dom.appendChild(el1, el2);
              var el2 = dom.createTextNode(" Ocultar botón de código XML");
              dom.appendChild(el1, el2);
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var element1 = dom.childAt(fragment, [1]);
              var morphs = new Array(1);
              morphs[0] = dom.createElementMorph(element1);
              return morphs;
            },
            statements: [
              ["element","action",["ocultar_boton_codigo"],[],["loc",[null,[20,57],[20,90]]]]
            ],
            locals: [],
            templates: []
          };
        }());
        var child1 = (function() {
          return {
            meta: {
              "revision": "Ember@1.13.7",
              "loc": {
                "source": null,
                "start": {
                  "line": 21,
                  "column": 12
                },
                "end": {
                  "line": 23,
                  "column": 12
                }
              },
              "moduleName": "pilas-engine-bloques/templates/-modal-preferencias.hbs"
            },
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("              ");
              dom.appendChild(el0, el1);
              var el1 = dom.createElement("button");
              dom.setAttribute(el1,"class","btn btn-success btn-sm margin");
              var el2 = dom.createElement("i");
              dom.setAttribute(el2,"class","glyphicon glyphicon-file");
              dom.appendChild(el1, el2);
              var el2 = dom.createTextNode(" Mostrar botón de código XML");
              dom.appendChild(el1, el2);
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var element0 = dom.childAt(fragment, [1]);
              var morphs = new Array(1);
              morphs[0] = dom.createElementMorph(element0);
              return morphs;
            },
            statements: [
              ["element","action",["mostrar_boton_codigo"],[],["loc",[null,[22,60],[22,93]]]]
            ],
            locals: [],
            templates: []
          };
        }());
        return {
          meta: {
            "revision": "Ember@1.13.7",
            "loc": {
              "source": null,
              "start": {
                "line": 9,
                "column": 2
              },
              "end": {
                "line": 35,
                "column": 2
              }
            },
            "moduleName": "pilas-engine-bloques/templates/-modal-preferencias.hbs"
          },
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("\n    ");
            dom.appendChild(el0, el1);
            var el1 = dom.createElement("div");
            dom.setAttribute(el1,"class","fila-opcion");
            var el2 = dom.createTextNode("\n\n      ");
            dom.appendChild(el1, el2);
            var el2 = dom.createElement("div");
            dom.setAttribute(el2,"class","row");
            var el3 = dom.createTextNode("\n          ");
            dom.appendChild(el2, el3);
            var el3 = dom.createElement("div");
            dom.setAttribute(el3,"class","col-md-6");
            var el4 = dom.createTextNode("Herramientas de desarrollo:");
            dom.appendChild(el3, el4);
            dom.appendChild(el2, el3);
            var el3 = dom.createTextNode("\n          ");
            dom.appendChild(el2, el3);
            var el3 = dom.createElement("div");
            dom.setAttribute(el3,"class","col-md-6");
            var el4 = dom.createTextNode("\n            ");
            dom.appendChild(el3, el4);
            var el4 = dom.createElement("button");
            dom.setAttribute(el4,"class","btn btn-success btn-sm margin");
            var el5 = dom.createElement("i");
            dom.setAttribute(el5,"class","glyphicon glyphicon-refresh");
            dom.appendChild(el4, el5);
            var el5 = dom.createTextNode(" Actualizar");
            dom.appendChild(el4, el5);
            dom.appendChild(el3, el4);
            var el4 = dom.createTextNode("\n            ");
            dom.appendChild(el3, el4);
            var el4 = dom.createElement("button");
            dom.setAttribute(el4,"class","btn btn-info btn-sm margin");
            var el5 = dom.createElement("i");
            dom.setAttribute(el5,"class","glyphicon glyphicon-cog");
            dom.appendChild(el4, el5);
            var el5 = dom.createTextNode(" Mostrar devtools");
            dom.appendChild(el4, el5);
            dom.appendChild(el3, el4);
            var el4 = dom.createTextNode("\n\n");
            dom.appendChild(el3, el4);
            var el4 = dom.createComment("");
            dom.appendChild(el3, el4);
            var el4 = dom.createTextNode("          ");
            dom.appendChild(el3, el4);
            dom.appendChild(el2, el3);
            var el3 = dom.createTextNode("\n      ");
            dom.appendChild(el2, el3);
            dom.appendChild(el1, el2);
            var el2 = dom.createTextNode("\n    ");
            dom.appendChild(el1, el2);
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n\n    ");
            dom.appendChild(el0, el1);
            var el1 = dom.createElement("div");
            dom.setAttribute(el1,"class","fila-opcion");
            var el2 = dom.createTextNode("\n      ");
            dom.appendChild(el1, el2);
            var el2 = dom.createElement("div");
            dom.setAttribute(el2,"class","row");
            var el3 = dom.createTextNode("\n        ");
            dom.appendChild(el2, el3);
            var el3 = dom.createElement("div");
            dom.setAttribute(el3,"class","col-md-6");
            var el4 = dom.createTextNode("Tamaño de interfaz:");
            dom.appendChild(el3, el4);
            dom.appendChild(el2, el3);
            var el3 = dom.createTextNode("\n        ");
            dom.appendChild(el2, el3);
            var el3 = dom.createElement("div");
            dom.setAttribute(el3,"class","col-md-6");
            var el4 = dom.createTextNode(" ");
            dom.appendChild(el3, el4);
            var el4 = dom.createComment("");
            dom.appendChild(el3, el4);
            var el4 = dom.createTextNode(" ");
            dom.appendChild(el3, el4);
            dom.appendChild(el2, el3);
            var el3 = dom.createTextNode("\n      ");
            dom.appendChild(el2, el3);
            dom.appendChild(el1, el2);
            var el2 = dom.createTextNode("\n    ");
            dom.appendChild(el1, el2);
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var element2 = dom.childAt(fragment, [1, 1, 3]);
            var element3 = dom.childAt(element2, [1]);
            var element4 = dom.childAt(element2, [3]);
            var morphs = new Array(4);
            morphs[0] = dom.createElementMorph(element3);
            morphs[1] = dom.createElementMorph(element4);
            morphs[2] = dom.createMorphAt(element2,5,5);
            morphs[3] = dom.createMorphAt(dom.childAt(fragment, [3, 1, 3]),1,1);
            return morphs;
          },
          statements: [
            ["element","action",["actualizar"],[],["loc",[null,[16,58],[16,81]]]],
            ["element","action",["mostrar_devtools"],[],["loc",[null,[17,55],[17,84]]]],
            ["block","if",[["get","environment.debeMostrarBotonCodigoXML",["loc",[null,[19,18],[19,55]]]]],[],0,1,["loc",[null,[19,12],[23,19]]]],
            ["content","nw-zoom",["loc",[null,[31,31],[31,42]]]]
          ],
          locals: [],
          templates: [child0, child1]
        };
      }());
      var child2 = (function() {
        var child0 = (function() {
          return {
            meta: {
              "revision": "Ember@1.13.7",
              "loc": {
                "source": null,
                "start": {
                  "line": 38,
                  "column": 6
                },
                "end": {
                  "line": 38,
                  "column": 57
                }
              },
              "moduleName": "pilas-engine-bloques/templates/-modal-preferencias.hbs"
            },
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("Cerrar");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes() { return []; },
            statements: [

            ],
            locals: [],
            templates: []
          };
        }());
        return {
          meta: {
            "revision": "Ember@1.13.7",
            "loc": {
              "source": null,
              "start": {
                "line": 37,
                "column": 2
              },
              "end": {
                "line": 39,
                "column": 2
              }
            },
            "moduleName": "pilas-engine-bloques/templates/-modal-preferencias.hbs"
          },
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("      ");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(fragment,1,1,contextualElement);
            return morphs;
          },
          statements: [
            ["block","em-modal-toggler",[],["class","btn btn-default"],0,null,["loc",[null,[38,6],[38,78]]]]
          ],
          locals: [],
          templates: [child0]
        };
      }());
      return {
        meta: {
          "revision": "Ember@1.13.7",
          "loc": {
            "source": null,
            "start": {
              "line": 2,
              "column": 0
            },
            "end": {
              "line": 40,
              "column": 0
            }
          },
          "moduleName": "pilas-engine-bloques/templates/-modal-preferencias.hbs"
        },
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(3);
          morphs[0] = dom.createMorphAt(fragment,1,1,contextualElement);
          morphs[1] = dom.createMorphAt(fragment,3,3,contextualElement);
          morphs[2] = dom.createMorphAt(fragment,5,5,contextualElement);
          dom.insertBoundary(fragment, null);
          return morphs;
        },
        statements: [
          ["block","em-modal-title",[],[],0,null,["loc",[null,[4,2],[7,21]]]],
          ["block","em-modal-body",[],[],1,null,["loc",[null,[9,2],[35,20]]]],
          ["block","em-modal-footer",[],[],2,null,["loc",[null,[37,2],[39,22]]]]
        ],
        locals: [],
        templates: [child0, child1, child2]
      };
    }());
    return {
      meta: {
        "revision": "Ember@1.13.7",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 41,
            "column": 0
          }
        },
        "moduleName": "pilas-engine-bloques/templates/-modal-preferencias.hbs"
      },
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("id is important, so we can reference it on the toggler component");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment,2,2,contextualElement);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [
        ["block","em-modal",[],["configName","bs","open-if",["subexpr","@mut",[["get","mostrarDialogoOpciones",["loc",[null,[2,36],[2,58]]]]],[],[]]],0,null,["loc",[null,[2,0],[40,13]]]]
      ],
      locals: [],
      templates: [child0]
    };
  }()));

});
define('pilas-engine-bloques/templates/-navbar', ['exports'], function (exports) {

  'use strict';

  exports['default'] = Ember.HTMLBars.template((function() {
    var child0 = (function() {
      return {
        meta: {
          "revision": "Ember@1.13.7",
          "loc": {
            "source": null,
            "start": {
              "line": 11,
              "column": 8
            },
            "end": {
              "line": 11,
              "column": 64
            }
          },
          "moduleName": "pilas-engine-bloques/templates/-navbar.hbs"
        },
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createElement("a");
          dom.setAttribute(el1,"href","#");
          var el2 = dom.createTextNode("Principal");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes() { return []; },
        statements: [

        ],
        locals: [],
        templates: []
      };
    }());
    var child1 = (function() {
      return {
        meta: {
          "revision": "Ember@1.13.7",
          "loc": {
            "source": null,
            "start": {
              "line": 12,
              "column": 8
            },
            "end": {
              "line": 12,
              "column": 66
            }
          },
          "moduleName": "pilas-engine-bloques/templates/-navbar.hbs"
        },
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createElement("a");
          dom.setAttribute(el1,"href","#");
          var el2 = dom.createTextNode("Desafíos");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes() { return []; },
        statements: [

        ],
        locals: [],
        templates: []
      };
    }());
    var child2 = (function() {
      return {
        meta: {
          "revision": "Ember@1.13.7",
          "loc": {
            "source": null,
            "start": {
              "line": 13,
              "column": 8
            },
            "end": {
              "line": 13,
              "column": 71
            }
          },
          "moduleName": "pilas-engine-bloques/templates/-navbar.hbs"
        },
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createElement("a");
          dom.setAttribute(el1,"href","#");
          var el2 = dom.createTextNode("Acerca de ...");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes() { return []; },
        statements: [

        ],
        locals: [],
        templates: []
      };
    }());
    return {
      meta: {
        "revision": "Ember@1.13.7",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 27,
            "column": 0
          }
        },
        "moduleName": "pilas-engine-bloques/templates/-navbar.hbs"
      },
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createElement("nav");
        dom.setAttribute(el1,"class","navbar navbar-default");
        dom.setAttribute(el1,"role","navigation");
        var el2 = dom.createTextNode("\n  ");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("div");
        dom.setAttribute(el2,"class","container-fluid");
        var el3 = dom.createTextNode("\n    ");
        dom.appendChild(el2, el3);
        var el3 = dom.createComment(" Brand and toggle get grouped for better mobile display ");
        dom.appendChild(el2, el3);
        var el3 = dom.createTextNode("\n    ");
        dom.appendChild(el2, el3);
        var el3 = dom.createElement("div");
        dom.setAttribute(el3,"class","navbar-header navbar-collapse");
        var el4 = dom.createTextNode("\n      ");
        dom.appendChild(el3, el4);
        var el4 = dom.createElement("a");
        dom.setAttribute(el4,"class","navbar-brand");
        dom.setAttribute(el4,"href","#");
        var el5 = dom.createElement("img");
        dom.setAttribute(el5,"src","imagenes/logo.png");
        dom.appendChild(el4, el5);
        dom.appendChild(el3, el4);
        var el4 = dom.createTextNode("\n    ");
        dom.appendChild(el3, el4);
        dom.appendChild(el2, el3);
        var el3 = dom.createTextNode("\n\n    ");
        dom.appendChild(el2, el3);
        var el3 = dom.createComment(" Collect the nav links, forms, and other content for toggling ");
        dom.appendChild(el2, el3);
        var el3 = dom.createTextNode("\n    ");
        dom.appendChild(el2, el3);
        var el3 = dom.createElement("div");
        dom.setAttribute(el3,"id","bs-example-navbar-collapse-1");
        var el4 = dom.createTextNode("\n      ");
        dom.appendChild(el3, el4);
        var el4 = dom.createElement("ul");
        dom.setAttribute(el4,"class","nav navbar-nav");
        var el5 = dom.createTextNode("\n        ");
        dom.appendChild(el4, el5);
        var el5 = dom.createComment("");
        dom.appendChild(el4, el5);
        var el5 = dom.createTextNode("\n        ");
        dom.appendChild(el4, el5);
        var el5 = dom.createComment("");
        dom.appendChild(el4, el5);
        var el5 = dom.createTextNode("\n        ");
        dom.appendChild(el4, el5);
        var el5 = dom.createComment("");
        dom.appendChild(el4, el5);
        var el5 = dom.createTextNode("\n      ");
        dom.appendChild(el4, el5);
        dom.appendChild(el3, el4);
        var el4 = dom.createTextNode("\n\n\n\n      ");
        dom.appendChild(el3, el4);
        var el4 = dom.createElement("div");
        dom.setAttribute(el4,"class","header-right");
        var el5 = dom.createTextNode("\n        ");
        dom.appendChild(el4, el5);
        var el5 = dom.createComment("");
        dom.appendChild(el4, el5);
        var el5 = dom.createTextNode("\n        ");
        dom.appendChild(el4, el5);
        var el5 = dom.createElement("button");
        dom.setAttribute(el5,"class","header-button");
        var el6 = dom.createComment("");
        dom.appendChild(el5, el6);
        dom.appendChild(el4, el5);
        var el5 = dom.createTextNode("\n        ");
        dom.appendChild(el4, el5);
        var el5 = dom.createElement("button");
        dom.setAttribute(el5,"class","header-button");
        var el6 = dom.createComment("");
        dom.appendChild(el5, el6);
        dom.appendChild(el4, el5);
        var el5 = dom.createTextNode("\n      ");
        dom.appendChild(el4, el5);
        dom.appendChild(el3, el4);
        var el4 = dom.createTextNode("\n\n    ");
        dom.appendChild(el3, el4);
        dom.appendChild(el2, el3);
        var el3 = dom.createTextNode("\n  ");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var element0 = dom.childAt(fragment, [0, 1, 7]);
        var element1 = dom.childAt(element0, [1]);
        var element2 = dom.childAt(element0, [3]);
        var element3 = dom.childAt(element2, [3]);
        var element4 = dom.childAt(element2, [5]);
        var morphs = new Array(8);
        morphs[0] = dom.createMorphAt(element1,1,1);
        morphs[1] = dom.createMorphAt(element1,3,3);
        morphs[2] = dom.createMorphAt(element1,5,5);
        morphs[3] = dom.createMorphAt(element2,1,1);
        morphs[4] = dom.createElementMorph(element3);
        morphs[5] = dom.createMorphAt(element3,0,0);
        morphs[6] = dom.createElementMorph(element4);
        morphs[7] = dom.createMorphAt(element4,0,0);
        return morphs;
      },
      statements: [
        ["block","link-to",["index"],["tagName","li"],0,null,["loc",[null,[11,8],[11,76]]]],
        ["block","link-to",["desafios"],["tagName","li"],1,null,["loc",[null,[12,8],[12,78]]]],
        ["block","link-to",["acercade"],["tagName","li"],2,null,["loc",[null,[13,8],[13,83]]]],
        ["content","pilas-automatic-update",["loc",[null,[19,8],[19,34]]]],
        ["element","action",["abrirAyuda"],[],["loc",[null,[20,38],[20,61]]]],
        ["inline","fa-icon",["question"],[],["loc",[null,[20,62],[20,84]]]],
        ["element","action",["abrirPreferencias"],[],["loc",[null,[21,38],[21,68]]]],
        ["inline","fa-icon",["gear"],[],["loc",[null,[21,69],[21,87]]]]
      ],
      locals: [],
      templates: [child0, child1, child2]
    };
  }()));

});
define('pilas-engine-bloques/templates/acercade', ['exports'], function (exports) {

  'use strict';

  exports['default'] = Ember.HTMLBars.template((function() {
    return {
      meta: {
        "revision": "Ember@1.13.7",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 64,
            "column": 0
          }
        },
        "moduleName": "pilas-engine-bloques/templates/acercade.hbs"
      },
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createElement("div");
        dom.setAttribute(el1,"class","contenido-principal");
        var el2 = dom.createTextNode("\n\n  ");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("div");
        dom.setAttribute(el2,"class","contenedor-acercade");
        var el3 = dom.createTextNode("\n\n");
        dom.appendChild(el2, el3);
        var el3 = dom.createElement("h1");
        var el4 = dom.createTextNode("Acerca de Pilas Bloques");
        dom.appendChild(el3, el4);
        dom.appendChild(el2, el3);
        var el3 = dom.createTextNode("\n\n");
        dom.appendChild(el2, el3);
        var el3 = dom.createElement("p");
        var el4 = dom.createTextNode("\n  Pilas Bloques es una nueva aplicación desarrollada para comenzar\n  a programar.\n");
        dom.appendChild(el3, el4);
        dom.appendChild(el2, el3);
        var el3 = dom.createTextNode("\n\n");
        dom.appendChild(el2, el3);
        var el3 = dom.createElement("p");
        var el4 = dom.createTextNode("\n  Encontrarás desafíos con diversos niveles de dificultad que te\n  acercarán al mundo de la programación por medio de bloques.\n");
        dom.appendChild(el3, el4);
        dom.appendChild(el2, el3);
        var el3 = dom.createTextNode("\n\n");
        dom.appendChild(el2, el3);
        var el3 = dom.createElement("p");
        var el4 = dom.createTextNode("\n  ");
        dom.appendChild(el3, el4);
        var el4 = dom.createElement("strong");
        var el5 = dom.createTextNode("¿Qué es programar con bloques?");
        dom.appendChild(el4, el5);
        dom.appendChild(el3, el4);
        var el4 = dom.createTextNode(" Es desarrollar programas con\n  acciones e instrucciones incorporadas en bloques o piezas\n  prediseñadas. Tendrás que seleccionar y “encastrar” las piezas\n  adecuadas para lograr que el programa resuelva la\n  actividad propuesta.\n");
        dom.appendChild(el3, el4);
        dom.appendChild(el2, el3);
        var el3 = dom.createTextNode("\n\n");
        dom.appendChild(el2, el3);
        var el3 = dom.createElement("p");
        var el4 = dom.createTextNode("\n  Pilas Bloques es un proyecto que contempla más de 40\n  actividades diseñadas para\n  dar los primeros pasos en el mundo de la programación, que pueden ser\n  utilizadas tanto como secuencia de enseñanza o intercaladas con\n  otras actividades, dependiendo del criterio pedagógico de cada\n  profesor y aprendiz.\n");
        dom.appendChild(el3, el4);
        dom.appendChild(el2, el3);
        var el3 = dom.createTextNode("\n\n");
        dom.appendChild(el2, el3);
        var el3 = dom.createElement("p");
        var el4 = dom.createTextNode("\n  Las actividades se publicarán gradualmente, la aplicación las descargará\n  automáticamente cuando se conecte a Internet.");
        dom.appendChild(el3, el4);
        dom.appendChild(el2, el3);
        var el3 = dom.createTextNode("\n\n");
        dom.appendChild(el2, el3);
        var el3 = dom.createElement("p");
        var el4 = dom.createTextNode("\n  Enseñar y aprender a programar es importante porque:\n");
        dom.appendChild(el3, el4);
        dom.appendChild(el2, el3);
        var el3 = dom.createTextNode("\n\n");
        dom.appendChild(el2, el3);
        var el3 = dom.createElement("ul");
        var el4 = dom.createTextNode("\n  ");
        dom.appendChild(el3, el4);
        var el4 = dom.createElement("li");
        var el5 = dom.createTextNode(" Incentiva a los estudiantes a crear sus propios programas,\n    proponiéndoles otros espacios más que el de usuarios de aplicaciones\n    realizadas por terceros.");
        dom.appendChild(el4, el5);
        dom.appendChild(el3, el4);
        var el4 = dom.createTextNode("\n  ");
        dom.appendChild(el3, el4);
        var el4 = dom.createElement("li");
        var el5 = dom.createTextNode("Promueve y estimula la confianza para resolver problemas.");
        dom.appendChild(el4, el5);
        dom.appendChild(el3, el4);
        var el4 = dom.createTextNode("\n  ");
        dom.appendChild(el3, el4);
        var el4 = dom.createElement("li");
        var el5 = dom.createTextNode("Trabajar con conceptos de las ciencias de la computación\n    permite desarrollar habilidades de pensamiento computacional.");
        dom.appendChild(el4, el5);
        dom.appendChild(el3, el4);
        var el4 = dom.createTextNode("\n");
        dom.appendChild(el3, el4);
        dom.appendChild(el2, el3);
        var el3 = dom.createTextNode("\n\n");
        dom.appendChild(el2, el3);
        var el3 = dom.createElement("p");
        var el4 = dom.createTextNode("Actualmente estás usando la versión ");
        dom.appendChild(el3, el4);
        var el4 = dom.createElement("code");
        var el5 = dom.createComment("");
        dom.appendChild(el4, el5);
        dom.appendChild(el3, el4);
        dom.appendChild(el2, el3);
        var el3 = dom.createTextNode("\n\n");
        dom.appendChild(el2, el3);
        var el3 = dom.createElement("p");
        var el4 = dom.createTextNode("Este programa fue desarrollado en forma conjunta por Huayra - Conectar Igualdad (ANSES) y Program.AR - Fundación Sadosky.");
        dom.appendChild(el3, el4);
        var el4 = dom.createElement("br");
        dom.appendChild(el3, el4);
        var el4 = dom.createTextNode("\n Pilas Bloques está basado en el desarrollo previo de Pilas Engine de Hugo Ruscitti.");
        dom.appendChild(el3, el4);
        dom.appendChild(el2, el3);
        var el3 = dom.createTextNode("\n\n");
        dom.appendChild(el2, el3);
        var el3 = dom.createElement("p");
        var el4 = dom.createTextNode("\n  ");
        dom.appendChild(el3, el4);
        var el4 = dom.createElement("button");
        dom.setAttribute(el4,"class","btn btn-warning");
        var el5 = dom.createComment("");
        dom.appendChild(el4, el5);
        var el5 = dom.createTextNode(" Visitar al web del proyecto");
        dom.appendChild(el4, el5);
        dom.appendChild(el3, el4);
        var el4 = dom.createTextNode("\n  ");
        dom.appendChild(el3, el4);
        var el4 = dom.createComment("");
        dom.appendChild(el3, el4);
        var el4 = dom.createTextNode("\n");
        dom.appendChild(el3, el4);
        dom.appendChild(el2, el3);
        var el3 = dom.createTextNode("\n\n\n");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var element0 = dom.childAt(fragment, [0, 1]);
        var element1 = dom.childAt(element0, [21]);
        var element2 = dom.childAt(element1, [1]);
        var morphs = new Array(4);
        morphs[0] = dom.createMorphAt(dom.childAt(element0, [17, 1]),0,0);
        morphs[1] = dom.createElementMorph(element2);
        morphs[2] = dom.createMorphAt(element2,0,0);
        morphs[3] = dom.createMorphAt(element1,3,3);
        return morphs;
      },
      statements: [
        ["content","currentVersion",["loc",[null,[51,45],[51,63]]]],
        ["element","action",["visitWebsite"],[],["loc",[null,[57,34],[57,59]]]],
        ["inline","fa-icon",["globe"],[],["loc",[null,[57,60],[57,79]]]],
        ["content","pilas-update",["loc",[null,[58,2],[58,18]]]]
      ],
      locals: [],
      templates: []
    };
  }()));

});
define('pilas-engine-bloques/templates/application', ['exports'], function (exports) {

  'use strict';

  exports['default'] = Ember.HTMLBars.template((function() {
    var child0 = (function() {
      return {
        meta: {
          "revision": "Ember@1.13.7",
          "loc": {
            "source": null,
            "start": {
              "line": 1,
              "column": 0
            },
            "end": {
              "line": 5,
              "column": 0
            }
          },
          "moduleName": "pilas-engine-bloques/templates/application.hbs"
        },
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(3);
          morphs[0] = dom.createMorphAt(fragment,1,1,contextualElement);
          morphs[1] = dom.createMorphAt(fragment,3,3,contextualElement);
          morphs[2] = dom.createMorphAt(fragment,5,5,contextualElement);
          return morphs;
        },
        statements: [
          ["inline","partial",["navbar"],[],["loc",[null,[2,2],[2,22]]]],
          ["inline","partial",["modal-preferencias"],[],["loc",[null,[3,2],[3,34]]]],
          ["inline","partial",["modal-ayuda"],[],["loc",[null,[4,2],[4,27]]]]
        ],
        locals: [],
        templates: []
      };
    }());
    var child1 = (function() {
      return {
        meta: {
          "revision": "Ember@1.13.7",
          "loc": {
            "source": null,
            "start": {
              "line": 5,
              "column": 0
            },
            "end": {
              "line": 11,
              "column": 0
            }
          },
          "moduleName": "pilas-engine-bloques/templates/application.hbs"
        },
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("style");
          var el2 = dom.createTextNode("\n    .absolute {\n      top: 10px;\n    }\n  ");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes() { return []; },
        statements: [

        ],
        locals: [],
        templates: []
      };
    }());
    return {
      meta: {
        "revision": "Ember@1.13.7",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 16,
            "column": 0
          }
        },
        "moduleName": "pilas-engine-bloques/templates/application.hbs"
      },
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createElement("div");
        dom.setAttribute(el1,"class","page-container");
        var el2 = dom.createTextNode("\n  ");
        dom.appendChild(el1, el2);
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(2);
        morphs[0] = dom.createMorphAt(fragment,0,0,contextualElement);
        morphs[1] = dom.createMorphAt(dom.childAt(fragment, [2]),1,1);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [
        ["block","if",[["get","layout",["loc",[null,[1,6],[1,12]]]]],[],0,1,["loc",[null,[1,0],[11,7]]]],
        ["inline","outlet",[],["class","absolute"],["loc",[null,[14,2],[14,29]]]]
      ],
      locals: [],
      templates: [child0, child1]
    };
  }()));

});
define('pilas-engine-bloques/templates/components/em-button', ['exports'], function (exports) {

  'use strict';

  exports['default'] = Ember.HTMLBars.template((function() {
    var child0 = (function() {
      return {
        meta: {
          "revision": "Ember@1.13.7",
          "loc": {
            "source": null,
            "start": {
              "line": 1,
              "column": 0
            },
            "end": {
              "line": 3,
              "column": 0
            }
          },
          "moduleName": "pilas-engine-bloques/templates/components/em-button.hbs"
        },
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("    ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("i");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var element0 = dom.childAt(fragment, [1]);
          var morphs = new Array(1);
          morphs[0] = dom.createAttrMorph(element0, 'class');
          return morphs;
        },
        statements: [
          ["attribute","class",["concat",[["subexpr","-bind-attr-class",[["get","icon-classes",[]],"icon-classes"],[],[]]]]]
        ],
        locals: [],
        templates: []
      };
    }());
    return {
      meta: {
        "revision": "Ember@1.13.7",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 4,
            "column": 9
          }
        },
        "moduleName": "pilas-engine-bloques/templates/components/em-button.hbs"
      },
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(2);
        morphs[0] = dom.createMorphAt(fragment,0,0,contextualElement);
        morphs[1] = dom.createMorphAt(fragment,1,1,contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [
        ["block","if",[["get","icon-classes",["loc",[null,[1,6],[1,18]]]]],[],0,null,["loc",[null,[1,0],[3,7]]]],
        ["content","label",["loc",[null,[4,0],[4,9]]]]
      ],
      locals: [],
      templates: [child0]
    };
  }()));

});
define('pilas-engine-bloques/templates/components/em-form-control-help', ['exports'], function (exports) {

  'use strict';

  exports['default'] = Ember.HTMLBars.template((function() {
    return {
      meta: {
        "revision": "Ember@1.13.7",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 1,
            "column": 12
          }
        },
        "moduleName": "pilas-engine-bloques/templates/components/em-form-control-help.hbs"
      },
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment,0,0,contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [
        ["content","helpText",["loc",[null,[1,0],[1,12]]]]
      ],
      locals: [],
      templates: []
    };
  }()));

});
define('pilas-engine-bloques/templates/components/em-form-group', ['exports'], function (exports) {

  'use strict';

  exports['default'] = Ember.HTMLBars.template((function() {
    var child0 = (function() {
      return {
        meta: {
          "revision": "Ember@1.13.7",
          "loc": {
            "source": null,
            "start": {
              "line": 1,
              "column": 0
            },
            "end": {
              "line": 5,
              "column": 0
            }
          },
          "moduleName": "pilas-engine-bloques/templates/components/em-form-group.hbs"
        },
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("    ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("div");
          var el2 = dom.createTextNode("\n        ");
          dom.appendChild(el1, el2);
          var el2 = dom.createComment("");
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode("\n    ");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var element0 = dom.childAt(fragment, [1]);
          var morphs = new Array(2);
          morphs[0] = dom.createAttrMorph(element0, 'class');
          morphs[1] = dom.createMorphAt(element0,1,1);
          return morphs;
        },
        statements: [
          ["attribute","class",["concat",[["subexpr","-bind-attr-class",[["get","wrapperClass",[]],"wrapper-class"],[],[]]]]],
          ["inline","partial",["components/formgroup/form-group"],[],["loc",[null,[3,8],[3,53]]]]
        ],
        locals: [],
        templates: []
      };
    }());
    var child1 = (function() {
      return {
        meta: {
          "revision": "Ember@1.13.7",
          "loc": {
            "source": null,
            "start": {
              "line": 5,
              "column": 0
            },
            "end": {
              "line": 7,
              "column": 0
            }
          },
          "moduleName": "pilas-engine-bloques/templates/components/em-form-group.hbs"
        },
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("    ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment,1,1,contextualElement);
          return morphs;
        },
        statements: [
          ["inline","partial",["components/formgroup/form-group"],[],["loc",[null,[6,4],[6,49]]]]
        ],
        locals: [],
        templates: []
      };
    }());
    return {
      meta: {
        "revision": "Ember@1.13.7",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 7,
            "column": 7
          }
        },
        "moduleName": "pilas-engine-bloques/templates/components/em-form-group.hbs"
      },
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment,0,0,contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [
        ["block","if",[["get","wrapperClass",["loc",[null,[1,6],[1,18]]]]],[],0,1,["loc",[null,[1,0],[7,7]]]]
      ],
      locals: [],
      templates: [child0, child1]
    };
  }()));

});
define('pilas-engine-bloques/templates/components/em-form-label', ['exports'], function (exports) {

  'use strict';

  exports['default'] = Ember.HTMLBars.template((function() {
    return {
      meta: {
        "revision": "Ember@1.13.7",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 2,
            "column": 8
          }
        },
        "moduleName": "pilas-engine-bloques/templates/components/em-form-label.hbs"
      },
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(2);
        morphs[0] = dom.createMorphAt(fragment,0,0,contextualElement);
        morphs[1] = dom.createMorphAt(fragment,2,2,contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [
        ["content","yield",["loc",[null,[1,0],[1,9]]]],
        ["content","text",["loc",[null,[2,0],[2,8]]]]
      ],
      locals: [],
      templates: []
    };
  }()));

});
define('pilas-engine-bloques/templates/components/em-form-submit', ['exports'], function (exports) {

  'use strict';

  exports['default'] = Ember.HTMLBars.template((function() {
    var child0 = (function() {
      return {
        meta: {
          "revision": "Ember@1.13.7",
          "loc": {
            "source": null,
            "start": {
              "line": 1,
              "column": 0
            },
            "end": {
              "line": 5,
              "column": 0
            }
          },
          "moduleName": "pilas-engine-bloques/templates/components/em-form-submit.hbs"
        },
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("    ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("div");
          var el2 = dom.createTextNode("\n        ");
          dom.appendChild(el1, el2);
          var el2 = dom.createElement("button");
          var el3 = dom.createComment("");
          dom.appendChild(el2, el3);
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode("\n    ");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var element1 = dom.childAt(fragment, [1]);
          var element2 = dom.childAt(element1, [1]);
          var morphs = new Array(4);
          morphs[0] = dom.createAttrMorph(element1, 'class');
          morphs[1] = dom.createAttrMorph(element2, 'class');
          morphs[2] = dom.createAttrMorph(element2, 'disabled');
          morphs[3] = dom.createMorphAt(element2,0,0);
          return morphs;
        },
        statements: [
          ["attribute","class",["concat",[["subexpr","-bind-attr-class",[["get","horiClass",[]],"hori-class"],[],[]]]]],
          ["attribute","class",["concat",[["subexpr","-bind-attr-class",[["get","classes",[]],"classes"],[],[]]]]],
          ["attribute","disabled",["get","disabled",["loc",[null,[3,65],[3,73]]]]],
          ["content","text",["loc",[null,[3,76],[3,84]]]]
        ],
        locals: [],
        templates: []
      };
    }());
    var child1 = (function() {
      return {
        meta: {
          "revision": "Ember@1.13.7",
          "loc": {
            "source": null,
            "start": {
              "line": 5,
              "column": 0
            },
            "end": {
              "line": 7,
              "column": 0
            }
          },
          "moduleName": "pilas-engine-bloques/templates/components/em-form-submit.hbs"
        },
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("    ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("button");
          var el2 = dom.createComment("");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var element0 = dom.childAt(fragment, [1]);
          var morphs = new Array(3);
          morphs[0] = dom.createAttrMorph(element0, 'class');
          morphs[1] = dom.createAttrMorph(element0, 'disabled');
          morphs[2] = dom.createMorphAt(element0,0,0);
          return morphs;
        },
        statements: [
          ["attribute","class",["concat",[["subexpr","-bind-attr-class",[["get","classes",[]],"classes"],[],[]]]]],
          ["attribute","disabled",["get","disabled",["loc",[null,[6,61],[6,69]]]]],
          ["content","text",["loc",[null,[6,72],[6,80]]]]
        ],
        locals: [],
        templates: []
      };
    }());
    return {
      meta: {
        "revision": "Ember@1.13.7",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 7,
            "column": 7
          }
        },
        "moduleName": "pilas-engine-bloques/templates/components/em-form-submit.hbs"
      },
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment,0,0,contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [
        ["block","if",[["get","form.isHorizontal",["loc",[null,[1,6],[1,23]]]]],[],0,1,["loc",[null,[1,0],[7,7]]]]
      ],
      locals: [],
      templates: [child0, child1]
    };
  }()));

});
define('pilas-engine-bloques/templates/components/em-form', ['exports'], function (exports) {

  'use strict';

  exports['default'] = Ember.HTMLBars.template((function() {
    var child0 = (function() {
      return {
        meta: {
          "revision": "Ember@1.13.7",
          "loc": {
            "source": null,
            "start": {
              "line": 2,
              "column": 0
            },
            "end": {
              "line": 4,
              "column": 0
            }
          },
          "moduleName": "pilas-engine-bloques/templates/components/em-form.hbs"
        },
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("    ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment,1,1,contextualElement);
          return morphs;
        },
        statements: [
          ["content","em-form-submit",["loc",[null,[3,4],[3,22]]]]
        ],
        locals: [],
        templates: []
      };
    }());
    return {
      meta: {
        "revision": "Ember@1.13.7",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 4,
            "column": 7
          }
        },
        "moduleName": "pilas-engine-bloques/templates/components/em-form.hbs"
      },
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(2);
        morphs[0] = dom.createMorphAt(fragment,0,0,contextualElement);
        morphs[1] = dom.createMorphAt(fragment,2,2,contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [
        ["content","yield",["loc",[null,[1,0],[1,9]]]],
        ["block","if",[["get","submit_button",["loc",[null,[2,6],[2,19]]]]],[],0,null,["loc",[null,[2,0],[4,7]]]]
      ],
      locals: [],
      templates: [child0]
    };
  }()));

});
define('pilas-engine-bloques/templates/components/em-modal-confirm', ['exports'], function (exports) {

  'use strict';

  exports['default'] = Ember.HTMLBars.template((function() {
    var child0 = (function() {
      var child0 = (function() {
        var child0 = (function() {
          return {
            meta: {
              "revision": "Ember@1.13.7",
              "loc": {
                "source": null,
                "start": {
                  "line": 3,
                  "column": 8
                },
                "end": {
                  "line": 3,
                  "column": 116
                }
              },
              "moduleName": "pilas-engine-bloques/templates/components/em-modal-confirm.hbs"
            },
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createElement("span");
              dom.setAttribute(el1,"aria-hidden","true");
              var el2 = dom.createTextNode("×");
              dom.appendChild(el1, el2);
              dom.appendChild(el0, el1);
              var el1 = dom.createElement("span");
              dom.setAttribute(el1,"class","sr-only");
              var el2 = dom.createTextNode("Close");
              dom.appendChild(el1, el2);
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes() { return []; },
            statements: [

            ],
            locals: [],
            templates: []
          };
        }());
        return {
          meta: {
            "revision": "Ember@1.13.7",
            "loc": {
              "source": null,
              "start": {
                "line": 2,
                "column": 4
              },
              "end": {
                "line": 5,
                "column": 4
              }
            },
            "moduleName": "pilas-engine-bloques/templates/components/em-modal-confirm.hbs"
          },
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("        ");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n        ");
            dom.appendChild(el0, el1);
            var el1 = dom.createElement("h4");
            dom.setAttribute(el1,"class","modal-title");
            var el2 = dom.createComment("");
            dom.appendChild(el1, el2);
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(2);
            morphs[0] = dom.createMorphAt(fragment,1,1,contextualElement);
            morphs[1] = dom.createMorphAt(dom.childAt(fragment, [3]),0,0);
            return morphs;
          },
          statements: [
            ["block","em-modal-toggler",[],["class","close"],0,null,["loc",[null,[3,8],[3,137]]]],
            ["content","title",["loc",[null,[4,32],[4,41]]]]
          ],
          locals: [],
          templates: [child0]
        };
      }());
      var child1 = (function() {
        var child0 = (function() {
          return {
            meta: {
              "revision": "Ember@1.13.7",
              "loc": {
                "source": null,
                "start": {
                  "line": 10,
                  "column": 8
                },
                "end": {
                  "line": 12,
                  "column": 8
                }
              },
              "moduleName": "pilas-engine-bloques/templates/components/em-modal-confirm.hbs"
            },
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("        ");
              dom.appendChild(el0, el1);
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(1);
              morphs[0] = dom.createMorphAt(fragment,1,1,contextualElement);
              return morphs;
            },
            statements: [
              ["inline","view",[["get","Ember.Select",["loc",[null,[11,15],[11,27]]]]],["value",["subexpr","@mut",[["get","message",[]]],[],[]],"content",["subexpr","@mut",[["get","messages",[]]],[],[]],"optionValuePath","id","optionLabelPath","content.msg"],["loc",[null,[11,8],[11,129]]]]
            ],
            locals: [],
            templates: []
          };
        }());
        return {
          meta: {
            "revision": "Ember@1.13.7",
            "loc": {
              "source": null,
              "start": {
                "line": 6,
                "column": 4
              },
              "end": {
                "line": 13,
                "column": 4
              }
            },
            "moduleName": "pilas-engine-bloques/templates/components/em-modal-confirm.hbs"
          },
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("        ");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n        ");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n        ");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("Confirmation with a reason");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(3);
            morphs[0] = dom.createMorphAt(fragment,1,1,contextualElement);
            morphs[1] = dom.createMorphAt(fragment,3,3,contextualElement);
            morphs[2] = dom.createMorphAt(fragment,7,7,contextualElement);
            dom.insertBoundary(fragment, null);
            return morphs;
          },
          statements: [
            ["content","message",["loc",[null,[7,8],[7,19]]]],
            ["content","yield",["loc",[null,[8,8],[8,17]]]],
            ["block","if",[["get","reasonModal",["loc",[null,[10,14],[10,25]]]]],[],0,null,["loc",[null,[10,8],[12,15]]]]
          ],
          locals: [],
          templates: [child0]
        };
      }());
      var child2 = (function() {
        var child0 = (function() {
          return {
            meta: {
              "revision": "Ember@1.13.7",
              "loc": {
                "source": null,
                "start": {
                  "line": 16,
                  "column": 8
                },
                "end": {
                  "line": 19,
                  "column": 8
                }
              },
              "moduleName": "pilas-engine-bloques/templates/components/em-modal-confirm.hbs"
            },
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("            ");
              dom.appendChild(el0, el1);
              var el1 = dom.createElement("i");
              dom.setAttribute(el1,"class","fa fa-thumbs-o-down");
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n            ");
              dom.appendChild(el0, el1);
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(1);
              morphs[0] = dom.createMorphAt(fragment,3,3,contextualElement);
              return morphs;
            },
            statements: [
              ["content","cancel-button-title",["loc",[null,[18,12],[18,35]]]]
            ],
            locals: [],
            templates: []
          };
        }());
        return {
          meta: {
            "revision": "Ember@1.13.7",
            "loc": {
              "source": null,
              "start": {
                "line": 14,
                "column": 4
              },
              "end": {
                "line": 20,
                "column": 4
              }
            },
            "moduleName": "pilas-engine-bloques/templates/components/em-modal-confirm.hbs"
          },
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("        ");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(2);
            morphs[0] = dom.createMorphAt(fragment,1,1,contextualElement);
            morphs[1] = dom.createMorphAt(fragment,3,3,contextualElement);
            dom.insertBoundary(fragment, null);
            return morphs;
          },
          statements: [
            ["inline","em-button",[],["class",["subexpr","@mut",[["get","cancel-button-classes",["loc",[null,[15,26],[15,47]]]]],[],[]],"on-click","confirmPressed","default",["subexpr","@mut",[["get","submit-button-title",["loc",[null,[15,82],[15,101]]]]],[],[]],"icon-default",["subexpr","@mut",[["get","submit-button-default-icons",["loc",[null,[15,115],[15,142]]]]],[],[]],"icon-executing",["subexpr","@mut",[["get","submit-button-execute-icons",["loc",[null,[15,158],[15,185]]]]],[],[]],"executing",["subexpr","@mut",[["get","submit-button-submitting-title",["loc",[null,[15,196],[15,226]]]]],[],[]]],["loc",[null,[15,8],[15,228]]]],
            ["block","em-modal-toggler",[],["class",["subexpr","@mut",[["get","submit-button-classes",["loc",[null,[16,34],[16,55]]]]],[],[]]],0,null,["loc",[null,[16,8],[19,29]]]]
          ],
          locals: [],
          templates: [child0]
        };
      }());
      return {
        meta: {
          "revision": "Ember@1.13.7",
          "loc": {
            "source": null,
            "start": {
              "line": 1,
              "column": 0
            },
            "end": {
              "line": 21,
              "column": 0
            }
          },
          "moduleName": "pilas-engine-bloques/templates/components/em-modal-confirm.hbs"
        },
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(3);
          morphs[0] = dom.createMorphAt(fragment,0,0,contextualElement);
          morphs[1] = dom.createMorphAt(fragment,1,1,contextualElement);
          morphs[2] = dom.createMorphAt(fragment,2,2,contextualElement);
          dom.insertBoundary(fragment, 0);
          dom.insertBoundary(fragment, null);
          return morphs;
        },
        statements: [
          ["block","em-modal-title",[],["classes",["subexpr","@mut",[["get","modal-title-classes",["loc",[null,[2,30],[2,49]]]]],[],[]]],0,null,["loc",[null,[2,4],[5,23]]]],
          ["block","em-modal-body",[],[],1,null,["loc",[null,[6,4],[13,22]]]],
          ["block","em-modal-footer",[],[],2,null,["loc",[null,[14,4],[20,24]]]]
        ],
        locals: [],
        templates: [child0, child1, child2]
      };
    }());
    return {
      meta: {
        "revision": "Ember@1.13.7",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 21,
            "column": 13
          }
        },
        "moduleName": "pilas-engine-bloques/templates/components/em-modal-confirm.hbs"
      },
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment,0,0,contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [
        ["block","em-modal",[],["id",["subexpr","@mut",[["get","confirm-id",["loc",[null,[1,15],[1,25]]]]],[],[]],"configName",["subexpr","@mut",[["get","configName",["loc",[null,[1,37],[1,47]]]]],[],[]],"model-id",["subexpr","@mut",[["get","model-id",["loc",[null,[1,57],[1,65]]]]],[],[]],"open-if",["subexpr","@mut",[["get","open-if",["loc",[null,[1,74],[1,81]]]]],[],[]],"close-if",["subexpr","@mut",[["get","close-if",["loc",[null,[1,91],[1,99]]]]],[],[]],"on-hide",["subexpr","@mut",[["get","on-hide",["loc",[null,[1,108],[1,115]]]]],[],[]]],0,null,["loc",[null,[1,0],[21,13]]]]
      ],
      locals: [],
      templates: [child0]
    };
  }()));

});
define('pilas-engine-bloques/templates/components/em-modal', ['exports'], function (exports) {

  'use strict';

  exports['default'] = Ember.HTMLBars.template((function() {
    var child0 = (function() {
      return {
        meta: {
          "revision": "Ember@1.13.7",
          "loc": {
            "source": null,
            "start": {
              "line": 1,
              "column": 0
            },
            "end": {
              "line": 7,
              "column": 0
            }
          },
          "moduleName": "pilas-engine-bloques/templates/components/em-modal.hbs"
        },
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("    ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("div");
          dom.setAttribute(el1,"class","modal-dialog");
          var el2 = dom.createTextNode("\n        ");
          dom.appendChild(el1, el2);
          var el2 = dom.createElement("div");
          dom.setAttribute(el2,"class","modal-content");
          var el3 = dom.createTextNode("\n            ");
          dom.appendChild(el2, el3);
          var el3 = dom.createComment("");
          dom.appendChild(el2, el3);
          var el3 = dom.createTextNode("\n        ");
          dom.appendChild(el2, el3);
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode("\n    ");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(dom.childAt(fragment, [1, 1]),1,1);
          return morphs;
        },
        statements: [
          ["content","yield",["loc",[null,[4,12],[4,21]]]]
        ],
        locals: [],
        templates: []
      };
    }());
    return {
      meta: {
        "revision": "Ember@1.13.7",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 7,
            "column": 7
          }
        },
        "moduleName": "pilas-engine-bloques/templates/components/em-modal.hbs"
      },
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment,0,0,contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [
        ["block","if",[["get","is-open",["loc",[null,[1,6],[1,13]]]]],[],0,null,["loc",[null,[1,0],[7,7]]]]
      ],
      locals: [],
      templates: [child0]
    };
  }()));

});
define('pilas-engine-bloques/templates/components/formgroup/control-within-label', ['exports'], function (exports) {

  'use strict';

  exports['default'] = Ember.HTMLBars.template((function() {
    var child0 = (function() {
      return {
        meta: {
          "revision": "Ember@1.13.7",
          "loc": {
            "source": null,
            "start": {
              "line": 1,
              "column": 0
            },
            "end": {
              "line": 3,
              "column": 0
            }
          },
          "moduleName": "pilas-engine-bloques/templates/components/formgroup/control-within-label.hbs"
        },
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("    ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment,1,1,contextualElement);
          return morphs;
        },
        statements: [
          ["inline","partial",["components/formgroup/form-group-control"],[],["loc",[null,[2,4],[2,57]]]]
        ],
        locals: [],
        templates: []
      };
    }());
    return {
      meta: {
        "revision": "Ember@1.13.7",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 3,
            "column": 18
          }
        },
        "moduleName": "pilas-engine-bloques/templates/components/formgroup/control-within-label.hbs"
      },
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment,0,0,contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [
        ["block","em-form-label",[],["text",["subexpr","@mut",[["get","label",["loc",[null,[1,22],[1,27]]]]],[],[]],"horiClass","","inlineClass","","viewName",["subexpr","@mut",[["get","labelViewName",["loc",[null,[1,65],[1,78]]]]],[],[]]],0,null,["loc",[null,[1,0],[3,18]]]]
      ],
      locals: [],
      templates: [child0]
    };
  }()));

});
define('pilas-engine-bloques/templates/components/formgroup/form-group-control', ['exports'], function (exports) {

  'use strict';

  exports['default'] = Ember.HTMLBars.template((function() {
    var child0 = (function() {
      return {
        meta: {
          "revision": "Ember@1.13.7",
          "loc": {
            "source": null,
            "start": {
              "line": 1,
              "column": 0
            },
            "end": {
              "line": 5,
              "column": 0
            }
          },
          "moduleName": "pilas-engine-bloques/templates/components/formgroup/form-group-control.hbs"
        },
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("    ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("div");
          var el2 = dom.createTextNode("\n        ");
          dom.appendChild(el1, el2);
          var el2 = dom.createComment("");
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode("\n    ");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var element0 = dom.childAt(fragment, [1]);
          var morphs = new Array(2);
          morphs[0] = dom.createAttrMorph(element0, 'class');
          morphs[1] = dom.createMorphAt(element0,1,1);
          return morphs;
        },
        statements: [
          ["attribute","class",["concat",[["subexpr","-bind-attr-class",[["get","controlWrapper",[]],"control-wrapper"],[],[]]]]],
          ["inline","view",[["get","controlView",["loc",[null,[3,15],[3,26]]]]],["viewName",["subexpr","@mut",[["get","controlViewName",["loc",[null,[3,36],[3,51]]]]],[],[]],"property",["subexpr","@mut",[["get","propertyName",["loc",[null,[3,61],[3,73]]]]],[],[]],"id",["subexpr","@mut",[["get","cid",["loc",[null,[3,77],[3,80]]]]],[],[]]],["loc",[null,[3,8],[3,82]]]]
        ],
        locals: [],
        templates: []
      };
    }());
    var child1 = (function() {
      return {
        meta: {
          "revision": "Ember@1.13.7",
          "loc": {
            "source": null,
            "start": {
              "line": 5,
              "column": 0
            },
            "end": {
              "line": 7,
              "column": 0
            }
          },
          "moduleName": "pilas-engine-bloques/templates/components/formgroup/form-group-control.hbs"
        },
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("    ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment,1,1,contextualElement);
          return morphs;
        },
        statements: [
          ["inline","view",[["get","controlView",["loc",[null,[6,11],[6,22]]]]],["viewName",["subexpr","@mut",[["get","controlViewName",["loc",[null,[6,32],[6,47]]]]],[],[]],"property",["subexpr","@mut",[["get","propertyName",["loc",[null,[6,57],[6,69]]]]],[],[]],"id",["subexpr","@mut",[["get","cid",["loc",[null,[6,73],[6,76]]]]],[],[]]],["loc",[null,[6,4],[6,78]]]]
        ],
        locals: [],
        templates: []
      };
    }());
    return {
      meta: {
        "revision": "Ember@1.13.7",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 7,
            "column": 7
          }
        },
        "moduleName": "pilas-engine-bloques/templates/components/formgroup/form-group-control.hbs"
      },
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment,0,0,contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [
        ["block","if",[["get","controlWrapper",["loc",[null,[1,6],[1,20]]]]],[],0,1,["loc",[null,[1,0],[7,7]]]]
      ],
      locals: [],
      templates: [child0, child1]
    };
  }()));

});
define('pilas-engine-bloques/templates/components/formgroup/form-group', ['exports'], function (exports) {

  'use strict';

  exports['default'] = Ember.HTMLBars.template((function() {
    var child0 = (function() {
      var child0 = (function() {
        var child0 = (function() {
          var child0 = (function() {
            return {
              meta: {
                "revision": "Ember@1.13.7",
                "loc": {
                  "source": null,
                  "start": {
                    "line": 4,
                    "column": 12
                  },
                  "end": {
                    "line": 8,
                    "column": 12
                  }
                },
                "moduleName": "pilas-engine-bloques/templates/components/formgroup/form-group.hbs"
              },
              arity: 0,
              cachedFragment: null,
              hasRendered: false,
              buildFragment: function buildFragment(dom) {
                var el0 = dom.createDocumentFragment();
                var el1 = dom.createTextNode("                ");
                dom.appendChild(el0, el1);
                var el1 = dom.createElement("div");
                var el2 = dom.createTextNode("\n                    ");
                dom.appendChild(el1, el2);
                var el2 = dom.createComment("");
                dom.appendChild(el1, el2);
                var el2 = dom.createTextNode("\n                ");
                dom.appendChild(el1, el2);
                dom.appendChild(el0, el1);
                var el1 = dom.createTextNode("\n");
                dom.appendChild(el0, el1);
                return el0;
              },
              buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                var element2 = dom.childAt(fragment, [1]);
                var morphs = new Array(2);
                morphs[0] = dom.createAttrMorph(element2, 'class');
                morphs[1] = dom.createMorphAt(element2,1,1);
                return morphs;
              },
              statements: [
                ["attribute","class",["concat",[["subexpr","-bind-attr-class",[["get","labelWrapperClass",[]],"label-wrapper-class"],[],[]]]]],
                ["inline","partial",["components/formgroup/control-within-label"],[],["loc",[null,[6,20],[6,75]]]]
              ],
              locals: [],
              templates: []
            };
          }());
          var child1 = (function() {
            return {
              meta: {
                "revision": "Ember@1.13.7",
                "loc": {
                  "source": null,
                  "start": {
                    "line": 8,
                    "column": 12
                  },
                  "end": {
                    "line": 10,
                    "column": 12
                  }
                },
                "moduleName": "pilas-engine-bloques/templates/components/formgroup/form-group.hbs"
              },
              arity: 0,
              cachedFragment: null,
              hasRendered: false,
              buildFragment: function buildFragment(dom) {
                var el0 = dom.createDocumentFragment();
                var el1 = dom.createTextNode("                ");
                dom.appendChild(el0, el1);
                var el1 = dom.createComment("");
                dom.appendChild(el0, el1);
                var el1 = dom.createTextNode("\n");
                dom.appendChild(el0, el1);
                return el0;
              },
              buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                var morphs = new Array(1);
                morphs[0] = dom.createMorphAt(fragment,1,1,contextualElement);
                return morphs;
              },
              statements: [
                ["inline","partial",["components/formgroup/control-within-label"],[],["loc",[null,[9,16],[9,71]]]]
              ],
              locals: [],
              templates: []
            };
          }());
          return {
            meta: {
              "revision": "Ember@1.13.7",
              "loc": {
                "source": null,
                "start": {
                  "line": 3,
                  "column": 8
                },
                "end": {
                  "line": 11,
                  "column": 8
                }
              },
              "moduleName": "pilas-engine-bloques/templates/components/formgroup/form-group.hbs"
            },
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(1);
              morphs[0] = dom.createMorphAt(fragment,0,0,contextualElement);
              dom.insertBoundary(fragment, 0);
              dom.insertBoundary(fragment, null);
              return morphs;
            },
            statements: [
              ["block","if",[["get","labelWrapperClass",["loc",[null,[4,18],[4,35]]]]],[],0,1,["loc",[null,[4,12],[10,19]]]]
            ],
            locals: [],
            templates: [child0, child1]
          };
        }());
        var child1 = (function() {
          var child0 = (function() {
            return {
              meta: {
                "revision": "Ember@1.13.7",
                "loc": {
                  "source": null,
                  "start": {
                    "line": 12,
                    "column": 12
                  },
                  "end": {
                    "line": 17,
                    "column": 12
                  }
                },
                "moduleName": "pilas-engine-bloques/templates/components/formgroup/form-group.hbs"
              },
              arity: 0,
              cachedFragment: null,
              hasRendered: false,
              buildFragment: function buildFragment(dom) {
                var el0 = dom.createDocumentFragment();
                var el1 = dom.createTextNode("                ");
                dom.appendChild(el0, el1);
                var el1 = dom.createElement("div");
                var el2 = dom.createTextNode("\n                    ");
                dom.appendChild(el1, el2);
                var el2 = dom.createComment("");
                dom.appendChild(el1, el2);
                var el2 = dom.createTextNode("\n                    ");
                dom.appendChild(el1, el2);
                var el2 = dom.createComment("");
                dom.appendChild(el1, el2);
                var el2 = dom.createTextNode("\n                ");
                dom.appendChild(el1, el2);
                dom.appendChild(el0, el1);
                var el1 = dom.createTextNode("\n");
                dom.appendChild(el0, el1);
                return el0;
              },
              buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                var element1 = dom.childAt(fragment, [1]);
                var morphs = new Array(3);
                morphs[0] = dom.createAttrMorph(element1, 'class');
                morphs[1] = dom.createMorphAt(element1,1,1);
                morphs[2] = dom.createMorphAt(element1,3,3);
                return morphs;
              },
              statements: [
                ["attribute","class",["concat",[["subexpr","-bind-attr-class",[["get","labelWrapperClass",[]],"label-wrapper-class"],[],[]]]]],
                ["inline","em-form-label",[],["text",["subexpr","@mut",[["get","label",["loc",[null,[14,41],[14,46]]]]],[],[]],"viewName",["subexpr","@mut",[["get","labelViewName",["loc",[null,[14,56],[14,69]]]]],[],[]]],["loc",[null,[14,20],[14,71]]]],
                ["inline","partial",["components/formgroup/form-group-control"],[],["loc",[null,[15,20],[15,73]]]]
              ],
              locals: [],
              templates: []
            };
          }());
          var child1 = (function() {
            return {
              meta: {
                "revision": "Ember@1.13.7",
                "loc": {
                  "source": null,
                  "start": {
                    "line": 17,
                    "column": 12
                  },
                  "end": {
                    "line": 20,
                    "column": 12
                  }
                },
                "moduleName": "pilas-engine-bloques/templates/components/formgroup/form-group.hbs"
              },
              arity: 0,
              cachedFragment: null,
              hasRendered: false,
              buildFragment: function buildFragment(dom) {
                var el0 = dom.createDocumentFragment();
                var el1 = dom.createTextNode("                ");
                dom.appendChild(el0, el1);
                var el1 = dom.createComment("");
                dom.appendChild(el0, el1);
                var el1 = dom.createTextNode("\n                ");
                dom.appendChild(el0, el1);
                var el1 = dom.createComment("");
                dom.appendChild(el0, el1);
                var el1 = dom.createTextNode("\n");
                dom.appendChild(el0, el1);
                return el0;
              },
              buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
                var morphs = new Array(2);
                morphs[0] = dom.createMorphAt(fragment,1,1,contextualElement);
                morphs[1] = dom.createMorphAt(fragment,3,3,contextualElement);
                return morphs;
              },
              statements: [
                ["inline","em-form-label",[],["text",["subexpr","@mut",[["get","label",["loc",[null,[18,37],[18,42]]]]],[],[]],"viewName",["subexpr","@mut",[["get","labelViewName",["loc",[null,[18,52],[18,65]]]]],[],[]]],["loc",[null,[18,16],[18,67]]]],
                ["inline","partial",["components/formgroup/form-group-control"],[],["loc",[null,[19,16],[19,69]]]]
              ],
              locals: [],
              templates: []
            };
          }());
          return {
            meta: {
              "revision": "Ember@1.13.7",
              "loc": {
                "source": null,
                "start": {
                  "line": 11,
                  "column": 8
                },
                "end": {
                  "line": 21,
                  "column": 8
                }
              },
              "moduleName": "pilas-engine-bloques/templates/components/formgroup/form-group.hbs"
            },
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(1);
              morphs[0] = dom.createMorphAt(fragment,0,0,contextualElement);
              dom.insertBoundary(fragment, 0);
              dom.insertBoundary(fragment, null);
              return morphs;
            },
            statements: [
              ["block","if",[["get","labelWrapperClass",["loc",[null,[12,18],[12,35]]]]],[],0,1,["loc",[null,[12,12],[20,19]]]]
            ],
            locals: [],
            templates: [child0, child1]
          };
        }());
        return {
          meta: {
            "revision": "Ember@1.13.7",
            "loc": {
              "source": null,
              "start": {
                "line": 2,
                "column": 4
              },
              "end": {
                "line": 22,
                "column": 4
              }
            },
            "moduleName": "pilas-engine-bloques/templates/components/formgroup/form-group.hbs"
          },
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(fragment,0,0,contextualElement);
            dom.insertBoundary(fragment, 0);
            dom.insertBoundary(fragment, null);
            return morphs;
          },
          statements: [
            ["block","if",[["get","yieldInLabel",["loc",[null,[3,14],[3,26]]]]],[],0,1,["loc",[null,[3,8],[21,15]]]]
          ],
          locals: [],
          templates: [child0, child1]
        };
      }());
      var child1 = (function() {
        return {
          meta: {
            "revision": "Ember@1.13.7",
            "loc": {
              "source": null,
              "start": {
                "line": 22,
                "column": 4
              },
              "end": {
                "line": 24,
                "column": 4
              }
            },
            "moduleName": "pilas-engine-bloques/templates/components/formgroup/form-group.hbs"
          },
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("        ");
            dom.appendChild(el0, el1);
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(fragment,1,1,contextualElement);
            return morphs;
          },
          statements: [
            ["inline","partial",["components/formgroup/form-group-control"],[],["loc",[null,[23,8],[23,61]]]]
          ],
          locals: [],
          templates: []
        };
      }());
      var child2 = (function() {
        return {
          meta: {
            "revision": "Ember@1.13.7",
            "loc": {
              "source": null,
              "start": {
                "line": 26,
                "column": 4
              },
              "end": {
                "line": 28,
                "column": 4
              }
            },
            "moduleName": "pilas-engine-bloques/templates/components/formgroup/form-group.hbs"
          },
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("        ");
            dom.appendChild(el0, el1);
            var el1 = dom.createElement("span");
            dom.setAttribute(el1,"class","form-control-feedback");
            var el2 = dom.createElement("i");
            dom.appendChild(el1, el2);
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var element0 = dom.childAt(fragment, [1, 0]);
            var morphs = new Array(1);
            morphs[0] = dom.createAttrMorph(element0, 'class');
            return morphs;
          },
          statements: [
            ["attribute","class",["concat",[["subexpr","-bind-attr-class",[["get","v_icon",[]],"v-icon"],[],[]]]]]
          ],
          locals: [],
          templates: []
        };
      }());
      var child3 = (function() {
        var child0 = (function() {
          return {
            meta: {
              "revision": "Ember@1.13.7",
              "loc": {
                "source": null,
                "start": {
                  "line": 32,
                  "column": 8
                },
                "end": {
                  "line": 34,
                  "column": 8
                }
              },
              "moduleName": "pilas-engine-bloques/templates/components/formgroup/form-group.hbs"
            },
            arity: 0,
            cachedFragment: null,
            hasRendered: false,
            buildFragment: function buildFragment(dom) {
              var el0 = dom.createDocumentFragment();
              var el1 = dom.createTextNode("            ");
              dom.appendChild(el0, el1);
              var el1 = dom.createComment("");
              dom.appendChild(el0, el1);
              var el1 = dom.createTextNode("\n");
              dom.appendChild(el0, el1);
              return el0;
            },
            buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
              var morphs = new Array(1);
              morphs[0] = dom.createMorphAt(fragment,1,1,contextualElement);
              return morphs;
            },
            statements: [
              ["inline","em-form-control-help",[],["text",["subexpr","@mut",[["get","help",["loc",[null,[33,40],[33,44]]]]],[],[]],"viewName",["subexpr","@mut",[["get","helpViewName",["loc",[null,[33,54],[33,66]]]]],[],[]]],["loc",[null,[33,12],[33,68]]]]
            ],
            locals: [],
            templates: []
          };
        }());
        return {
          meta: {
            "revision": "Ember@1.13.7",
            "loc": {
              "source": null,
              "start": {
                "line": 31,
                "column": 4
              },
              "end": {
                "line": 35,
                "column": 4
              }
            },
            "moduleName": "pilas-engine-bloques/templates/components/formgroup/form-group.hbs"
          },
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createComment("");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var morphs = new Array(1);
            morphs[0] = dom.createMorphAt(fragment,0,0,contextualElement);
            dom.insertBoundary(fragment, 0);
            dom.insertBoundary(fragment, null);
            return morphs;
          },
          statements: [
            ["block","if",[["get","canShowErrors",["loc",[null,[32,14],[32,27]]]]],[],0,null,["loc",[null,[32,8],[34,15]]]]
          ],
          locals: [],
          templates: [child0]
        };
      }());
      return {
        meta: {
          "revision": "Ember@1.13.7",
          "loc": {
            "source": null,
            "start": {
              "line": 1,
              "column": 0
            },
            "end": {
              "line": 36,
              "column": 0
            }
          },
          "moduleName": "pilas-engine-bloques/templates/components/formgroup/form-group.hbs"
        },
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(3);
          morphs[0] = dom.createMorphAt(fragment,0,0,contextualElement);
          morphs[1] = dom.createMorphAt(fragment,2,2,contextualElement);
          morphs[2] = dom.createMorphAt(fragment,4,4,contextualElement);
          dom.insertBoundary(fragment, 0);
          dom.insertBoundary(fragment, null);
          return morphs;
        },
        statements: [
          ["block","if",[["get","label",["loc",[null,[2,10],[2,15]]]]],[],0,1,["loc",[null,[2,4],[24,11]]]],
          ["block","if",[["get","v_icons",["loc",[null,[26,10],[26,17]]]]],[],2,null,["loc",[null,[26,4],[28,11]]]],
          ["block","unless",[["get","form.isInline",["loc",[null,[31,14],[31,27]]]]],[],3,null,["loc",[null,[31,4],[35,15]]]]
        ],
        locals: [],
        templates: [child0, child1, child2, child3]
      };
    }());
    var child1 = (function() {
      return {
        meta: {
          "revision": "Ember@1.13.7",
          "loc": {
            "source": null,
            "start": {
              "line": 36,
              "column": 0
            },
            "end": {
              "line": 38,
              "column": 0
            }
          },
          "moduleName": "pilas-engine-bloques/templates/components/formgroup/form-group.hbs"
        },
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("    ");
          dom.appendChild(el0, el1);
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment,1,1,contextualElement);
          return morphs;
        },
        statements: [
          ["content","yield",["loc",[null,[37,4],[37,13]]]]
        ],
        locals: [],
        templates: []
      };
    }());
    return {
      meta: {
        "revision": "Ember@1.13.7",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 38,
            "column": 11
          }
        },
        "moduleName": "pilas-engine-bloques/templates/components/formgroup/form-group.hbs"
      },
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment,0,0,contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [
        ["block","unless",[["get","template",["loc",[null,[1,10],[1,18]]]]],[],0,1,["loc",[null,[1,0],[38,11]]]]
      ],
      locals: [],
      templates: [child0, child1]
    };
  }()));

});
define('pilas-engine-bloques/templates/components/nw-zoom', ['exports'], function (exports) {

  'use strict';

  exports['default'] = Ember.HTMLBars.template((function() {
    var child0 = (function() {
      return {
        meta: {
          "revision": "Ember@1.13.7",
          "loc": {
            "source": null,
            "start": {
              "line": 1,
              "column": 0
            },
            "end": {
              "line": 3,
              "column": 0
            }
          },
          "moduleName": "pilas-engine-bloques/templates/components/nw-zoom.hbs"
        },
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("button");
          dom.setAttribute(el1,"class","btn btn-success btn-rect");
          var el2 = dom.createElement("i");
          dom.setAttribute(el2,"class","fa fa-minus");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var element1 = dom.childAt(fragment, [1]);
          var morphs = new Array(1);
          morphs[0] = dom.createElementMorph(element1);
          return morphs;
        },
        statements: [
          ["element","action",["zoomOut"],[],["loc",[null,[2,10],[2,30]]]]
        ],
        locals: [],
        templates: []
      };
    }());
    var child1 = (function() {
      return {
        meta: {
          "revision": "Ember@1.13.7",
          "loc": {
            "source": null,
            "start": {
              "line": 3,
              "column": 0
            },
            "end": {
              "line": 5,
              "column": 0
            }
          },
          "moduleName": "pilas-engine-bloques/templates/components/nw-zoom.hbs"
        },
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("button");
          dom.setAttribute(el1,"disabled","");
          dom.setAttribute(el1,"class","btn btn-success btn-rect");
          var el2 = dom.createElement("i");
          dom.setAttribute(el2,"class","fa fa-minus");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes() { return []; },
        statements: [

        ],
        locals: [],
        templates: []
      };
    }());
    var child2 = (function() {
      return {
        meta: {
          "revision": "Ember@1.13.7",
          "loc": {
            "source": null,
            "start": {
              "line": 9,
              "column": 0
            },
            "end": {
              "line": 11,
              "column": 0
            }
          },
          "moduleName": "pilas-engine-bloques/templates/components/nw-zoom.hbs"
        },
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("button");
          dom.setAttribute(el1,"class","btn btn-success btn-rect");
          var el2 = dom.createElement("i");
          dom.setAttribute(el2,"class","fa fa-plus");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var element0 = dom.childAt(fragment, [1]);
          var morphs = new Array(1);
          morphs[0] = dom.createElementMorph(element0);
          return morphs;
        },
        statements: [
          ["element","action",["zoomIn"],[],["loc",[null,[10,10],[10,29]]]]
        ],
        locals: [],
        templates: []
      };
    }());
    var child3 = (function() {
      return {
        meta: {
          "revision": "Ember@1.13.7",
          "loc": {
            "source": null,
            "start": {
              "line": 11,
              "column": 0
            },
            "end": {
              "line": 13,
              "column": 0
            }
          },
          "moduleName": "pilas-engine-bloques/templates/components/nw-zoom.hbs"
        },
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("button");
          dom.setAttribute(el1,"disabled","");
          dom.setAttribute(el1,"class","btn btn-success btn-rect");
          var el2 = dom.createElement("i");
          dom.setAttribute(el2,"class","fa fa-plus");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes() { return []; },
        statements: [

        ],
        locals: [],
        templates: []
      };
    }());
    return {
      meta: {
        "revision": "Ember@1.13.7",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 14,
            "column": 0
          }
        },
        "moduleName": "pilas-engine-bloques/templates/components/nw-zoom.hbs"
      },
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n  ");
        dom.appendChild(el0, el1);
        var el1 = dom.createElement("span");
        dom.setAttribute(el1,"class","zoom-label");
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("%");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var element2 = dom.childAt(fragment, [2]);
        var morphs = new Array(4);
        morphs[0] = dom.createMorphAt(fragment,0,0,contextualElement);
        morphs[1] = dom.createElementMorph(element2);
        morphs[2] = dom.createMorphAt(element2,0,0);
        morphs[3] = dom.createMorphAt(fragment,4,4,contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [
        ["block","if",[["get","canZoomOut",["loc",[null,[1,6],[1,16]]]]],[],0,1,["loc",[null,[1,0],[5,7]]]],
        ["element","action",["zoomRestore"],[],["loc",[null,[7,8],[7,32]]]],
        ["content","zoomValue",["loc",[null,[7,52],[7,65]]]],
        ["block","if",[["get","canZoomIn",["loc",[null,[9,6],[9,15]]]]],[],2,3,["loc",[null,[9,0],[13,7]]]]
      ],
      locals: [],
      templates: [child0, child1, child2, child3]
    };
  }()));

});
define('pilas-engine-bloques/templates/components/pilas-automatic-update', ['exports'], function (exports) {

  'use strict';

  exports['default'] = Ember.HTMLBars.template((function() {
    var child0 = (function() {
      return {
        meta: {
          "revision": "Ember@1.13.7",
          "loc": {
            "source": null,
            "start": {
              "line": 1,
              "column": 0
            },
            "end": {
              "line": 3,
              "column": 0
            }
          },
          "moduleName": "pilas-engine-bloques/templates/components/pilas-automatic-update.hbs"
        },
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("a");
          dom.setAttribute(el1,"href","");
          var el2 = dom.createTextNode("Existe una actualización");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var element0 = dom.childAt(fragment, [1]);
          var morphs = new Array(1);
          morphs[0] = dom.createElementMorph(element0);
          return morphs;
        },
        statements: [
          ["element","action",["verSitioActualizacion"],[],["loc",[null,[2,13],[2,47]]]]
        ],
        locals: [],
        templates: []
      };
    }());
    return {
      meta: {
        "revision": "Ember@1.13.7",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 4,
            "column": 0
          }
        },
        "moduleName": "pilas-engine-bloques/templates/components/pilas-automatic-update.hbs"
      },
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment,0,0,contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [
        ["block","if",[["get","mostrarLinkActualizacion",["loc",[null,[1,6],[1,30]]]]],[],0,null,["loc",[null,[1,0],[3,7]]]]
      ],
      locals: [],
      templates: [child0]
    };
  }()));

});
define('pilas-engine-bloques/templates/components/pilas-blockly', ['exports'], function (exports) {

  'use strict';

  exports['default'] = Ember.HTMLBars.template((function() {
    var child0 = (function() {
      return {
        meta: {
          "revision": "Ember@1.13.7",
          "loc": {
            "source": null,
            "start": {
              "line": 3,
              "column": 2
            },
            "end": {
              "line": 5,
              "column": 2
            }
          },
          "moduleName": "pilas-engine-bloques/templates/components/pilas-blockly.hbs"
        },
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("    ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("button");
          dom.setAttribute(el1,"disabled","");
          dom.setAttribute(el1,"class","btn btn-info");
          var el2 = dom.createElement("i");
          dom.setAttribute(el2,"class","fa fa-arrows-h");
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode(" Alterar");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var element5 = dom.childAt(fragment, [1]);
          var morphs = new Array(1);
          morphs[0] = dom.createElementMorph(element5);
          return morphs;
        },
        statements: [
          ["element","action",["alternar"],[],["loc",[null,[4,42],[4,63]]]]
        ],
        locals: [],
        templates: []
      };
    }());
    var child1 = (function() {
      return {
        meta: {
          "revision": "Ember@1.13.7",
          "loc": {
            "source": null,
            "start": {
              "line": 7,
              "column": 2
            },
            "end": {
              "line": 9,
              "column": 2
            }
          },
          "moduleName": "pilas-engine-bloques/templates/components/pilas-blockly.hbs"
        },
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("      ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("button");
          dom.setAttribute(el1,"class","btn btn-warning");
          var el2 = dom.createElement("i");
          dom.setAttribute(el2,"class","fa fa-refresh");
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode(" Reiniciar");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var element4 = dom.childAt(fragment, [1]);
          var morphs = new Array(1);
          morphs[0] = dom.createElementMorph(element4);
          return morphs;
        },
        statements: [
          ["element","action",["reiniciar"],[],["loc",[null,[8,38],[8,60]]]]
        ],
        locals: [],
        templates: []
      };
    }());
    var child2 = (function() {
      return {
        meta: {
          "revision": "Ember@1.13.7",
          "loc": {
            "source": null,
            "start": {
              "line": 9,
              "column": 2
            },
            "end": {
              "line": 11,
              "column": 2
            }
          },
          "moduleName": "pilas-engine-bloques/templates/components/pilas-blockly.hbs"
        },
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("      ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("button");
          dom.setAttribute(el1,"class","btn btn-success");
          var el2 = dom.createElement("i");
          dom.setAttribute(el2,"class","fa fa-play");
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode(" Ejecutar");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var element3 = dom.childAt(fragment, [1]);
          var morphs = new Array(1);
          morphs[0] = dom.createElementMorph(element3);
          return morphs;
        },
        statements: [
          ["element","action",["ejecutar"],[],["loc",[null,[10,38],[10,59]]]]
        ],
        locals: [],
        templates: []
      };
    }());
    var child3 = (function() {
      return {
        meta: {
          "revision": "Ember@1.13.7",
          "loc": {
            "source": null,
            "start": {
              "line": 13,
              "column": 2
            },
            "end": {
              "line": 15,
              "column": 2
            }
          },
          "moduleName": "pilas-engine-bloques/templates/components/pilas-blockly.hbs"
        },
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("    ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("button");
          dom.setAttribute(el1,"class","btn btn-warning");
          var el2 = dom.createTextNode("Ver Código XML");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var element2 = dom.childAt(fragment, [1]);
          var morphs = new Array(1);
          morphs[0] = dom.createElementMorph(element2);
          return morphs;
        },
        statements: [
          ["element","action",["ver_codigo"],[],["loc",[null,[14,36],[14,59]]]]
        ],
        locals: [],
        templates: []
      };
    }());
    var child4 = (function() {
      var child0 = (function() {
        return {
          meta: {
            "revision": "Ember@1.13.7",
            "loc": {
              "source": null,
              "start": {
                "line": 18,
                "column": 4
              },
              "end": {
                "line": 20,
                "column": 4
              }
            },
            "moduleName": "pilas-engine-bloques/templates/components/pilas-blockly.hbs"
          },
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("      ");
            dom.appendChild(el0, el1);
            var el1 = dom.createElement("button");
            dom.setAttribute(el1,"class","btn btn-success");
            var el2 = dom.createTextNode("Guardar");
            dom.appendChild(el1, el2);
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var element1 = dom.childAt(fragment, [1]);
            var morphs = new Array(1);
            morphs[0] = dom.createElementMorph(element1);
            return morphs;
          },
          statements: [
            ["element","action",["guardar"],[],["loc",[null,[19,38],[19,58]]]]
          ],
          locals: [],
          templates: []
        };
      }());
      var child1 = (function() {
        return {
          meta: {
            "revision": "Ember@1.13.7",
            "loc": {
              "source": null,
              "start": {
                "line": 20,
                "column": 4
              },
              "end": {
                "line": 22,
                "column": 4
              }
            },
            "moduleName": "pilas-engine-bloques/templates/components/pilas-blockly.hbs"
          },
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode("      ");
            dom.appendChild(el0, el1);
            var el1 = dom.createElement("button");
            dom.setAttribute(el1,"class","btn btn-success");
            var el2 = dom.createTextNode("Crear y Guardar");
            dom.appendChild(el1, el2);
            dom.appendChild(el0, el1);
            var el1 = dom.createTextNode("\n");
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
            var element0 = dom.childAt(fragment, [1]);
            var morphs = new Array(1);
            morphs[0] = dom.createElementMorph(element0);
            return morphs;
          },
          statements: [
            ["element","action",["guardar"],[],["loc",[null,[21,38],[21,58]]]]
          ],
          locals: [],
          templates: []
        };
      }());
      return {
        meta: {
          "revision": "Ember@1.13.7",
          "loc": {
            "source": null,
            "start": {
              "line": 17,
              "column": 2
            },
            "end": {
              "line": 23,
              "column": 2
            }
          },
          "moduleName": "pilas-engine-bloques/templates/components/pilas-blockly.hbs"
        },
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createComment("");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment,0,0,contextualElement);
          dom.insertBoundary(fragment, 0);
          dom.insertBoundary(fragment, null);
          return morphs;
        },
        statements: [
          ["block","if",[["get","model",["loc",[null,[18,10],[18,15]]]]],[],0,1,["loc",[null,[18,4],[22,11]]]]
        ],
        locals: [],
        templates: [child0, child1]
      };
    }());
    return {
      meta: {
        "revision": "Ember@1.13.7",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 45,
            "column": 0
          }
        },
        "moduleName": "pilas-engine-bloques/templates/components/pilas-blockly.hbs"
      },
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createElement("div");
        dom.setAttribute(el1,"class","pilas-blockly-botones");
        var el2 = dom.createTextNode("\n\n");
        dom.appendChild(el1, el2);
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n\n  ");
        dom.appendChild(el1, el2);
        var el2 = dom.createComment("\n\n{{#if cola_deshacer}}\n    <button class='btn btn-info' {{action \"deshacer_cambio\"}}><i class='fa fa-undo'></i> Deshacer</button>\n  {{else}}\n    <button class='btn btn-info disabled'><i class='fa fa-undo'></i> Deshacer</button>\n  {{/if}}\n  ");
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n\n  ");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("button");
        dom.setAttribute(el2,"class","btn btn-info border-right right");
        var el3 = dom.createElement("i");
        dom.setAttribute(el3,"class","fa fa-twitter");
        dom.appendChild(el2, el3);
        var el3 = dom.createTextNode(" Compartir en twitter");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n\n");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createElement("div");
        dom.setAttribute(el1,"id","contenedor-blockly");
        dom.setAttribute(el1,"style","height: 300px; width: 500px;");
        var el2 = dom.createTextNode(" ");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n\n\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var element6 = dom.childAt(fragment, [0]);
        var element7 = dom.childAt(element6, [11]);
        var morphs = new Array(7);
        morphs[0] = dom.createMorphAt(element6,1,1);
        morphs[1] = dom.createMorphAt(element6,3,3);
        morphs[2] = dom.createMorphAt(element6,5,5);
        morphs[3] = dom.createMorphAt(element6,7,7);
        morphs[4] = dom.createElementMorph(element7);
        morphs[5] = dom.createMorphAt(fragment,4,4,contextualElement);
        morphs[6] = dom.createMorphAt(fragment,6,6,contextualElement);
        return morphs;
      },
      statements: [
        ["block","if",[["get","mostrarAlternar",["loc",[null,[3,8],[3,23]]]]],[],0,null,["loc",[null,[3,2],[5,9]]]],
        ["block","if",[["get","ejecutando",["loc",[null,[7,8],[7,18]]]]],[],1,2,["loc",[null,[7,2],[11,9]]]],
        ["block","if",[["get","environment.debeMostrarBotonCodigoXML",["loc",[null,[13,8],[13,45]]]]],[],3,null,["loc",[null,[13,2],[15,9]]]],
        ["block","if",[["get","mostrarGuardar",["loc",[null,[17,8],[17,22]]]]],[],4,null,["loc",[null,[17,2],[23,9]]]],
        ["element","action",["compartir"],[],["loc",[null,[36,50],[36,72]]]],
        ["inline","partial",["compartir"],[],["loc",[null,[43,0],[43,23]]]],
        ["inline","partial",["consigna"],[],["loc",[null,[44,0],[44,22]]]]
      ],
      locals: [],
      templates: [child0, child1, child2, child3, child4]
    };
  }()));

});
define('pilas-engine-bloques/templates/components/pilas-canvas', ['exports'], function (exports) {

  'use strict';

  exports['default'] = Ember.HTMLBars.template((function() {
    return {
      meta: {
        "revision": "Ember@1.13.7",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 4,
            "column": 0
          }
        },
        "moduleName": "pilas-engine-bloques/templates/components/pilas-canvas.hbs"
      },
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createElement("canvas");
        dom.setAttribute(el1,"id","canvas");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment,2,2,contextualElement);
        return morphs;
      },
      statements: [
        ["content","yield",["loc",[null,[3,0],[3,9]]]]
      ],
      locals: [],
      templates: []
    };
  }()));

});
define('pilas-engine-bloques/templates/components/pilas-desafio', ['exports'], function (exports) {

  'use strict';

  exports['default'] = Ember.HTMLBars.template((function() {
    var child0 = (function() {
      return {
        meta: {
          "revision": "Ember@1.13.7",
          "loc": {
            "source": null,
            "start": {
              "line": 1,
              "column": 0
            },
            "end": {
              "line": 7,
              "column": 0
            }
          },
          "moduleName": "pilas-engine-bloques/templates/components/pilas-desafio.hbs"
        },
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("img");
          dom.setAttribute(el1,"class","grayscale semi-transparente");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n\n  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("div");
          dom.setAttribute(el1,"class","ribbon right gray semi-transparente");
          var el2 = dom.createTextNode("\n    ");
          dom.appendChild(el1, el2);
          var el2 = dom.createElement("a");
          var el3 = dom.createTextNode("Muy pronto");
          dom.appendChild(el2, el3);
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode("\n  ");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var element1 = dom.childAt(fragment, [1]);
          var morphs = new Array(1);
          morphs[0] = dom.createAttrMorph(element1, 'src');
          return morphs;
        },
        statements: [
          ["attribute","src",["concat",["images/desafios/",["get","nombre",["loc",[null,[2,66],[2,72]]]],".png"]]]
        ],
        locals: [],
        templates: []
      };
    }());
    var child1 = (function() {
      return {
        meta: {
          "revision": "Ember@1.13.7",
          "loc": {
            "source": null,
            "start": {
              "line": 7,
              "column": 0
            },
            "end": {
              "line": 10,
              "column": 0
            }
          },
          "moduleName": "pilas-engine-bloques/templates/components/pilas-desafio.hbs"
        },
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("\n  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("img");
          dom.setAttribute(el1,"class","desafio-img");
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var element0 = dom.childAt(fragment, [1]);
          var morphs = new Array(2);
          morphs[0] = dom.createAttrMorph(element0, 'src');
          morphs[1] = dom.createElementMorph(element0);
          return morphs;
        },
        statements: [
          ["attribute","src",["concat",["images/desafios/",["get","nombre",["loc",[null,[9,69],[9,75]]]],".png"]]],
          ["element","action",["abrir"],[],["loc",[null,[9,27],[9,45]]]]
        ],
        locals: [],
        templates: []
      };
    }());
    return {
      meta: {
        "revision": "Ember@1.13.7",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 13,
            "column": 0
          }
        },
        "moduleName": "pilas-engine-bloques/templates/components/pilas-desafio.hbs"
      },
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createElement("div");
        dom.setAttribute(el1,"class","pilas-desafio-titulo");
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var element2 = dom.childAt(fragment, [2]);
        var morphs = new Array(3);
        morphs[0] = dom.createMorphAt(fragment,0,0,contextualElement);
        morphs[1] = dom.createElementMorph(element2);
        morphs[2] = dom.createMorphAt(element2,0,0);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [
        ["block","if",[["get","deshabilitado",["loc",[null,[1,6],[1,19]]]]],[],0,1,["loc",[null,[1,0],[10,7]]]],
        ["element","action",["abrir"],[],["loc",[null,[12,34],[12,52]]]],
        ["content","titulo",["loc",[null,[12,53],[12,63]]]]
      ],
      locals: [],
      templates: [child0, child1]
    };
  }()));

});
define('pilas-engine-bloques/templates/components/pilas-update', ['exports'], function (exports) {

  'use strict';

  exports['default'] = Ember.HTMLBars.template((function() {
    var child0 = (function() {
      return {
        meta: {
          "revision": "Ember@1.13.7",
          "loc": {
            "source": null,
            "start": {
              "line": 1,
              "column": 0
            },
            "end": {
              "line": 3,
              "column": 0
            }
          },
          "moduleName": "pilas-engine-bloques/templates/components/pilas-update.hbs"
        },
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("button");
          dom.setAttribute(el1,"disabled","");
          dom.setAttribute(el1,"class","btn btn-success");
          var el2 = dom.createComment("");
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode(" Buscando ...");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(dom.childAt(fragment, [1]),0,0);
          return morphs;
        },
        statements: [
          ["inline","fa-icon",["refresh"],["spin",true],["loc",[null,[2,43],[2,74]]]]
        ],
        locals: [],
        templates: []
      };
    }());
    var child1 = (function() {
      return {
        meta: {
          "revision": "Ember@1.13.7",
          "loc": {
            "source": null,
            "start": {
              "line": 3,
              "column": 0
            },
            "end": {
              "line": 6,
              "column": 0
            }
          },
          "moduleName": "pilas-engine-bloques/templates/components/pilas-update.hbs"
        },
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("button");
          dom.setAttribute(el1,"class","btn btn-success");
          var el2 = dom.createComment("");
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode(" Buscar actualizaciones");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("span");
          var el2 = dom.createComment("");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var element0 = dom.childAt(fragment, [1]);
          var morphs = new Array(3);
          morphs[0] = dom.createElementMorph(element0);
          morphs[1] = dom.createMorphAt(element0,0,0);
          morphs[2] = dom.createMorphAt(dom.childAt(fragment, [3]),0,0);
          return morphs;
        },
        statements: [
          ["element","action",["buscar"],[],["loc",[null,[4,34],[4,53]]]],
          ["inline","fa-icon",["refresh"],[],["loc",[null,[4,54],[4,75]]]],
          ["content","mensaje",["loc",[null,[5,8],[5,19]]]]
        ],
        locals: [],
        templates: []
      };
    }());
    return {
      meta: {
        "revision": "Ember@1.13.7",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 7,
            "column": 0
          }
        },
        "moduleName": "pilas-engine-bloques/templates/components/pilas-update.hbs"
      },
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment,0,0,contextualElement);
        dom.insertBoundary(fragment, 0);
        dom.insertBoundary(fragment, null);
        return morphs;
      },
      statements: [
        ["block","if",[["get","buscando",["loc",[null,[1,6],[1,14]]]]],[],0,1,["loc",[null,[1,0],[6,7]]]]
      ],
      locals: [],
      templates: [child0, child1]
    };
  }()));

});
define('pilas-engine-bloques/templates/desafios/error', ['exports'], function (exports) {

  'use strict';

  exports['default'] = Ember.HTMLBars.template((function() {
    return {
      meta: {
        "revision": "Ember@1.13.7",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 2,
            "column": 0
          }
        },
        "moduleName": "pilas-engine-bloques/templates/desafios/error.hbs"
      },
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createElement("p");
        var el2 = dom.createTextNode("Lo siento, el desafío no se puede cargar.");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes() { return []; },
      statements: [

      ],
      locals: [],
      templates: []
    };
  }()));

});
define('pilas-engine-bloques/templates/desafios/index', ['exports'], function (exports) {

  'use strict';

  exports['default'] = Ember.HTMLBars.template((function() {
    return {
      meta: {
        "revision": "Ember@1.13.7",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 13,
            "column": 0
          }
        },
        "moduleName": "pilas-engine-bloques/templates/desafios/index.hbs"
      },
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createElement("div");
        dom.setAttribute(el1,"class","contenido-principal");
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("h1");
        var el3 = dom.createTextNode("Desafíos");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n\n");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("p");
        var el3 = dom.createTextNode("Estos son los desafíos disponibles parar realizar.");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var element0 = dom.childAt(fragment, [0]);
        var morphs = new Array(7);
        morphs[0] = dom.createMorphAt(element0,5,5);
        morphs[1] = dom.createMorphAt(element0,7,7);
        morphs[2] = dom.createMorphAt(element0,9,9);
        morphs[3] = dom.createMorphAt(element0,11,11);
        morphs[4] = dom.createMorphAt(element0,13,13);
        morphs[5] = dom.createMorphAt(element0,15,15);
        morphs[6] = dom.createMorphAt(element0,17,17);
        return morphs;
      },
      statements: [
        ["inline","pilas-desafio",[],["nombre","AlienTocaBoton","titulo","El alien toca el botón","onSelect","onSelect"],["loc",[null,[5,0],[5,93]]]],
        ["inline","pilas-desafio",[],["nombre","alien","titulo","El alien y las tuercas","onSelect","onSelect"],["loc",[null,[6,0],[6,84]]]],
        ["inline","pilas-desafio",[],["nombre","ElMonoYLasBananas","titulo","El Mono y las bananas","onSelect","onSelect"],["loc",[null,[7,0],[7,95]]]],
        ["inline","pilas-desafio",[],["nombre","LaEleccionDelMono","titulo","La elección del mono","onSelect","onSelect"],["loc",[null,[8,0],[8,94]]]],
        ["inline","pilas-desafio",[],["nombre","LightbotEnScratch","titulo","Lightbot en Scratch","onSelect","onSelect"],["loc",[null,[9,0],[9,93]]]],
        ["inline","pilas-desafio",[],["nombre","FutbolRobots","titulo","Fútbol para robots","onSelect","onSelect"],["loc",[null,[10,0],[10,87]]]],
        ["inline","pilas-desafio",[],["nombre","proximamente","titulo","Próximamente: más actividades","deshabilitado",true],["loc",[null,[11,0],[11,97]]]]
      ],
      locals: [],
      templates: []
    };
  }()));

});
define('pilas-engine-bloques/templates/desafios/nombre', ['exports'], function (exports) {

  'use strict';

  exports['default'] = Ember.HTMLBars.template((function() {
    var child0 = (function() {
      return {
        meta: {
          "revision": "Ember@1.13.7",
          "loc": {
            "source": null,
            "start": {
              "line": 10,
              "column": 6
            },
            "end": {
              "line": 17,
              "column": 6
            }
          },
          "moduleName": "pilas-engine-bloques/templates/desafios/nombre.hbs"
        },
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("        ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("div");
          dom.setAttribute(el1,"class","tip-block");
          var el2 = dom.createTextNode("\n          ");
          dom.appendChild(el1, el2);
          var el2 = dom.createElement("p");
          var el3 = dom.createElement("em");
          var el4 = dom.createTextNode("¿Sabías que?");
          dom.appendChild(el3, el4);
          dom.appendChild(el2, el3);
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode("\n          ");
          dom.appendChild(el1, el2);
          var el2 = dom.createElement("p");
          var el3 = dom.createTextNode("\n            ");
          dom.appendChild(el2, el3);
          var el3 = dom.createComment("");
          dom.appendChild(el2, el3);
          var el3 = dom.createTextNode("\n          ");
          dom.appendChild(el2, el3);
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode("\n        ");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(dom.childAt(fragment, [1, 3]),1,1);
          return morphs;
        },
        statements: [
          ["content","model.actividad.actividad.consignaInicial",["loc",[null,[14,12],[14,57]]]]
        ],
        locals: [],
        templates: []
      };
    }());
    return {
      meta: {
        "revision": "Ember@1.13.7",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 29,
            "column": 0
          }
        },
        "moduleName": "pilas-engine-bloques/templates/desafios/nombre.hbs"
      },
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createElement("div");
        dom.setAttribute(el1,"class","contenedor-editor");
        dom.setAttribute(el1,"id","contenedor-editor");
        var el2 = dom.createTextNode("\n\n  ");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("div");
        dom.setAttribute(el2,"class","panel-pilas");
        dom.setAttribute(el2,"id","panel-pilas");
        var el3 = dom.createTextNode("\n    ");
        dom.appendChild(el2, el3);
        var el3 = dom.createComment("");
        dom.appendChild(el2, el3);
        var el3 = dom.createTextNode("\n\n    ");
        dom.appendChild(el2, el3);
        var el3 = dom.createElement("div");
        dom.setAttribute(el3,"class","panel-ayuda");
        var el4 = dom.createTextNode("\n      ");
        dom.appendChild(el3, el4);
        var el4 = dom.createElement("h4");
        var el5 = dom.createComment("");
        dom.appendChild(el4, el5);
        dom.appendChild(el3, el4);
        var el4 = dom.createTextNode("\n      ");
        dom.appendChild(el3, el4);
        var el4 = dom.createElement("p");
        var el5 = dom.createComment("");
        dom.appendChild(el4, el5);
        dom.appendChild(el3, el4);
        var el4 = dom.createTextNode("\n\n");
        dom.appendChild(el3, el4);
        var el4 = dom.createComment("");
        dom.appendChild(el3, el4);
        var el4 = dom.createTextNode("    ");
        dom.appendChild(el3, el4);
        dom.appendChild(el2, el3);
        var el3 = dom.createTextNode("\n\n  ");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n\n\n\n  ");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("div");
        dom.setAttribute(el2,"class","panel-derecho");
        dom.setAttribute(el2,"id","panel-derecho");
        var el3 = dom.createTextNode("\n    ");
        dom.appendChild(el2, el3);
        var el3 = dom.createComment("");
        dom.appendChild(el2, el3);
        var el3 = dom.createTextNode("\n  ");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n\n");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var element0 = dom.childAt(fragment, [0]);
        var element1 = dom.childAt(element0, [1]);
        var element2 = dom.childAt(element1, [3]);
        var morphs = new Array(5);
        morphs[0] = dom.createMorphAt(element1,1,1);
        morphs[1] = dom.createMorphAt(dom.childAt(element2, [1]),0,0);
        morphs[2] = dom.createMorphAt(dom.childAt(element2, [3]),0,0);
        morphs[3] = dom.createMorphAt(element2,5,5);
        morphs[4] = dom.createMorphAt(dom.childAt(element0, [3]),1,1);
        return morphs;
      },
      statements: [
        ["inline","pilas-canvas",[],["actividad",["subexpr","@mut",[["get","model.actividad",["loc",[null,[4,29],[4,44]]]]],[],[]]],["loc",[null,[4,4],[4,46]]]],
        ["content","model.actividad.nombre",["loc",[null,[7,10],[7,36]]]],
        ["content","model.actividad.enunciado",["loc",[null,[8,9],[8,38]]]],
        ["block","if",[["get","model.actividad.actividad.consignaInicial",["loc",[null,[10,12],[10,53]]]]],[],0,null,["loc",[null,[10,6],[17,13]]]],
        ["inline","pilas-blockly",[],["actividad",["subexpr","@mut",[["get","model.actividad",["loc",[null,[25,30],[25,45]]]]],[],[]],"reiniciar","reiniciar"],["loc",[null,[25,4],[25,69]]]]
      ],
      locals: [],
      templates: [child0]
    };
  }()));

});
define('pilas-engine-bloques/templates/editor', ['exports'], function (exports) {

  'use strict';

  exports['default'] = Ember.HTMLBars.template((function() {
    return {
      meta: {
        "revision": "Ember@1.13.7",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 18,
            "column": 0
          }
        },
        "moduleName": "pilas-engine-bloques/templates/editor.hbs"
      },
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createElement("div");
        dom.setAttribute(el1,"class","contenedor-editor");
        dom.setAttribute(el1,"id","contenedor-editor");
        var el2 = dom.createTextNode("\n\n  ");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("div");
        dom.setAttribute(el2,"class","panel-pilas");
        dom.setAttribute(el2,"id","panel-pilas");
        var el3 = dom.createTextNode("\n\n    ");
        dom.appendChild(el2, el3);
        var el3 = dom.createComment("");
        dom.appendChild(el2, el3);
        var el3 = dom.createTextNode("\n\n    ");
        dom.appendChild(el2, el3);
        var el3 = dom.createElement("div");
        dom.setAttribute(el3,"class","panel-ayuda");
        var el4 = dom.createTextNode("\n      ");
        dom.appendChild(el3, el4);
        var el4 = dom.createElement("p");
        var el5 = dom.createComment("");
        dom.appendChild(el4, el5);
        dom.appendChild(el3, el4);
        var el4 = dom.createTextNode("\n    ");
        dom.appendChild(el3, el4);
        dom.appendChild(el2, el3);
        var el3 = dom.createTextNode("\n\n  ");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n\n  ");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("div");
        dom.setAttribute(el2,"class","panel-derecho");
        dom.setAttribute(el2,"id","panel-derecho");
        var el3 = dom.createTextNode("\n    ");
        dom.appendChild(el2, el3);
        var el3 = dom.createComment("");
        dom.appendChild(el2, el3);
        var el3 = dom.createTextNode("\n  ");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n\n");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var element0 = dom.childAt(fragment, [0]);
        var element1 = dom.childAt(element0, [1]);
        var morphs = new Array(3);
        morphs[0] = dom.createMorphAt(element1,1,1);
        morphs[1] = dom.createMorphAt(dom.childAt(element1, [3, 1]),0,0);
        morphs[2] = dom.createMorphAt(dom.childAt(element0, [3]),1,1);
        return morphs;
      },
      statements: [
        ["inline","pilas-canvas",[],["onready","reiniciar"],["loc",[null,[5,4],[5,40]]]],
        ["content","actividad.enunciado",["loc",[null,[8,9],[8,32]]]],
        ["inline","pilas-blockly",[],["model",["subexpr","@mut",[["get","model",["loc",[null,[14,26],[14,31]]]]],[],[]],"guardar","guardar","reiniciar","reiniciar","registrarPrimerCodigo","registrarPrimerCodigo","actividad",["subexpr","@mut",[["get","actividad",["loc",[null,[14,128],[14,137]]]]],[],[]]],["loc",[null,[14,4],[14,139]]]]
      ],
      locals: [],
      templates: []
    };
  }()));

});
define('pilas-engine-bloques/templates/galeria', ['exports'], function (exports) {

  'use strict';

  exports['default'] = Ember.HTMLBars.template((function() {
    var child0 = (function() {
      return {
        meta: {
          "revision": "Ember@1.13.7",
          "loc": {
            "source": null,
            "start": {
              "line": 5,
              "column": 0
            },
            "end": {
              "line": 13,
              "column": 0
            }
          },
          "moduleName": "pilas-engine-bloques/templates/galeria.hbs"
        },
        arity: 1,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("\n  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("div");
          dom.setAttribute(el1,"class","galeria-juego");
          var el2 = dom.createTextNode("\n    ");
          dom.appendChild(el1, el2);
          var el2 = dom.createElement("div");
          dom.setAttribute(el2,"class","galeria-juego-acciones");
          var el3 = dom.createElement("button");
          dom.setAttribute(el3,"class","btn btn-danger btn-xs");
          var el4 = dom.createElement("i");
          dom.setAttribute(el4,"class","fa fa-trash");
          dom.appendChild(el3, el4);
          dom.appendChild(el2, el3);
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode("\n    ");
          dom.appendChild(el1, el2);
          var el2 = dom.createElement("div");
          dom.setAttribute(el2,"class","galeria-juego-preview");
          var el3 = dom.createElement("img");
          dom.appendChild(el2, el3);
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode("\n    ");
          dom.appendChild(el1, el2);
          var el2 = dom.createElement("div");
          dom.setAttribute(el2,"class","galeria-juego-titulo");
          var el3 = dom.createComment("");
          dom.appendChild(el2, el3);
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode("\n  ");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var element0 = dom.childAt(fragment, [1]);
          var element1 = dom.childAt(element0, [1, 0]);
          var element2 = dom.childAt(element0, [3]);
          var element3 = dom.childAt(element2, [0]);
          var morphs = new Array(4);
          morphs[0] = dom.createElementMorph(element1);
          morphs[1] = dom.createElementMorph(element2);
          morphs[2] = dom.createAttrMorph(element3, 'src');
          morphs[3] = dom.createMorphAt(dom.childAt(element0, [5]),0,0);
          return morphs;
        },
        statements: [
          ["element","action",["eliminar",["get","juego",["loc",[null,[8,68],[8,73]]]]],[],["loc",[null,[8,48],[8,75]]]],
          ["element","action",["abrir",["get","juego",["loc",[null,[9,56],[9,61]]]]],[],["loc",[null,[9,39],[9,63]]]],
          ["attribute","src",["get","juego.imagen",["loc",[null,[9,75],[9,87]]]]],
          ["content","juego.nombre",["loc",[null,[10,38],[10,54]]]]
        ],
        locals: ["juego"],
        templates: []
      };
    }());
    var child1 = (function() {
      return {
        meta: {
          "revision": "Ember@1.13.7",
          "loc": {
            "source": null,
            "start": {
              "line": 13,
              "column": 0
            },
            "end": {
              "line": 15,
              "column": 0
            }
          },
          "moduleName": "pilas-engine-bloques/templates/galeria.hbs"
        },
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("p");
          var el2 = dom.createTextNode("Parece que no hay ningún juego creado...");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes() { return []; },
        statements: [

        ],
        locals: [],
        templates: []
      };
    }());
    return {
      meta: {
        "revision": "Ember@1.13.7",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 20,
            "column": 0
          }
        },
        "moduleName": "pilas-engine-bloques/templates/galeria.hbs"
      },
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createElement("div");
        dom.setAttribute(el1,"class","contenido-principal");
        var el2 = dom.createTextNode("\n\n");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("h1");
        var el3 = dom.createTextNode("Galería");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n\n");
        dom.appendChild(el1, el2);
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n\n");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var element4 = dom.childAt(fragment, [0]);
        var morphs = new Array(2);
        morphs[0] = dom.createMorphAt(element4,3,3);
        morphs[1] = dom.createMorphAt(element4,5,5);
        return morphs;
      },
      statements: [
        ["block","each",[["get","model",["loc",[null,[5,8],[5,13]]]]],[],0,1,["loc",[null,[5,0],[15,9]]]],
        ["content","outlet",["loc",[null,[17,0],[17,10]]]]
      ],
      locals: [],
      templates: [child0, child1]
    };
  }()));

});
define('pilas-engine-bloques/templates/iframe', ['exports'], function (exports) {

  'use strict';

  exports['default'] = Ember.HTMLBars.template((function() {
    var child0 = (function() {
      return {
        meta: {
          "revision": "Ember@1.13.7",
          "loc": {
            "source": null,
            "start": {
              "line": 1,
              "column": 0
            },
            "end": {
              "line": 3,
              "column": 0
            }
          },
          "moduleName": "pilas-engine-bloques/templates/iframe.hbs"
        },
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes() { return []; },
        statements: [

        ],
        locals: [],
        templates: []
      };
    }());
    var child1 = (function() {
      return {
        meta: {
          "revision": "Ember@1.13.7",
          "loc": {
            "source": null,
            "start": {
              "line": 3,
              "column": 0
            },
            "end": {
              "line": 9,
              "column": 0
            }
          },
          "moduleName": "pilas-engine-bloques/templates/iframe.hbs"
        },
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("style");
          var el2 = dom.createTextNode("\n    .contenedor-editor {\n      top: 0px !important;\n    }\n  ");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes() { return []; },
        statements: [

        ],
        locals: [],
        templates: []
      };
    }());
    return {
      meta: {
        "revision": "Ember@1.13.7",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 31,
            "column": 0
          }
        },
        "moduleName": "pilas-engine-bloques/templates/iframe.hbs"
      },
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createElement("div");
        dom.setAttribute(el1,"class","contenedor-editor");
        dom.setAttribute(el1,"id","contenedor-editor");
        var el2 = dom.createTextNode("\n\n  ");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("div");
        dom.setAttribute(el2,"class","panel-pilas");
        dom.setAttribute(el2,"id","panel-pilas");
        var el3 = dom.createTextNode("\n\n    ");
        dom.appendChild(el2, el3);
        var el3 = dom.createComment("");
        dom.appendChild(el2, el3);
        var el3 = dom.createTextNode("\n\n    ");
        dom.appendChild(el2, el3);
        var el3 = dom.createElement("div");
        dom.setAttribute(el3,"class","panel-ayuda");
        var el4 = dom.createTextNode("\n\n      ");
        dom.appendChild(el3, el4);
        var el4 = dom.createElement("p");
        var el5 = dom.createComment("");
        dom.appendChild(el4, el5);
        dom.appendChild(el3, el4);
        var el4 = dom.createTextNode("\n\n    ");
        dom.appendChild(el3, el4);
        dom.appendChild(el2, el3);
        var el3 = dom.createTextNode("\n\n  ");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n\n  ");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("div");
        dom.setAttribute(el2,"class","panel-derecho");
        dom.setAttribute(el2,"id","panel-derecho");
        var el3 = dom.createTextNode("\n    ");
        dom.appendChild(el2, el3);
        var el3 = dom.createComment("");
        dom.appendChild(el2, el3);
        var el3 = dom.createTextNode("\n  ");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n\n");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var element0 = dom.childAt(fragment, [2]);
        var element1 = dom.childAt(element0, [1]);
        var morphs = new Array(4);
        morphs[0] = dom.createMorphAt(fragment,0,0,contextualElement);
        morphs[1] = dom.createMorphAt(element1,1,1);
        morphs[2] = dom.createMorphAt(dom.childAt(element1, [3, 1]),0,0);
        morphs[3] = dom.createMorphAt(dom.childAt(element0, [3]),1,1);
        dom.insertBoundary(fragment, 0);
        return morphs;
      },
      statements: [
        ["block","if",[["get","layout",["loc",[null,[1,6],[1,12]]]]],[],0,1,["loc",[null,[1,0],[9,7]]]],
        ["inline","pilas-canvas",[],["onready","reiniciar"],["loc",[null,[16,4],[16,40]]]],
        ["content","actividad.enunciado",["loc",[null,[20,9],[20,32]]]],
        ["inline","pilas-blockly",[],["model",["subexpr","@mut",[["get","model",["loc",[null,[27,26],[27,31]]]]],[],[]],"mostrarAlternar",false,"mostrarGuardar",false,"mostrarVerCodigo",false,"guardar","guardar","reiniciar","reiniciar","registrarPrimerCodigo","registrarPrimerCodigo","actividad",["subexpr","@mut",[["get","actividad",["loc",[null,[27,194],[27,203]]]]],[],[]]],["loc",[null,[27,4],[27,205]]]]
      ],
      locals: [],
      templates: [child0, child1]
    };
  }()));

});
define('pilas-engine-bloques/templates/index', ['exports'], function (exports) {

  'use strict';

  exports['default'] = Ember.HTMLBars.template((function() {
    var child0 = (function() {
      return {
        meta: {
          "revision": "Ember@1.13.7",
          "loc": {
            "source": null,
            "start": {
              "line": 13,
              "column": 28
            },
            "end": {
              "line": 13,
              "column": 59
            }
          },
          "moduleName": "pilas-engine-bloques/templates/index.hbs"
        },
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("desafíos");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes() { return []; },
        statements: [

        ],
        locals: [],
        templates: []
      };
    }());
    var child1 = (function() {
      return {
        meta: {
          "revision": "Ember@1.13.7",
          "loc": {
            "source": null,
            "start": {
              "line": 16,
              "column": 40
            },
            "end": {
              "line": 16,
              "column": 72
            }
          },
          "moduleName": "pilas-engine-bloques/templates/index.hbs"
        },
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("acerca de");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes() { return []; },
        statements: [

        ],
        locals: [],
        templates: []
      };
    }());
    return {
      meta: {
        "revision": "Ember@1.13.7",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 24,
            "column": 0
          }
        },
        "moduleName": "pilas-engine-bloques/templates/index.hbs"
      },
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createElement("div");
        dom.setAttribute(el1,"class","contenido-principal");
        var el2 = dom.createTextNode("\n\n  ");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("div");
        dom.setAttribute(el2,"class","box");
        var el3 = dom.createTextNode("\n    ");
        dom.appendChild(el2, el3);
        var el3 = dom.createElement("img");
        dom.setAttribute(el3,"src","images/main-logo.png");
        dom.appendChild(el2, el3);
        var el3 = dom.createTextNode("\n    ");
        dom.appendChild(el2, el3);
        var el3 = dom.createElement("br");
        dom.appendChild(el2, el3);
        var el3 = dom.createTextNode("\n\n    ");
        dom.appendChild(el2, el3);
        var el3 = dom.createElement("p");
        var el4 = dom.createTextNode("\n      ¡Hola!, te damos la bienvenida a ");
        dom.appendChild(el3, el4);
        var el4 = dom.createElement("strong");
        var el5 = dom.createTextNode("Pilas Bloques");
        dom.appendChild(el4, el5);
        dom.appendChild(el3, el4);
        var el4 = dom.createTextNode(",\n      una herramienta desarrollada para comenzar a programar.\n    ");
        dom.appendChild(el3, el4);
        dom.appendChild(el2, el3);
        var el3 = dom.createTextNode("\n\n    ");
        dom.appendChild(el2, el3);
        var el3 = dom.createElement("p");
        var el4 = dom.createTextNode("\n      Ingresá en la sección ");
        dom.appendChild(el3, el4);
        var el4 = dom.createComment("");
        dom.appendChild(el3, el4);
        var el4 = dom.createTextNode("\n      para comenzar a realizar los desafíos.");
        dom.appendChild(el3, el4);
        dom.appendChild(el2, el3);
        var el3 = dom.createTextNode("\n\n    ");
        dom.appendChild(el2, el3);
        var el3 = dom.createElement("p");
        var el4 = dom.createTextNode("También podés visitar la sección ");
        dom.appendChild(el3, el4);
        var el4 = dom.createComment("");
        dom.appendChild(el3, el4);
        var el4 = dom.createTextNode("\n      o ayuda (");
        dom.appendChild(el3, el4);
        var el4 = dom.createComment("");
        dom.appendChild(el3, el4);
        var el4 = dom.createTextNode(") para más detalles.\n    ");
        dom.appendChild(el3, el4);
        dom.appendChild(el2, el3);
        var el3 = dom.createTextNode("\n\n\n  ");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n\n");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var element0 = dom.childAt(fragment, [0, 1]);
        var element1 = dom.childAt(element0, [9]);
        var morphs = new Array(3);
        morphs[0] = dom.createMorphAt(dom.childAt(element0, [7]),1,1);
        morphs[1] = dom.createMorphAt(element1,1,1);
        morphs[2] = dom.createMorphAt(element1,3,3);
        return morphs;
      },
      statements: [
        ["block","link-to",["desafios"],[],0,null,["loc",[null,[13,28],[13,71]]]],
        ["block","link-to",["acercade"],[],1,null,["loc",[null,[16,40],[16,84]]]],
        ["inline","fa-icon",["question"],[],["loc",[null,[17,15],[17,37]]]]
      ],
      locals: [],
      templates: [child0, child1]
    };
  }()));

});
define('pilas-engine-bloques/templates/loading', ['exports'], function (exports) {

  'use strict';

  exports['default'] = Ember.HTMLBars.template((function() {
    return {
      meta: {
        "revision": "Ember@1.13.7",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 4,
            "column": 0
          }
        },
        "moduleName": "pilas-engine-bloques/templates/loading.hbs"
      },
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createElement("div");
        dom.setAttribute(el1,"class","contenido-principal");
        var el2 = dom.createTextNode("\n  ");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("img");
        dom.setAttribute(el2,"class","spinner");
        dom.setAttribute(el2,"src","imagenes/spinner.gif");
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes() { return []; },
      statements: [

      ],
      locals: [],
      templates: []
    };
  }()));

});
define('pilas-engine-bloques/templates/preferencia', ['exports'], function (exports) {

  'use strict';

  exports['default'] = Ember.HTMLBars.template((function() {
    var child0 = (function() {
      return {
        meta: {
          "revision": "Ember@1.13.7",
          "loc": {
            "source": null,
            "start": {
              "line": 12,
              "column": 0
            },
            "end": {
              "line": 24,
              "column": 0
            }
          },
          "moduleName": "pilas-engine-bloques/templates/preferencia.hbs"
        },
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("p");
          var el2 = dom.createTextNode("\n    ");
          dom.appendChild(el1, el2);
          var el2 = dom.createElement("button");
          dom.setAttribute(el2,"class","btn btn-success");
          var el3 = dom.createTextNode("Guardar");
          dom.appendChild(el2, el3);
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode("\n  ");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n\n  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("table");
          dom.setAttribute(el1,"class","table table-preferencias");
          var el2 = dom.createTextNode("\n    ");
          dom.appendChild(el1, el2);
          var el2 = dom.createElement("tr");
          var el3 = dom.createTextNode("\n      ");
          dom.appendChild(el2, el3);
          var el3 = dom.createElement("th");
          dom.setAttribute(el3,"class","etiqueta");
          var el4 = dom.createTextNode(" Tu nombre: ");
          dom.appendChild(el3, el4);
          dom.appendChild(el2, el3);
          var el3 = dom.createTextNode("\n      ");
          dom.appendChild(el2, el3);
          var el3 = dom.createElement("td");
          var el4 = dom.createTextNode(" ");
          dom.appendChild(el3, el4);
          var el4 = dom.createComment("");
          dom.appendChild(el3, el4);
          var el4 = dom.createTextNode(" ");
          dom.appendChild(el3, el4);
          dom.appendChild(el2, el3);
          var el3 = dom.createTextNode("\n    ");
          dom.appendChild(el2, el3);
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode("\n  ");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var element1 = dom.childAt(fragment, [1, 1]);
          var morphs = new Array(2);
          morphs[0] = dom.createElementMorph(element1);
          morphs[1] = dom.createMorphAt(dom.childAt(fragment, [3, 1, 3]),1,1);
          return morphs;
        },
        statements: [
          ["element","action",["guardar"],[],["loc",[null,[14,36],[14,56]]]],
          ["inline","input",[],["type","text","value",["subexpr","@mut",[["get","model.nombre",["loc",[null,[20,37],[20,49]]]]],[],[]]],["loc",[null,[20,11],[20,51]]]]
        ],
        locals: [],
        templates: []
      };
    }());
    var child1 = (function() {
      return {
        meta: {
          "revision": "Ember@1.13.7",
          "loc": {
            "source": null,
            "start": {
              "line": 24,
              "column": 0
            },
            "end": {
              "line": 37,
              "column": 0
            }
          },
          "moduleName": "pilas-engine-bloques/templates/preferencia.hbs"
        },
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode("\n  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("p");
          var el2 = dom.createTextNode("\n    ");
          dom.appendChild(el1, el2);
          var el2 = dom.createElement("button");
          dom.setAttribute(el2,"disabled","");
          dom.setAttribute(el2,"class","btn btn-info");
          var el3 = dom.createTextNode("Editar");
          dom.appendChild(el2, el3);
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode("\n  ");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n\n  ");
          dom.appendChild(el0, el1);
          var el1 = dom.createElement("table");
          dom.setAttribute(el1,"class","table table-preferencias");
          var el2 = dom.createTextNode("\n    ");
          dom.appendChild(el1, el2);
          var el2 = dom.createElement("tr");
          var el3 = dom.createTextNode("\n      ");
          dom.appendChild(el2, el3);
          var el3 = dom.createElement("th");
          dom.setAttribute(el3,"class","etiqueta");
          var el4 = dom.createTextNode(" Tu nombre: ");
          dom.appendChild(el3, el4);
          dom.appendChild(el2, el3);
          var el3 = dom.createTextNode("\n      ");
          dom.appendChild(el2, el3);
          var el3 = dom.createElement("td");
          var el4 = dom.createTextNode(" sin editar ");
          dom.appendChild(el3, el4);
          var el4 = dom.createComment("");
          dom.appendChild(el3, el4);
          var el4 = dom.createTextNode(" ");
          dom.appendChild(el3, el4);
          dom.appendChild(el2, el3);
          var el3 = dom.createTextNode("\n    ");
          dom.appendChild(el2, el3);
          dom.appendChild(el1, el2);
          var el2 = dom.createTextNode("\n  ");
          dom.appendChild(el1, el2);
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode("\n\n");
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var element0 = dom.childAt(fragment, [1, 1]);
          var morphs = new Array(2);
          morphs[0] = dom.createElementMorph(element0);
          morphs[1] = dom.createMorphAt(dom.childAt(fragment, [3, 1, 3]),1,1);
          return morphs;
        },
        statements: [
          ["element","action",["editar"],[],["loc",[null,[27,41],[27,60]]]],
          ["content","model.nombre",["loc",[null,[33,22],[33,38]]]]
        ],
        locals: [],
        templates: []
      };
    }());
    return {
      meta: {
        "revision": "Ember@1.13.7",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 40,
            "column": 0
          }
        },
        "moduleName": "pilas-engine-bloques/templates/preferencia.hbs"
      },
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createElement("div");
        dom.setAttribute(el1,"class","contenido-principal");
        var el2 = dom.createTextNode("\n\n");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("h1");
        var el3 = dom.createTextNode("Preferencias");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n\n");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("p");
        var el3 = dom.createTextNode("Desde esta sección vas a poder configurar\ny describir tus datos personales.");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n\n");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("p");
        var el3 = dom.createTextNode("La información de esta sección servirá para\n  que otros usuarios puedan ver tus códigos\n  publicados.");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n\n");
        dom.appendChild(el1, el2);
        var el2 = dom.createComment("");
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(dom.childAt(fragment, [0]),7,7);
        return morphs;
      },
      statements: [
        ["block","if",[["get","edicion",["loc",[null,[12,6],[12,13]]]]],[],0,1,["loc",[null,[12,0],[37,7]]]]
      ],
      locals: [],
      templates: [child0, child1]
    };
  }()));

});
define('pilas-engine-bloques/templates/test', ['exports'], function (exports) {

  'use strict';

  exports['default'] = Ember.HTMLBars.template((function() {
    return {
      meta: {
        "revision": "Ember@1.13.7",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 18,
            "column": 0
          }
        },
        "moduleName": "pilas-engine-bloques/templates/test.hbs"
      },
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createElement("div");
        dom.setAttribute(el1,"class","contenedor-editor");
        dom.setAttribute(el1,"id","contenedor-editor");
        var el2 = dom.createTextNode("\n\n  ");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("div");
        dom.setAttribute(el2,"class","panel-pilas");
        dom.setAttribute(el2,"id","panel-pilas");
        var el3 = dom.createTextNode("\n    ");
        dom.appendChild(el2, el3);
        var el3 = dom.createComment("");
        dom.appendChild(el2, el3);
        var el3 = dom.createTextNode("\n\n    ");
        dom.appendChild(el2, el3);
        var el3 = dom.createElement("div");
        dom.setAttribute(el3,"class","panel-ayuda");
        var el4 = dom.createTextNode("\n      ");
        dom.appendChild(el3, el4);
        var el4 = dom.createElement("h4");
        var el5 = dom.createComment("");
        dom.appendChild(el4, el5);
        dom.appendChild(el3, el4);
        var el4 = dom.createTextNode("\n      ");
        dom.appendChild(el3, el4);
        var el4 = dom.createElement("p");
        var el5 = dom.createComment("");
        dom.appendChild(el4, el5);
        dom.appendChild(el3, el4);
        var el4 = dom.createTextNode("\n    ");
        dom.appendChild(el3, el4);
        dom.appendChild(el2, el3);
        var el3 = dom.createTextNode("\n    \n  ");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n\n  ");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("div");
        dom.setAttribute(el2,"class","panel-derecho");
        dom.setAttribute(el2,"id","panel-derecho");
        var el3 = dom.createTextNode("\n    ");
        dom.appendChild(el2, el3);
        var el3 = dom.createComment("");
        dom.appendChild(el2, el3);
        var el3 = dom.createTextNode("\n  ");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n\n");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var element0 = dom.childAt(fragment, [0]);
        var element1 = dom.childAt(element0, [1]);
        var element2 = dom.childAt(element1, [3]);
        var morphs = new Array(4);
        morphs[0] = dom.createMorphAt(element1,1,1);
        morphs[1] = dom.createMorphAt(dom.childAt(element2, [1]),0,0);
        morphs[2] = dom.createMorphAt(dom.childAt(element2, [3]),0,0);
        morphs[3] = dom.createMorphAt(dom.childAt(element0, [3]),1,1);
        return morphs;
      },
      statements: [
        ["inline","pilas-canvas",[],["actividad",["subexpr","@mut",[["get","model.actividad",["loc",[null,[4,29],[4,44]]]]],[],[]]],["loc",[null,[4,4],[4,46]]]],
        ["content","actividad.nombre",["loc",[null,[7,10],[7,30]]]],
        ["content","actividad.enunciado",["loc",[null,[8,9],[8,32]]]],
        ["inline","pilas-blockly",[],["actividad",["subexpr","@mut",[["get","model.actividad",["loc",[null,[14,30],[14,45]]]]],[],[]]],["loc",[null,[14,4],[14,47]]]]
      ],
      locals: [],
      templates: []
    };
  }()));

});
define('pilas-engine-bloques/templates/tips', ['exports'], function (exports) {

  'use strict';

  exports['default'] = Ember.HTMLBars.template((function() {
    return {
      meta: {
        "revision": "Ember@1.13.7",
        "loc": {
          "source": null,
          "start": {
            "line": 1,
            "column": 0
          },
          "end": {
            "line": 9,
            "column": 0
          }
        },
        "moduleName": "pilas-engine-bloques/templates/tips.hbs"
      },
      arity: 0,
      cachedFragment: null,
      hasRendered: false,
      buildFragment: function buildFragment(dom) {
        var el0 = dom.createDocumentFragment();
        var el1 = dom.createElement("p");
        var el2 = dom.createTextNode("Ejecutá ");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("code");
        var el3 = dom.createTextNode("ember watch");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode(" para activar\nel modo ");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("code");
        var el3 = dom.createTextNode("livereload");
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode(".");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createElement("ul");
        var el2 = dom.createTextNode("\n    ");
        dom.appendChild(el1, el2);
        var el2 = dom.createElement("li");
        var el3 = dom.createElement("a");
        dom.setAttribute(el3,"href","/tests/index.html");
        var el4 = dom.createTextNode("Run tests");
        dom.appendChild(el3, el4);
        dom.appendChild(el2, el3);
        dom.appendChild(el1, el2);
        var el2 = dom.createTextNode("\n");
        dom.appendChild(el1, el2);
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n\n");
        dom.appendChild(el0, el1);
        var el1 = dom.createComment("");
        dom.appendChild(el0, el1);
        var el1 = dom.createTextNode("\n");
        dom.appendChild(el0, el1);
        return el0;
      },
      buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
        var morphs = new Array(1);
        morphs[0] = dom.createMorphAt(fragment,4,4,contextualElement);
        return morphs;
      },
      statements: [
        ["content","outlet",["loc",[null,[8,0],[8,10]]]]
      ],
      locals: [],
      templates: []
    };
  }()));

});
define('pilas-engine-bloques/tests/actividades/actividadAlien.jshint', function () {

  'use strict';

  QUnit.module('JSHint - actividades');
  QUnit.test('actividades/actividadAlien.js should pass jshint', function(assert) { 
    assert.ok(true, 'actividades/actividadAlien.js should pass jshint.'); 
  });

});
define('pilas-engine-bloques/tests/actividades/actividadAlienTocaBoton.jshint', function () {

  'use strict';

  QUnit.module('JSHint - actividades');
  QUnit.test('actividades/actividadAlienTocaBoton.js should pass jshint', function(assert) { 
    assert.ok(true, 'actividades/actividadAlienTocaBoton.js should pass jshint.'); 
  });

});
define('pilas-engine-bloques/tests/actividades/actividadElMonoYLasBananas.jshint', function () {

  'use strict';

  QUnit.module('JSHint - actividades');
  QUnit.test('actividades/actividadElMonoYLasBananas.js should pass jshint', function(assert) { 
    assert.ok(true, 'actividades/actividadElMonoYLasBananas.js should pass jshint.'); 
  });

});
define('pilas-engine-bloques/tests/actividades/actividadElObreroCopado.jshint', function () {

  'use strict';

  QUnit.module('JSHint - actividades');
  QUnit.test('actividades/actividadElObreroCopado.js should pass jshint', function(assert) { 
    assert.ok(true, 'actividades/actividadElObreroCopado.js should pass jshint.'); 
  });

});
define('pilas-engine-bloques/tests/actividades/actividadElPlanetaDeNano.jshint', function () {

  'use strict';

  QUnit.module('JSHint - actividades');
  QUnit.test('actividades/actividadElPlanetaDeNano.js should pass jshint', function(assert) { 
    assert.ok(true, 'actividades/actividadElPlanetaDeNano.js should pass jshint.'); 
  });

});
define('pilas-engine-bloques/tests/actividades/actividadFutbolRobots.jshint', function () {

  'use strict';

  QUnit.module('JSHint - actividades');
  QUnit.test('actividades/actividadFutbolRobots.js should pass jshint', function(assert) { 
    assert.ok(true, 'actividades/actividadFutbolRobots.js should pass jshint.'); 
  });

});
define('pilas-engine-bloques/tests/actividades/actividadLaEleccionDelMono.jshint', function () {

  'use strict';

  QUnit.module('JSHint - actividades');
  QUnit.test('actividades/actividadLaEleccionDelMono.js should pass jshint', function(assert) { 
    assert.ok(true, 'actividades/actividadLaEleccionDelMono.js should pass jshint.'); 
  });

});
define('pilas-engine-bloques/tests/actividades/actividadLightbotEnScratch.jshint', function () {

  'use strict';

  QUnit.module('JSHint - actividades');
  QUnit.test('actividades/actividadLightbotEnScratch.js should pass jshint', function(assert) { 
    assert.ok(true, 'actividades/actividadLightbotEnScratch.js should pass jshint.'); 
  });

});
define('pilas-engine-bloques/tests/actividades/bloques.jshint', function () {

  'use strict';

  QUnit.module('JSHint - actividades');
  QUnit.test('actividades/bloques.js should pass jshint', function(assert) { 
    assert.ok(true, 'actividades/bloques.js should pass jshint.'); 
  });

});
define('pilas-engine-bloques/tests/actividades/comer.jshint', function () {

  'use strict';

  QUnit.module('JSHint - actividades');
  QUnit.test('actividades/comer.js should pass jshint', function(assert) { 
    assert.ok(true, 'actividades/comer.js should pass jshint.'); 
  });

});
define('pilas-engine-bloques/tests/actividades/direccionesCuadricula.jshint', function () {

  'use strict';

  QUnit.module('JSHint - actividades');
  QUnit.test('actividades/direccionesCuadricula.js should pass jshint', function(assert) { 
    assert.ok(true, 'actividades/direccionesCuadricula.js should pass jshint.'); 
  });

});
define('pilas-engine-bloques/tests/adapters/application.jshint', function () {

  'use strict';

  QUnit.module('JSHint - adapters');
  QUnit.test('adapters/application.js should pass jshint', function(assert) { 
    assert.ok(true, 'adapters/application.js should pass jshint.'); 
  });

});
define('pilas-engine-bloques/tests/app.jshint', function () {

  'use strict';

  QUnit.module('JSHint - .');
  QUnit.test('app.js should pass jshint', function(assert) { 
    assert.ok(true, 'app.js should pass jshint.'); 
  });

});
define('pilas-engine-bloques/tests/components/nw-zoom.jshint', function () {

  'use strict';

  QUnit.module('JSHint - components');
  QUnit.test('components/nw-zoom.js should pass jshint', function(assert) { 
    assert.ok(true, 'components/nw-zoom.js should pass jshint.'); 
  });

});
define('pilas-engine-bloques/tests/components/pilas-automatic-update.jshint', function () {

  'use strict';

  QUnit.module('JSHint - components');
  QUnit.test('components/pilas-automatic-update.js should pass jshint', function(assert) { 
    assert.ok(true, 'components/pilas-automatic-update.js should pass jshint.'); 
  });

});
define('pilas-engine-bloques/tests/components/pilas-blockly.jshint', function () {

  'use strict';

  QUnit.module('JSHint - components');
  QUnit.test('components/pilas-blockly.js should pass jshint', function(assert) { 
    assert.ok(true, 'components/pilas-blockly.js should pass jshint.'); 
  });

});
define('pilas-engine-bloques/tests/components/pilas-canvas.jshint', function () {

  'use strict';

  QUnit.module('JSHint - components');
  QUnit.test('components/pilas-canvas.js should pass jshint', function(assert) { 
    assert.ok(true, 'components/pilas-canvas.js should pass jshint.'); 
  });

});
define('pilas-engine-bloques/tests/components/pilas-desafio.jshint', function () {

  'use strict';

  QUnit.module('JSHint - components');
  QUnit.test('components/pilas-desafio.js should pass jshint', function(assert) { 
    assert.ok(true, 'components/pilas-desafio.js should pass jshint.'); 
  });

});
define('pilas-engine-bloques/tests/components/pilas-update.jshint', function () {

  'use strict';

  QUnit.module('JSHint - components');
  QUnit.test('components/pilas-update.js should pass jshint', function(assert) { 
    assert.ok(true, 'components/pilas-update.js should pass jshint.'); 
  });

});
define('pilas-engine-bloques/tests/controllers/acercade.jshint', function () {

  'use strict';

  QUnit.module('JSHint - controllers');
  QUnit.test('controllers/acercade.js should pass jshint', function(assert) { 
    assert.ok(true, 'controllers/acercade.js should pass jshint.'); 
  });

});
define('pilas-engine-bloques/tests/controllers/application.jshint', function () {

  'use strict';

  QUnit.module('JSHint - controllers');
  QUnit.test('controllers/application.js should pass jshint', function(assert) { 
    assert.ok(true, 'controllers/application.js should pass jshint.'); 
  });

});
define('pilas-engine-bloques/tests/controllers/desafios/index.jshint', function () {

  'use strict';

  QUnit.module('JSHint - controllers/desafios');
  QUnit.test('controllers/desafios/index.js should pass jshint', function(assert) { 
    assert.ok(true, 'controllers/desafios/index.js should pass jshint.'); 
  });

});
define('pilas-engine-bloques/tests/controllers/editor.jshint', function () {

  'use strict';

  QUnit.module('JSHint - controllers');
  QUnit.test('controllers/editor.js should pass jshint', function(assert) { 
    assert.ok(true, 'controllers/editor.js should pass jshint.'); 
  });

});
define('pilas-engine-bloques/tests/controllers/galeria.jshint', function () {

  'use strict';

  QUnit.module('JSHint - controllers');
  QUnit.test('controllers/galeria.js should pass jshint', function(assert) { 
    assert.ok(true, 'controllers/galeria.js should pass jshint.'); 
  });

});
define('pilas-engine-bloques/tests/controllers/iframe.jshint', function () {

  'use strict';

  QUnit.module('JSHint - controllers');
  QUnit.test('controllers/iframe.js should pass jshint', function(assert) { 
    assert.ok(true, 'controllers/iframe.js should pass jshint.'); 
  });

});
define('pilas-engine-bloques/tests/controllers/preferencia.jshint', function () {

  'use strict';

  QUnit.module('JSHint - controllers');
  QUnit.test('controllers/preferencia.js should pass jshint', function(assert) { 
    assert.ok(true, 'controllers/preferencia.js should pass jshint.'); 
  });

});
define('pilas-engine-bloques/tests/helpers/resolver', ['exports', 'ember/resolver', 'pilas-engine-bloques/config/environment'], function (exports, Resolver, config) {

  'use strict';

  var resolver = Resolver['default'].create();

  resolver.namespace = {
    modulePrefix: config['default'].modulePrefix,
    podModulePrefix: config['default'].podModulePrefix
  };

  exports['default'] = resolver;

});
define('pilas-engine-bloques/tests/helpers/resolver.jshint', function () {

  'use strict';

  QUnit.module('JSHint - helpers');
  QUnit.test('helpers/resolver.js should pass jshint', function(assert) { 
    assert.ok(true, 'helpers/resolver.js should pass jshint.'); 
  });

});
define('pilas-engine-bloques/tests/helpers/start-app', ['exports', 'ember', 'pilas-engine-bloques/app', 'pilas-engine-bloques/config/environment'], function (exports, Ember, Application, config) {

  'use strict';



  exports['default'] = startApp;
  function startApp(attrs) {
    var application;

    var attributes = Ember['default'].merge({}, config['default'].APP);
    attributes = Ember['default'].merge(attributes, attrs); // use defaults, but you can override;

    Ember['default'].run(function () {
      application = Application['default'].create(attributes);
      application.setupForTesting();
      application.injectTestHelpers();
    });

    return application;
  }

});
define('pilas-engine-bloques/tests/helpers/start-app.jshint', function () {

  'use strict';

  QUnit.module('JSHint - helpers');
  QUnit.test('helpers/start-app.js should pass jshint', function(assert) { 
    assert.ok(true, 'helpers/start-app.js should pass jshint.'); 
  });

});
define('pilas-engine-bloques/tests/helpers/validate-properties', ['exports', 'ember', 'ember-qunit'], function (exports, Ember, ember_qunit) {

  'use strict';

  exports.testValidPropertyValues = testValidPropertyValues;
  exports.testInvalidPropertyValues = testInvalidPropertyValues;

  var run = Ember['default'].run;

  function validateValues(object, propertyName, values, isTestForValid) {
    var promise = null;
    var validatedValues = [];

    values.forEach(function (value) {
      function handleValidation(errors) {
        var hasErrors = object.get('errors.' + propertyName + '.firstObject');
        if (hasErrors && !isTestForValid || !hasErrors && isTestForValid) {
          validatedValues.push(value);
        }
      }

      run(object, 'set', propertyName, value);

      var objectPromise = null;
      run(function () {
        objectPromise = object.validate().then(handleValidation, handleValidation);
      });

      // Since we are setting the values in a different run loop as we are validating them,
      // we need to chain the promises so that they run sequentially. The wrong value will
      // be validated if the promises execute concurrently
      promise = promise ? promise.then(objectPromise) : objectPromise;
    });

    return promise.then(function () {
      return validatedValues;
    });
  }

  function testPropertyValues(propertyName, values, isTestForValid, context) {
    var validOrInvalid = isTestForValid ? 'Valid' : 'Invalid';
    var testName = validOrInvalid + ' ' + propertyName;

    ember_qunit.test(testName, function (assert) {
      var object = this.subject();

      if (context && typeof context === 'function') {
        context(object);
      }

      // Use QUnit.dump.parse so null and undefined can be printed as literal 'null' and
      // 'undefined' strings in the assert message.
      var valuesString = QUnit.dump.parse(values).replace(/\n(\s+)?/g, '').replace(/,/g, ', ');
      var assertMessage = 'Expected ' + propertyName + ' to have ' + validOrInvalid.toLowerCase() + ' values: ' + valuesString;

      return validateValues(object, propertyName, values, isTestForValid).then(function (validatedValues) {
        assert.deepEqual(validatedValues, values, assertMessage);
      });
    });
  }

  function testValidPropertyValues(propertyName, values, context) {
    testPropertyValues(propertyName, values, true, context);
  }

  function testInvalidPropertyValues(propertyName, values, context) {
    testPropertyValues(propertyName, values, false, context);
  }

});
define('pilas-engine-bloques/tests/integration/components/pilas-automatic-update-test', ['ember-qunit'], function (ember_qunit) {

  'use strict';

  ember_qunit.moduleForComponent('pilas-automatic-update', 'Integration | Component | pilas automatic update', {
    integration: true
  });

  ember_qunit.test('it renders', function (assert) {
    assert.expect(2);

    // Set any properties with this.set('myProperty', 'value');
    // Handle any actions with this.on('myAction', function(val) { ... });

    this.render(Ember.HTMLBars.template((function () {
      return {
        meta: {
          'revision': 'Ember@1.13.7',
          'loc': {
            'source': null,
            'start': {
              'line': 1,
              'column': 0
            },
            'end': {
              'line': 1,
              'column': 26
            }
          }
        },
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createComment('');
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
          dom.insertBoundary(fragment, 0);
          dom.insertBoundary(fragment, null);
          return morphs;
        },
        statements: [['content', 'pilas-automatic-update', ['loc', [null, [1, 0], [1, 26]]]]],
        locals: [],
        templates: []
      };
    })()));

    assert.equal(this.$().text().trim(), '');

    // Template block usage:
    this.render(Ember.HTMLBars.template((function () {
      var child0 = (function () {
        return {
          meta: {
            'revision': 'Ember@1.13.7',
            'loc': {
              'source': null,
              'start': {
                'line': 2,
                'column': 4
              },
              'end': {
                'line': 4,
                'column': 4
              }
            }
          },
          arity: 0,
          cachedFragment: null,
          hasRendered: false,
          buildFragment: function buildFragment(dom) {
            var el0 = dom.createDocumentFragment();
            var el1 = dom.createTextNode('      template block text\n');
            dom.appendChild(el0, el1);
            return el0;
          },
          buildRenderNodes: function buildRenderNodes() {
            return [];
          },
          statements: [],
          locals: [],
          templates: []
        };
      })();

      return {
        meta: {
          'revision': 'Ember@1.13.7',
          'loc': {
            'source': null,
            'start': {
              'line': 1,
              'column': 0
            },
            'end': {
              'line': 5,
              'column': 2
            }
          }
        },
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createTextNode('\n');
          dom.appendChild(el0, el1);
          var el1 = dom.createComment('');
          dom.appendChild(el0, el1);
          var el1 = dom.createTextNode('  ');
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 1, 1, contextualElement);
          return morphs;
        },
        statements: [['block', 'pilas-automatic-update', [], [], 0, null, ['loc', [null, [2, 4], [4, 31]]]]],
        locals: [],
        templates: [child0]
      };
    })()));

    assert.equal(this.$().text().trim(), 'template block text');
  });

});
define('pilas-engine-bloques/tests/integration/components/pilas-automatic-update-test.jshint', function () {

  'use strict';

  QUnit.module('JSHint - integration/components');
  QUnit.test('integration/components/pilas-automatic-update-test.js should pass jshint', function(assert) { 
    assert.ok(true, 'integration/components/pilas-automatic-update-test.js should pass jshint.'); 
  });

});
define('pilas-engine-bloques/tests/models/galeria.jshint', function () {

  'use strict';

  QUnit.module('JSHint - models');
  QUnit.test('models/galeria.js should pass jshint', function(assert) { 
    assert.ok(true, 'models/galeria.js should pass jshint.'); 
  });

});
define('pilas-engine-bloques/tests/models/preferencium.jshint', function () {

  'use strict';

  QUnit.module('JSHint - models');
  QUnit.test('models/preferencium.js should pass jshint', function(assert) { 
    assert.ok(true, 'models/preferencium.js should pass jshint.'); 
  });

});
define('pilas-engine-bloques/tests/router.jshint', function () {

  'use strict';

  QUnit.module('JSHint - .');
  QUnit.test('router.js should pass jshint', function(assert) { 
    assert.ok(true, 'router.js should pass jshint.'); 
  });

});
define('pilas-engine-bloques/tests/routes/acercade.jshint', function () {

  'use strict';

  QUnit.module('JSHint - routes');
  QUnit.test('routes/acercade.js should pass jshint', function(assert) { 
    assert.ok(true, 'routes/acercade.js should pass jshint.'); 
  });

});
define('pilas-engine-bloques/tests/routes/desafios/nombre.jshint', function () {

  'use strict';

  QUnit.module('JSHint - routes/desafios');
  QUnit.test('routes/desafios/nombre.js should pass jshint', function(assert) { 
    assert.ok(true, 'routes/desafios/nombre.js should pass jshint.'); 
  });

});
define('pilas-engine-bloques/tests/routes/desafios.jshint', function () {

  'use strict';

  QUnit.module('JSHint - routes');
  QUnit.test('routes/desafios.js should pass jshint', function(assert) { 
    assert.ok(true, 'routes/desafios.js should pass jshint.'); 
  });

});
define('pilas-engine-bloques/tests/routes/editor.jshint', function () {

  'use strict';

  QUnit.module('JSHint - routes');
  QUnit.test('routes/editor.js should pass jshint', function(assert) { 
    assert.ok(true, 'routes/editor.js should pass jshint.'); 
  });

});
define('pilas-engine-bloques/tests/routes/galeria.jshint', function () {

  'use strict';

  QUnit.module('JSHint - routes');
  QUnit.test('routes/galeria.js should pass jshint', function(assert) { 
    assert.ok(true, 'routes/galeria.js should pass jshint.'); 
  });

});
define('pilas-engine-bloques/tests/routes/iframe.jshint', function () {

  'use strict';

  QUnit.module('JSHint - routes');
  QUnit.test('routes/iframe.js should pass jshint', function(assert) { 
    assert.ok(true, 'routes/iframe.js should pass jshint.'); 
  });

});
define('pilas-engine-bloques/tests/routes/index.jshint', function () {

  'use strict';

  QUnit.module('JSHint - routes');
  QUnit.test('routes/index.js should pass jshint', function(assert) { 
    assert.ok(true, 'routes/index.js should pass jshint.'); 
  });

});
define('pilas-engine-bloques/tests/routes/preferencia.jshint', function () {

  'use strict';

  QUnit.module('JSHint - routes');
  QUnit.test('routes/preferencia.js should pass jshint', function(assert) { 
    assert.ok(true, 'routes/preferencia.js should pass jshint.'); 
  });

});
define('pilas-engine-bloques/tests/routes/test.jshint', function () {

  'use strict';

  QUnit.module('JSHint - routes');
  QUnit.test('routes/test.js should pass jshint', function(assert) { 
    assert.ok(true, 'routes/test.js should pass jshint.'); 
  });

});
define('pilas-engine-bloques/tests/routes/tips.jshint', function () {

  'use strict';

  QUnit.module('JSHint - routes');
  QUnit.test('routes/tips.js should pass jshint', function(assert) { 
    assert.ok(true, 'routes/tips.js should pass jshint.'); 
  });

});
define('pilas-engine-bloques/tests/serializers/application.jshint', function () {

  'use strict';

  QUnit.module('JSHint - serializers');
  QUnit.test('serializers/application.js should pass jshint', function(assert) { 
    assert.ok(true, 'serializers/application.js should pass jshint.'); 
  });

});
define('pilas-engine-bloques/tests/services/actividades.jshint', function () {

  'use strict';

  QUnit.module('JSHint - services');
  QUnit.test('services/actividades.js should pass jshint', function(assert) { 
    assert.ok(true, 'services/actividades.js should pass jshint.'); 
  });

});
define('pilas-engine-bloques/tests/services/browser.jshint', function () {

  'use strict';

  QUnit.module('JSHint - services');
  QUnit.test('services/browser.js should pass jshint', function(assert) { 
    assert.ok(true, 'services/browser.js should pass jshint.'); 
  });

});
define('pilas-engine-bloques/tests/services/environment.jshint', function () {

  'use strict';

  QUnit.module('JSHint - services');
  QUnit.test('services/environment.js should pass jshint', function(assert) { 
    assert.ok(true, 'services/environment.js should pass jshint.'); 
  });

});
define('pilas-engine-bloques/tests/services/twitter.jshint', function () {

  'use strict';

  QUnit.module('JSHint - services');
  QUnit.test('services/twitter.js should pass jshint', function(assert) { 
    assert.ok(true, 'services/twitter.js should pass jshint.'); 
  });

});
define('pilas-engine-bloques/tests/services/version.jshint', function () {

  'use strict';

  QUnit.module('JSHint - services');
  QUnit.test('services/version.js should pass jshint', function(assert) { 
    assert.ok(true, 'services/version.js should pass jshint.'); 
  });

});
define('pilas-engine-bloques/tests/services/zoom.jshint', function () {

  'use strict';

  QUnit.module('JSHint - services');
  QUnit.test('services/zoom.js should pass jshint', function(assert) { 
    assert.ok(true, 'services/zoom.js should pass jshint.'); 
  });

});
define('pilas-engine-bloques/tests/test-helper', ['pilas-engine-bloques/tests/helpers/resolver', 'ember-qunit'], function (resolver, ember_qunit) {

	'use strict';

	ember_qunit.setResolver(resolver['default']);

});
define('pilas-engine-bloques/tests/test-helper.jshint', function () {

  'use strict';

  QUnit.module('JSHint - .');
  QUnit.test('test-helper.js should pass jshint', function(assert) { 
    assert.ok(true, 'test-helper.js should pass jshint.'); 
  });

});
define('pilas-engine-bloques/tests/unit/components/pilas-desafio-test', ['ember-qunit'], function (ember_qunit) {

  'use strict';

  ember_qunit.moduleForComponent('pilas-desafio', {
    // Specify the other units that are required for this test
    // needs: ['component:foo', 'helper:bar']
  });

  ember_qunit.test('it renders', function (assert) {
    assert.expect(2);

    // Creates the component instance
    var component = this.subject();
    assert.equal(component._state, 'preRender');

    // Renders the component to the page
    this.render();
    assert.equal(component._state, 'inDOM');
  });

});
define('pilas-engine-bloques/tests/unit/components/pilas-desafio-test.jshint', function () {

  'use strict';

  QUnit.module('JSHint - unit/components');
  QUnit.test('unit/components/pilas-desafio-test.js should pass jshint', function(assert) { 
    assert.ok(true, 'unit/components/pilas-desafio-test.js should pass jshint.'); 
  });

});
define('pilas-engine-bloques/tests/unit/controllers/acercade-test', ['ember-qunit'], function (ember_qunit) {

  'use strict';

  ember_qunit.moduleFor('controller:acercade', {
    // Specify the other units that are required for this test.
    // needs: ['controller:foo']
  });

  // Replace this with your real tests.
  ember_qunit.test('it exists', function (assert) {
    var controller = this.subject();
    assert.ok(controller);
  });

});
define('pilas-engine-bloques/tests/unit/controllers/acercade-test.jshint', function () {

  'use strict';

  QUnit.module('JSHint - unit/controllers');
  QUnit.test('unit/controllers/acercade-test.js should pass jshint', function(assert) { 
    assert.ok(true, 'unit/controllers/acercade-test.js should pass jshint.'); 
  });

});
define('pilas-engine-bloques/tests/unit/routes/acercade-test', ['ember-qunit'], function (ember_qunit) {

  'use strict';

  ember_qunit.moduleFor('route:acercade', {
    // Specify the other units that are required for this test.
    // needs: ['controller:foo']
  });

  ember_qunit.test('it exists', function (assert) {
    var route = this.subject();
    assert.ok(route);
  });

});
define('pilas-engine-bloques/tests/unit/routes/acercade-test.jshint', function () {

  'use strict';

  QUnit.module('JSHint - unit/routes');
  QUnit.test('unit/routes/acercade-test.js should pass jshint', function(assert) { 
    assert.ok(true, 'unit/routes/acercade-test.js should pass jshint.'); 
  });

});
define('pilas-engine-bloques/tests/unit/routes/desafios-test', ['ember-qunit'], function (ember_qunit) {

  'use strict';

  ember_qunit.moduleFor('route:desafios', {
    // Specify the other units that are required for this test.
    // needs: ['controller:foo']
  });

  ember_qunit.test('it exists', function (assert) {
    var route = this.subject();
    assert.ok(route);
  });

});
define('pilas-engine-bloques/tests/unit/routes/desafios-test.jshint', function () {

  'use strict';

  QUnit.module('JSHint - unit/routes');
  QUnit.test('unit/routes/desafios-test.js should pass jshint', function(assert) { 
    assert.ok(true, 'unit/routes/desafios-test.js should pass jshint.'); 
  });

});
define('pilas-engine-bloques/tests/unit/routes/index-test', ['ember-qunit'], function (ember_qunit) {

  'use strict';

  ember_qunit.moduleFor('route:index', {
    // Specify the other units that are required for this test.
    // needs: ['controller:foo']
  });

  ember_qunit.test('it exists', function (assert) {
    var route = this.subject();
    assert.ok(route);
  });

});
define('pilas-engine-bloques/tests/unit/routes/index-test.jshint', function () {

  'use strict';

  QUnit.module('JSHint - unit/routes');
  QUnit.test('unit/routes/index-test.js should pass jshint', function(assert) { 
    assert.ok(true, 'unit/routes/index-test.js should pass jshint.'); 
  });

});
define('pilas-engine-bloques/tests/unit/routes/test-test', ['ember-qunit'], function (ember_qunit) {

  'use strict';

  ember_qunit.moduleFor('route:test', {
    // Specify the other units that are required for this test.
    // needs: ['controller:foo']
  });

  ember_qunit.test('it exists', function (assert) {
    var route = this.subject();
    assert.ok(route);
  });

});
define('pilas-engine-bloques/tests/unit/routes/test-test.jshint', function () {

  'use strict';

  QUnit.module('JSHint - unit/routes');
  QUnit.test('unit/routes/test-test.js should pass jshint', function(assert) { 
    assert.ok(true, 'unit/routes/test-test.js should pass jshint.'); 
  });

});
define('pilas-engine-bloques/tests/unit/routes/tips-test', ['ember-qunit'], function (ember_qunit) {

  'use strict';

  ember_qunit.moduleFor('route:tips', {
    // Specify the other units that are required for this test.
    // needs: ['controller:foo']
  });

  ember_qunit.test('it exists', function (assert) {
    var route = this.subject();
    assert.ok(route);
  });

});
define('pilas-engine-bloques/tests/unit/routes/tips-test.jshint', function () {

  'use strict';

  QUnit.module('JSHint - unit/routes');
  QUnit.test('unit/routes/tips-test.js should pass jshint', function(assert) { 
    assert.ok(true, 'unit/routes/tips-test.js should pass jshint.'); 
  });

});
define('pilas-engine-bloques/tests/unit/services/browser-test', ['ember-qunit'], function (ember_qunit) {

  'use strict';

  ember_qunit.moduleFor('service:browser', {
    // Specify the other units that are required for this test.
    // needs: ['service:foo']
  });

  // Replace this with your real tests.
  ember_qunit.test('it exists', function (assert) {
    var service = this.subject();
    assert.ok(service);
  });

});
define('pilas-engine-bloques/tests/unit/services/browser-test.jshint', function () {

  'use strict';

  QUnit.module('JSHint - unit/services');
  QUnit.test('unit/services/browser-test.js should pass jshint', function(assert) { 
    assert.ok(true, 'unit/services/browser-test.js should pass jshint.'); 
  });

});
define('pilas-engine-bloques/tests/unit/services/environment-test', ['ember-qunit'], function (ember_qunit) {

  'use strict';

  ember_qunit.moduleFor('service:environment', {
    // Specify the other units that are required for this test.
    needs: ['config:environment']
  });

  // Replace this with your real tests.
  ember_qunit.test('it exists', function (assert) {
    var service = this.subject();
    assert.ok(service);
  });

});
define('pilas-engine-bloques/tests/unit/services/environment-test.jshint', function () {

  'use strict';

  QUnit.module('JSHint - unit/services');
  QUnit.test('unit/services/environment-test.js should pass jshint', function(assert) { 
    assert.ok(true, 'unit/services/environment-test.js should pass jshint.'); 
  });

});
define('pilas-engine-bloques/tests/unit/services/twitter-test', ['ember-qunit'], function (ember_qunit) {

  'use strict';

  ember_qunit.moduleFor('service:twitter', {
    // Specify the other units that are required for this test.
    // needs: ['service:foo']
  });

  // Replace this with your real tests.
  ember_qunit.test('it exists', function (assert) {
    var service = this.subject();
    assert.ok(service);
  });

});
define('pilas-engine-bloques/tests/unit/services/twitter-test.jshint', function () {

  'use strict';

  QUnit.module('JSHint - unit/services');
  QUnit.test('unit/services/twitter-test.js should pass jshint', function(assert) { 
    assert.ok(true, 'unit/services/twitter-test.js should pass jshint.'); 
  });

});
define('pilas-engine-bloques/tests/unit/services/version-test', ['ember-qunit'], function (ember_qunit) {

  'use strict';

  ember_qunit.moduleFor('service:version', {
    // Specify the other units that are required for this test.
    // needs: ['service:foo']
  });

  // Replace this with your real tests.
  ember_qunit.test('it exists', function (assert) {
    var service = this.subject();
    assert.ok(service);
  });

});
define('pilas-engine-bloques/tests/unit/services/version-test.jshint', function () {

  'use strict';

  QUnit.module('JSHint - unit/services');
  QUnit.test('unit/services/version-test.js should pass jshint', function(assert) { 
    assert.ok(true, 'unit/services/version-test.js should pass jshint.'); 
  });

});
define('pilas-engine-bloques/tests/unit/services/zoom-test', ['ember-qunit'], function (ember_qunit) {

  'use strict';

  ember_qunit.moduleFor('service:zoom', {
    // Specify the other units that are required for this test.
    // needs: ['service:foo']
  });

  // Replace this with your real tests.
  ember_qunit.test('it exists', function (assert) {
    var service = this.subject();
    assert.ok(service);
  });

});
define('pilas-engine-bloques/tests/unit/services/zoom-test.jshint', function () {

  'use strict';

  QUnit.module('JSHint - unit/services');
  QUnit.test('unit/services/zoom-test.js should pass jshint', function(assert) { 
    assert.ok(true, 'unit/services/zoom-test.js should pass jshint.'); 
  });

});
/* jshint ignore:start */

/* jshint ignore:end */

/* jshint ignore:start */

define('pilas-engine-bloques/config/environment', ['ember'], function(Ember) {
  var prefix = 'pilas-engine-bloques';
/* jshint ignore:start */

try {
  var metaName = prefix + '/config/environment';
  var rawConfig = Ember['default'].$('meta[name="' + metaName + '"]').attr('content');
  var config = JSON.parse(unescape(rawConfig));

  return { 'default': config };
}
catch(err) {
  throw new Error('Could not read config from meta tag with name "' + metaName + '".');
}

/* jshint ignore:end */

});

if (runningTests) {
  require("pilas-engine-bloques/tests/test-helper");
} else {
  require("pilas-engine-bloques/app")["default"].create({"name":"pilas-engine-bloques","version":"0.0.0+"});
}

/* jshint ignore:end */
//# sourceMappingURL=pilas-engine-bloques.map